<?php

return [
    'plugin' => [
        'name' => 'Blog',
        'description' => 'Una plataforma robusta de blogging.'
    ],
    'blog' => [
        'menu_label' => 'Blog',
        'menu_description' => 'Administrar Publicaciones',
        'posts' => 'Publicaciones',
        'create_post' => 'Crear publicación',
        'categories' => 'Categorías',
        'create_category' => 'Categoría',
        'tab' => 'Blog',
        'access_posts' => 'Administrar las publicaciones',
        'access_categories' => 'Administrar las categorías',
        'access_other_posts' => 'Administrar publicaciones de otros usuarios',
        'access_import_export' => 'Autorizado para importar y exportar publicaciones',
        'access_publish' => 'Autorizado para publicar publicaciones',
        'manage_settings' => 'Administrar configuración del blog',
        'delete_confirm' => '¿Está seguro?',
        'chart_published' => 'Publicado',
        'chart_drafts' => 'Borradores',
        'chart_total' => 'Total',
        'settings_description' => 'Administrar configuración del blog',
        'show_all_posts_label' => 'Mostrar todas las publicaciones a los usuarios de backend',
        'show_all_posts_comment' => 'Mostrar las publicaciones publicados y los borradores a los usuarios de backend',
        'tab_general' => 'General'
    ],
    'posts' => [
        'list_title' => 'Administrar publicaciones',
        'filter_category' => 'Categoría',
        'filter_published' => 'Publicado',
        'filter_date' => 'Fecha',
        'new_post' => 'Nueva publicación',
        'export_post' => 'Exportar publicaciones',
        'import_post' => 'Importar publicaciones'
    ],
    'post' => [
        'title' => 'Título',
        'title_placeholder' => 'Título de la publicación',
        'content' => 'Contenido',
        'content_html' => 'Contenido HTML',
        'slug' => 'Identificador',
        'slug_placeholder' => 'nueva-publicacion',
        'categories' => 'Categorías',
        'author_email' => 'Email del Autor',
        'created' => 'Creado',
        'created_date' => 'Fecha de Creación',
        'updated' => 'Actualizado',
        'updated_date' => 'Fecha de Actualización',
        'published' => 'Publicado',
        'published_by' => 'Publicado por',
        'current_user' => 'Usuario actual',
        'published_date' => 'Fecha de publicación',
        'published_validation' => 'Por favor, especifique la fecha de publicación',
        'tab_edit' => 'Editar',
        'tab_categories' => 'Categorías',
        'categories_comment' => 'Seleccione las categorías para la publicación',
        'categories_placeholder' => 'No hay categorías, ¡crea una primero!',
        'tab_manage' => 'Administrar',
        'published_on' => 'Publicado el',
        'excerpt' => 'Resumen',
        'summary' => 'Resumen',
        'featured_images' => 'Imágenes Destacadas',
        'delete_confirm' => '¿Borrar la publicación?',
        'delete_success' => 'Publicación borrada correctamente',
        'close_confirm' => 'La publicación no está guardada.',
        'return_to_posts' => 'Volver a la lista de publicaciones',
        'posted_byline' => 'Publicado en :categories el :date.',
        'posted_byline_no_categories' => 'Publicado el :date.',
        'date_format' => 'd de M de Y',
    ],
    'categories' => [
        'list_title' => 'Administrar las categorías',
        'new_category' => 'Nueva categoría',
        'uncategorized' => 'Sin Categoría'
    ],
    'category' => [
        'name' => 'Nombre',
        'name_placeholder' => 'Nombre de la categoría',
        'description' => 'Descripción',
        'slug' => 'Identificador',
        'slug_placeholder' => 'nueva-categoría',
        'posts' => 'Publicaciones',
        'delete_confirm' => '¿Borrar esta categoría?',
        'delete_success' => 'Categorías borradas correctamente.',
        'return_to_categories' => 'Volver a la lista de categorías',
        'reorder' => 'Re-ordenar Categorías'
    ],
    'menuitem' => [
        'blog_category' => 'Categoría del blog',
        'all_blog_categories' => 'Todas las categorías del blog',
        'blog_post' => 'Publicación del blog',
        'all_blog_posts' => 'Todas las publicaciones del blog',
        'category_blog_posts' => 'Publicaciones del blog por categorías'
    ],
    'settings' => [
        'category_title' => 'Lista de Categorías',
        'category_description' => 'Muestra en la página una lista de las categorías.',
        'category_slug' => 'Identificador de la categoría',
        'category_slug_description' => "Localiza una categoría utilizando el identificador proporcionado. Esta propiedad es utilizada dentro del parcial que viene por defecto en el componente para marcar la categoría activa.",
        'category_display_empty' => 'Mostrar categorías vacías',
        'category_display_empty_description' => 'Mostrar categorías que no tienen ninguna publicación.',
        'category_page' => 'Página de categorías',
        'category_page_description' => 'Nombre del archivo de página utilizado para los enlaces de categorías. Esta propiedad es utilizada dentro del parcial que viene por defecto en el componente.',
        'post_title' => 'Publicación',
        'post_description' => 'Muestra una publicación en la página.',
        'post_slug' => 'Identificador de la publicación',
        'post_slug_description' => "Se buscará la publicación utilizando el valor del identificador proporcionado.",
        'post_category' => 'Página de categoría',
        'post_category_description' => 'Nombre del archivo de página utilizado para los enlaces de categorías. Esta propiedad es utilizada dentro del parcial que viene por defecto en el componente.',
        'posts_title' => 'Lista de publicaciones',
        'posts_description' => 'Muestra una lista de las últimas publicaciones en la página.',
        'posts_pagination' => 'Número de página',
        'posts_pagination_description' => 'Este valor se utiliza para determinar en que página se encuentra el usuario.',
        'posts_filter' => 'Filtro de categoría',
        'posts_filter_description' => 'Ingrese un identificador de categoría o parámetro URL. Se utilizará para filtrar las publicaciones. Deje el campo vacío para mostrar todas las publicaciones.',
        'posts_per_page' => 'Publicaciones por página',
        'posts_per_page_validation' => 'Formato inválido para el valor de publicaciones por página',
        'posts_no_posts' => 'Mensaje cuando no hay publicaciones',
        'posts_no_posts_description' => 'Mensaje que se mostrará en la lista de publicaciones del blog cuando no haya ningúno. Esta propiedad es utilizada dentro del parcial que viene por defecto en el componente.',
        'posts_no_posts_default' => 'No se encontraron publicaciones.',
        'posts_order' => 'Ordenar publicaciones por',
        'posts_order_description' => 'Atributo mediante el cual se deberán ordenar las publicaciones',
        'posts_category' => 'Página de Categoría',
        'posts_category_description' => 'Nombre del archivo de página utilizado para los enlaces de categoría "Publicado en". Esta propiedad es utilizada dentro del parcial que viene por defecto en el componente.',
        'posts_post' => 'Página de las publicaciones',
        'posts_post_description' => 'Nombre del archivo de página utilizado para los enlaces "Saber más". Esta propiedad es utilizada dentro del parcial que viene por defecto en el componente.',
        'posts_except_post' => 'Exceptuar publicación',
        'posts_except_post_description' => 'Ingrese una ID/URL o variable que contenga una ID/URL de la publicación que se quiera excluir',
        'posts_except_post_validation' => 'La publicación a excluir debe ser una ID/URL, o una lista separada por comas de IDs/URLs',
        'posts_except_categories' => 'Excluir categorías',
        'posts_except_categories_description' => 'Introduce una lista separada por comas de IDs/URLs de categorías con las categorías a excluir.',
        'posts_except_categories_validation' => 'Las categorías excluidas deben ser una URL de categoría o una lista separada por comas',
        'rssfeed_blog' => 'Página del blog',
        'rssfeed_blog_description' => 'Nombre del archivo de página principal para generación de enlaces. Esta propiedad es utilizada dentro del parcial que viene por defecto en el componente.',
        'rssfeed_title' => 'RSS Feed',
        'rssfeed_description' => 'Genera un feed de RSS con las publicaciones del blog.',
        'group_links' => 'Enlaces',
        'group_exceptions' => 'Excepciones'
    ],
    'sorting' => [
        'title_asc' => 'Título (ascendiente)',
        'title_desc' => 'Título (descendiente)',
        'created_asc' => 'Creado (ascendiente)',
        'created_desc' => 'Creado (descendiente)',
        'updated_asc' => 'Editado (ascendiente)',
        'updated_desc' => 'Editado (descendiente)',
        'published_asc' => 'Publicado (ascendiente)',
        'published_desc' => 'Publicado (descendiente)',
        'random' => 'Aleatorio'
    ],
    'import' => [
        'update_existing_label' => 'Editar publicaciones existentes',
        'update_existing_comment' => 'Selecciona este check para actualizar las publicaciones con exactamente la misma ID, título o URL.',
        'auto_create_categories_label' => 'Crear categorías especificadas en el archivo a importar',
        'auto_create_categories_comment' => 'Debes hacer coincidir la columna Categoría para usar esta funcionalidad, sino selecciona la categoría por defecto para para usar para los elementos de abajo.',
        'categories_label' => 'Categorías',
        'categories_comment' => 'Selecciona las categorías a las que pertenecerán las publicaciones importadas (opcional).',
        'default_author_label' => 'Autor de publicación por defecto (opcional)',
        'default_author_comment' => 'La importación intentará usar un autor existente si coicide con la columna "Author Email", sino se usará el autor especificado arriba.',
        'default_author_placeholder' => '-- Selecciona Autor/a --'
    ]
];
