<?php namespace RainLab\Builder\Classes;

/**
 * Contains a list of icons that can be used by plugins.
 * @see http://octobercms.com/docs/ui/icon
 *
 * @package rainlab\builder
 * @author Alexey Bobkov, Samuel Georges
 */
class IconList
{
    public static function getList()
    {
        return [
            'oc-icon-adjust' => ['adjust', 'oc-icon-adjust'],
            'oc-icon-adn' => ['adn', 'oc-icon-adn'],
            'oc-icon-align-center' => ['align-center', 'oc-icon-align-center'],
            'oc-icon-align-justify' => ['align-justify', 'oc-icon-align-justify'],
            'oc-icon-align-left' => ['align-left', 'oc-icon-align-left'],
            'oc-icon-align-right' => ['align-right', 'oc-icon-align-right'],
            'oc-icon-ambulance' => ['ambulance', 'oc-icon-ambulance'],
            'oc-icon-anchor' => ['anchor', 'oc-icon-anchor'],
            'oc-icon-android' => ['android', 'oc-icon-android'],
            'oc-icon-angellist' => ['angellist', 'oc-icon-angellist'],
            'oc-icon-angle-double-down' => ['angle-double-down', 'oc-icon-angle-double-down'],
            'oc-icon-angle-double-left' => ['angle-double-left', 'oc-icon-angle-double-left'],
            'oc-icon-angle-double-right' => ['angle-double-right', 'oc-icon-angle-double-right'],
            'oc-icon-angle-double-up' => ['angle-double-up', 'oc-icon-angle-double-up'],
            'oc-icon-angle-down' => ['angle-down', 'oc-icon-angle-down'],
            'oc-icon-angle-left' => ['angle-left', 'oc-icon-angle-left'],
            'oc-icon-angle-right' => ['angle-right', 'oc-icon-angle-right'],
            'oc-icon-angle-up' => ['angle-up', 'oc-icon-angle-up'],
            'oc-icon-apple' => ['apple', 'oc-icon-apple'],
            'oc-icon-archive' => ['archive', 'oc-icon-archive'],
            'oc-icon-area-chart' => ['area-chart', 'oc-icon-area-chart'],
            'oc-icon-arrow-circle-down' => ['arrow-circle-down', 'oc-icon-arrow-circle-down'],
            'oc-icon-arrow-circle-left' => ['arrow-circle-left', 'oc-icon-arrow-circle-left'],
            'oc-icon-arrow-circle-o-down' => ['arrow-circle-o-down', 'oc-icon-arrow-circle-o-down'],
            'oc-icon-arrow-circle-o-left' => ['arrow-circle-o-left', 'oc-icon-arrow-circle-o-left'],
            'oc-icon-arrow-circle-o-right' => ['arrow-circle-o-right', 'oc-icon-arrow-circle-o-right'],
            'oc-icon-arrow-circle-o-up' => ['arrow-circle-o-up', 'oc-icon-arrow-circle-o-up'],
            'oc-icon-arrow-circle-right' => ['arrow-circle-right', 'oc-icon-arrow-circle-right'],
            'oc-icon-arrow-circle-up' => ['arrow-circle-up', 'oc-icon-arrow-circle-up'],
            'oc-icon-arrow-down' => ['arrow-down', 'oc-icon-arrow-down'],
            'oc-icon-arrow-left' => ['arrow-left', 'oc-icon-arrow-left'],
            'oc-icon-arrow-right' => ['arrow-right', 'oc-icon-arrow-right'],
            'oc-icon-arrow-up' => ['arrow-up', 'oc-icon-arrow-up'],
            'oc-icon-arrows' => ['arrows', 'oc-icon-arrows'],
            'oc-icon-arrows-alt' => ['arrows-alt', 'oc-icon-arrows-alt'],
            'oc-icon-arrows-h' => ['arrows-h', 'oc-icon-arrows-h'],
            'oc-icon-arrows-v' => ['arrows-v', 'oc-icon-arrows-v'],
            'oc-icon-asterisk' => ['asterisk', 'oc-icon-asterisk'],
            'oc-icon-at' => ['at', 'oc-icon-at'],
            'oc-icon-automobile' => ['automobile', 'oc-icon-automobile'],
            'oc-icon-backward' => ['backward', 'oc-icon-backward'],
            'oc-icon-ban' => ['ban', 'oc-icon-ban'],
            'oc-icon-bank' => ['bank', 'oc-icon-bank'],
            'oc-icon-bar-chart' => ['bar-chart', 'oc-icon-bar-chart'],
            'oc-icon-bar-chart-o' => ['bar-chart-o', 'oc-icon-bar-chart-o'],
            'oc-icon-barcode' => ['barcode', 'oc-icon-barcode'],
            'oc-icon-bars' => ['bars', 'oc-icon-bars'],
            'oc-icon-bed' => ['bed', 'oc-icon-bed'],
            'oc-icon-beer' => ['beer', 'oc-icon-beer'],
            'oc-icon-behance' => ['behance', 'oc-icon-behance'],
            'oc-icon-behance-square' => ['behance-square', 'oc-icon-behance-square'],
            'oc-icon-bell' => ['bell', 'oc-icon-bell'],
            'oc-icon-bell-o' => ['bell-o', 'oc-icon-bell-o'],
            'oc-icon-bell-slash' => ['bell-slash', 'oc-icon-bell-slash'],
            'oc-icon-bell-slash-o' => ['bell-slash-o', 'oc-icon-bell-slash-o'],
            'oc-icon-bicycle' => ['bicycle', 'oc-icon-bicycle'],
            'oc-icon-binoculars' => ['binoculars', 'oc-icon-binoculars'],
            'oc-icon-birthday-cake' => ['birthday-cake', 'oc-icon-birthday-cake'],
            'oc-icon-bitbucket' => ['bitbucket', 'oc-icon-bitbucket'],
            'oc-icon-bitbucket-square' => ['bitbucket-square', 'oc-icon-bitbucket-square'],
            'oc-icon-bitcoin' => ['bitcoin', 'oc-icon-bitcoin'],
            'oc-icon-bold' => ['bold', 'oc-icon-bold'],
            'oc-icon-bolt' => ['bolt', 'oc-icon-bolt'],
            'oc-icon-bomb' => ['bomb', 'oc-icon-bomb'],
            'oc-icon-book' => ['book', 'oc-icon-book'],
            'oc-icon-bookmark' => ['bookmark', 'oc-icon-bookmark'],
            'oc-icon-bookmark-o' => ['bookmark-o', 'oc-icon-bookmark-o'],
            'oc-icon-briefcase' => ['briefcase', 'oc-icon-briefcase'],
            'oc-icon-btc' => ['btc', 'oc-icon-btc'],
            'oc-icon-bug' => ['bug', 'oc-icon-bug'],
            'oc-icon-building' => ['building', 'oc-icon-building'],
            'oc-icon-building-o' => ['building-o', 'oc-icon-building-o'],
            'oc-icon-bullhorn' => ['bullhorn', 'oc-icon-bullhorn'],
            'oc-icon-bullseye' => ['bullseye', 'oc-icon-bullseye'],
            'oc-icon-bus' => ['bus', 'oc-icon-bus'],
            'oc-icon-buysellads' => ['buysellads', 'oc-icon-buysellads'],
            'oc-icon-cab' => ['cab', 'oc-icon-cab'],
            'oc-icon-calculator' => ['calculator', 'oc-icon-calculator'],
            'oc-icon-calendar' => ['calendar', 'oc-icon-calendar'],
            'oc-icon-calendar-o' => ['calendar-o', 'oc-icon-calendar-o'],
            'oc-icon-camera' => ['camera', 'oc-icon-camera'],
            'oc-icon-camera-retro' => ['camera-retro', 'oc-icon-camera-retro'],
            'oc-icon-car' => ['car', 'oc-icon-car'],
            'oc-icon-caret-down' => ['caret-down', 'oc-icon-caret-down'],
            'oc-icon-caret-left' => ['caret-left', 'oc-icon-caret-left'],
            'oc-icon-caret-right' => ['caret-right', 'oc-icon-caret-right'],
            'oc-icon-caret-square-o-down' => ['caret-square-o-down', 'oc-icon-caret-square-o-down'],
            'oc-icon-caret-square-o-left' => ['caret-square-o-left', 'oc-icon-caret-square-o-left'],
            'oc-icon-caret-square-o-right' => ['caret-square-o-right', 'oc-icon-caret-square-o-right'],
            'oc-icon-caret-square-o-up' => ['caret-square-o-up', 'oc-icon-caret-square-o-up'],
            'oc-icon-caret-up' => ['caret-up', 'oc-icon-caret-up'],
            'oc-icon-cart-arrow-down' => ['cart-arrow-down', 'oc-icon-cart-arrow-down'],
            'oc-icon-cart-plus' => ['cart-plus', 'oc-icon-cart-plus'],
            'oc-icon-cc' => ['cc', 'oc-icon-cc'],
            'oc-icon-cc-amex' => ['cc-amex', 'oc-icon-cc-amex'],
            'oc-icon-cc-discover' => ['cc-discover', 'oc-icon-cc-discover'],
            'oc-icon-cc-mastercard' => ['cc-mastercard', 'oc-icon-cc-mastercard'],
            'oc-icon-cc-paypal' => ['cc-paypal', 'oc-icon-cc-paypal'],
            'oc-icon-cc-stripe' => ['cc-stripe', 'oc-icon-cc-stripe'],
            'oc-icon-cc-visa' => ['cc-visa', 'oc-icon-cc-visa'],
            'oc-icon-certificate' => ['certificate', 'oc-icon-certificate'],
            'oc-icon-chain' => ['chain', 'oc-icon-chain'],
            'oc-icon-chain-broken' => ['chain-broken', 'oc-icon-chain-broken'],
            'oc-icon-check' => ['check', 'oc-icon-check'],
            'oc-icon-check-circle' => ['check-circle', 'oc-icon-check-circle'],
            'oc-icon-check-circle-o' => ['check-circle-o', 'oc-icon-check-circle-o'],
            'oc-icon-check-square' => ['check-square', 'oc-icon-check-square'],
            'oc-icon-check-square-o' => ['check-square-o', 'oc-icon-check-square-o'],
            'oc-icon-chevron-circle-down' => ['chevron-circle-down', 'oc-icon-chevron-circle-down'],
            'oc-icon-chevron-circle-left' => ['chevron-circle-left', 'oc-icon-chevron-circle-left'],
            'oc-icon-chevron-circle-right' => ['chevron-circle-right', 'oc-icon-chevron-circle-right'],
            'oc-icon-chevron-circle-up' => ['chevron-circle-up', 'oc-icon-chevron-circle-up'],
            'oc-icon-chevron-down' => ['chevron-down', 'oc-icon-chevron-down'],
            'oc-icon-chevron-left' => ['chevron-left', 'oc-icon-chevron-left'],
            'oc-icon-chevron-right' => ['chevron-right', 'oc-icon-chevron-right'],
            'oc-icon-chevron-up' => ['chevron-up', 'oc-icon-chevron-up'],
            'oc-icon-child' => ['child', 'oc-icon-child'],
            'oc-icon-circle' => ['circle', 'oc-icon-circle'],
            'oc-icon-circle-o' => ['circle-o', 'oc-icon-circle-o'],
            'oc-icon-circle-o-notch' => ['circle-o-notch', 'oc-icon-circle-o-notch'],
            'oc-icon-circle-thin' => ['circle-thin', 'oc-icon-circle-thin'],
            'oc-icon-clipboard' => ['clipboard', 'oc-icon-clipboard'],
            'oc-icon-clock-o' => ['clock-o', 'oc-icon-clock-o'],
            'oc-icon-close' => ['close', 'oc-icon-close'],
            'oc-icon-cloud' => ['cloud', 'oc-icon-cloud'],
            'oc-icon-cloud-download' => ['cloud-download', 'oc-icon-cloud-download'],
            'oc-icon-cloud-upload' => ['cloud-upload', 'oc-icon-cloud-upload'],
            'oc-icon-cny' => ['cny', 'oc-icon-cny'],
            'oc-icon-code' => ['code', 'oc-icon-code'],
            'oc-icon-code-fork' => ['code-fork', 'oc-icon-code-fork'],
            'oc-icon-codepen' => ['codepen', 'oc-icon-codepen'],
            'oc-icon-coffee' => ['coffee', 'oc-icon-coffee'],
            'oc-icon-cog' => ['cog', 'oc-icon-cog'],
            'oc-icon-cogs' => ['cogs', 'oc-icon-cogs'],
            'oc-icon-columns' => ['columns', 'oc-icon-columns'],
            'oc-icon-comment' => ['comment', 'oc-icon-comment'],
            'oc-icon-comment-o' => ['comment-o', 'oc-icon-comment-o'],
            'oc-icon-comments' => ['comments', 'oc-icon-comments'],
            'oc-icon-comments-o' => ['comments-o', 'oc-icon-comments-o'],
            'oc-icon-compass' => ['compass', 'oc-icon-compass'],
            'oc-icon-compress' => ['compress', 'oc-icon-compress'],
            'oc-icon-connectdevelop' => ['connectdevelop', 'oc-icon-connectdevelop'],
            'oc-icon-copy' => ['copy', 'oc-icon-copy'],
            'oc-icon-copyright' => ['copyright', 'oc-icon-copyright'],
            'oc-icon-credit-card' => ['credit-card', 'oc-icon-credit-card'],
            'oc-icon-crop' => ['crop', 'oc-icon-crop'],
            'oc-icon-crosshairs' => ['crosshairs', 'oc-icon-crosshairs'],
            'oc-icon-css3' => ['css3', '|'],
            'oc-icon-cube' => ['cube', 'oc-icon-cube'],
            'oc-icon-cubes' => ['cubes', 'oc-icon-cubes'],
            'oc-icon-cut' => ['cut', 'oc-icon-cut'],
            'oc-icon-cutlery' => ['cutlery', 'oc-icon-cutlery'],
            'oc-icon-dashboard' => ['dashboard', 'oc-icon-dashboard'],
            'oc-icon-dashcube' => ['dashcube', 'oc-icon-dashcube'],
            'oc-icon-database' => ['database', 'oc-icon-database'],
            'oc-icon-dedent' => ['dedent', 'oc-icon-dedent'],
            'oc-icon-delicious' => ['delicious', 'oc-icon-delicious'],
            'oc-icon-desktop' => ['desktop', 'oc-icon-desktop'],
            'oc-icon-deviantart' => ['deviantart', 'oc-icon-deviantart'],
            'oc-icon-diamond' => ['diamond', 'oc-icon-diamond'],
            'oc-icon-digg' => ['digg', 'oc-icon-digg'],
            'oc-icon-dollar' => ['dollar', 'oc-icon-dollar'],
            'oc-icon-dot-circle-o' => ['dot-circle-o', 'oc-icon-dot-circle-o'],
            'oc-icon-download' => ['download', 'oc-icon-download'],
            'oc-icon-dribbble' => ['dribbble', 'oc-icon-dribbble'],
            'oc-icon-dropbox' => ['dropbox', 'oc-icon-dropbox'],
            'oc-icon-drupal' => ['drupal', 'oc-icon-drupal'],
            'oc-icon-edit' => ['edit', 'oc-icon-edit'],
            'oc-icon-eject' => ['eject', 'oc-icon-eject'],
            'oc-icon-ellipsis-h' => ['ellipsis-h', 'oc-icon-ellipsis-h'],
            'oc-icon-ellipsis-v' => ['ellipsis-v', 'oc-icon-ellipsis-v'],
            'oc-icon-empire' => ['empire', 'oc-icon-empire'],
            'oc-icon-envelope' => ['envelope', 'oc-icon-envelope'],
            'oc-icon-envelope-o' => ['envelope-o', 'oc-icon-envelope-o'],
            'oc-icon-envelope-square' => ['envelope-square', 'oc-icon-envelope-square'],
            'oc-icon-eraser' => ['eraser', 'oc-icon-eraser'],
            'oc-icon-eur' => ['eur', 'oc-icon-eur'],
            'oc-icon-euro' => ['euro', 'oc-icon-euro'],
            'oc-icon-exchange' => ['exchange', 'oc-icon-exchange'],
            'oc-icon-exclamation' => ['exclamation', 'oc-icon-exclamation'],
            'oc-icon-exclamation-circle' => ['exclamation-circle', 'oc-icon-exclamation-circle'],
            'oc-icon-exclamation-triangle' => ['exclamation-triangle', 'oc-icon-exclamation-triangle'],
            'oc-icon-expand' => ['expand', 'oc-icon-expand'],
            'oc-icon-external-link' => ['external-link', 'oc-icon-external-link'],
            'oc-icon-external-link-square' => ['external-link-square', 'oc-icon-external-link-square'],
            'oc-icon-eye' => ['eye', 'oc-icon-eye'],
            'oc-icon-eye-slash' => ['eye-slash', 'oc-icon-eye-slash'],
            'oc-icon-eyedropper' => ['eyedropper', 'oc-icon-eyedropper'],
            'oc-icon-facebook' => ['facebook', 'oc-icon-facebook'],
            'oc-icon-facebook-f' => ['facebook-f', 'oc-icon-facebook-f'],
            'oc-icon-facebook-official' => ['facebook-official', 'oc-icon-facebook-official'],
            'oc-icon-facebook-square' => ['facebook-square', 'oc-icon-facebook-square'],
            'oc-icon-fast-backward' => ['fast-backward', 'oc-icon-fast-backward'],
            'oc-icon-fast-forward' => ['fast-forward', 'oc-icon-fast-forward'],
            'oc-icon-fax' => ['fax', 'oc-icon-fax'],
            'oc-icon-female' => ['female', 'oc-icon-female'],
            'oc-icon-fighter-jet' => ['fighter-jet', 'oc-icon-fighter-jet'],
            'oc-icon-file' => ['file', 'oc-icon-file'],
            'oc-icon-file-archive-o' => ['file-archive-o', 'oc-icon-file-archive-o'],
            'oc-icon-file-audio-o' => ['file-audio-o', 'oc-icon-file-audio-o'],
            'oc-icon-file-code-o' => ['file-code-o', 'oc-icon-file-code-o'],
            'oc-icon-file-excel-o' => ['file-excel-o', 'oc-icon-file-excel-o'],
            'oc-icon-file-image-o' => ['file-image-o', 'oc-icon-file-image-o'],
            'oc-icon-file-movie-o' => ['file-movie-o', 'oc-icon-file-movie-o'],
            'oc-icon-file-o' => ['file-o', 'oc-icon-file-o'],
            'oc-icon-file-pdf-o' => ['file-pdf-o', 'oc-icon-file-pdf-o'],
            'oc-icon-file-photo-o' => ['file-photo-o', 'oc-icon-file-photo-o'],
            'oc-icon-file-picture-o' => ['file-picture-o', 'oc-icon-file-picture-o'],
            'oc-icon-file-powerpoint-o' => ['file-powerpoint-o', 'oc-icon-file-powerpoint-o'],
            'oc-icon-file-sound-o' => ['file-sound-o', 'oc-icon-file-sound-o'],
            'oc-icon-file-text' => ['file-text', 'oc-icon-file-text'],
            'oc-icon-file-text-o' => ['file-text-o', 'oc-icon-file-text-o'],
            'oc-icon-file-video-o' => ['file-video-o', 'oc-icon-file-video-o'],
            'oc-icon-file-word-o' => ['file-word-o', 'oc-icon-file-word-o'],
            'oc-icon-file-zip-o' => ['file-zip-o', 'oc-icon-file-zip-o'],
            'oc-icon-files-o' => ['files-o', 'oc-icon-files-o'],
            'oc-icon-film' => ['film', 'oc-icon-film'],
            'oc-icon-filter' => ['filter', 'oc-icon-filter'],
            'oc-icon-fire' => ['fire', 'oc-icon-fire'],
            'oc-icon-fire-extinguisher' => ['fire-extinguisher', 'oc-icon-fire-extinguisher'],
            'oc-icon-flag' => ['flag', 'oc-icon-flag'],
            'oc-icon-flag-checkered' => ['flag-checkered', 'oc-icon-flag-checkered'],
            'oc-icon-flag-o' => ['flag-o', 'oc-icon-flag-o'],
            'oc-icon-flash' => ['flash', 'oc-icon-flash'],
            'oc-icon-flask' => ['flask', 'oc-icon-flask'],
            'oc-icon-flickr' => ['flickr', 'oc-icon-flickr'],
            'oc-icon-floppy-o' => ['floppy-o', 'oc-icon-floppy-o'],
            'oc-icon-folder' => ['folder', 'oc-icon-folder'],
            'oc-icon-folder-o' => ['folder-o', 'oc-icon-folder-o'],
            'oc-icon-folder-open' => ['folder-open', 'oc-icon-folder-open'],
            'oc-icon-folder-open-o' => ['folder-open-o', 'oc-icon-folder-open-o'],
            'oc-icon-font' => ['font', 'oc-icon-font'],
            'oc-icon-forumbee' => ['forumbee', 'oc-icon-forumbee'],
            'oc-icon-forward' => ['forward', 'oc-icon-forward'],
            'oc-icon-foursquare' => ['foursquare', 'oc-icon-foursquare'],
            'oc-icon-frown-o' => ['frown-o', 'oc-icon-frown-o'],
            'oc-icon-futbol-o' => ['futbol-o', 'oc-icon-futbol-o'],
            'oc-icon-gamepad' => ['gamepad', 'oc-icon-gamepad'],
            'oc-icon-gavel' => ['gavel', 'oc-icon-gavel'],
            'oc-icon-gbp' => ['gbp', 'oc-icon-gbp'],
            'oc-icon-ge' => ['ge', 'oc-icon-ge'],
            'oc-icon-gear' => ['gear', 'oc-icon-gear'],
            'oc-icon-gears' => ['gears', 'oc-icon-gears'],
            'oc-icon-genderless' => ['genderless', 'oc-icon-genderless'],
            'oc-icon-gift' => ['gift', 'oc-icon-gift'],
            'oc-icon-git' => ['git', 'oc-icon-git'],
            'oc-icon-git-square' => ['git-square', 'oc-icon-git-square'],
            'oc-icon-github' => ['github', 'oc-icon-github'],
            'oc-icon-github-alt' => ['github-alt', 'oc-icon-github-alt'],
            'oc-icon-github-square' => ['github-square', 'oc-icon-github-square'],
            'oc-icon-gittip' => ['gittip', 'oc-icon-gittip'],
            'oc-icon-glass' => ['glass', 'oc-icon-glass'],
            'oc-icon-globe' => ['globe', 'oc-icon-globe'],
            'oc-icon-google' => ['google', 'oc-icon-google'],
            'oc-icon-google-plus' => ['google-plus', 'oc-icon-google-plus'],
            'oc-icon-google-plus-square' => ['google-plus-square', 'oc-icon-google-plus-square'],
            'oc-icon-google-wallet' => ['google-wallet', 'oc-icon-google-wallet'],
            'oc-icon-graduation-cap' => ['graduation-cap', 'oc-icon-graduation-cap'],
            'oc-icon-gratipay' => ['gratipay', 'oc-icon-gratipay'],
            'oc-icon-group' => ['group', 'oc-icon-group'],
            'oc-icon-h-square' => ['h-square', 'oc-icon-h-square'],
            'oc-icon-hacker-news' => ['hacker-news', 'oc-icon-hacker-news'],
            'oc-icon-hand-o-down' => ['hand-o-down', 'oc-icon-hand-o-down'],
            'oc-icon-hand-o-left' => ['hand-o-left', 'oc-icon-hand-o-left'],
            'oc-icon-hand-o-right' => ['hand-o-right', 'oc-icon-hand-o-right'],
            'oc-icon-hand-o-up' => ['hand-o-up', 'oc-icon-hand-o-up'],
            'oc-icon-hdd-o' => ['hdd-o', 'oc-icon-hdd-o'],
            'oc-icon-header' => ['header', 'oc-icon-header'],
            'oc-icon-headphones' => ['headphones', 'oc-icon-headphones'],
            'oc-icon-heart' => ['heart', 'oc-icon-heart'],
            'oc-icon-heart-o' => ['heart-o', 'oc-icon-heart-o'],
            'oc-icon-heartbeat' => ['heartbeat', 'oc-icon-heartbeat'],
            'oc-icon-history' => ['history', 'oc-icon-history'],
            'oc-icon-home' => ['home', 'oc-icon-home'],
            'oc-icon-hospital-o' => ['hospital-o', 'oc-icon-hospital-o'],
            'oc-icon-hotel' => ['hotel', 'oc-icon-hotel'],
            'oc-icon-html5' => ['html5', '|'],
            'oc-icon-ils' => ['ils', 'oc-icon-ils'],
            'oc-icon-image' => ['image', 'oc-icon-image'],
            'oc-icon-inbox' => ['inbox', 'oc-icon-inbox'],
            'oc-icon-indent' => ['indent', 'oc-icon-indent'],
            'oc-icon-info' => ['info', 'oc-icon-info'],
            'oc-icon-info-circle' => ['info-circle', 'oc-icon-info-circle'],
            'oc-icon-inr' => ['inr', 'oc-icon-inr'],
            'oc-icon-instagram' => ['instagram', 'oc-icon-instagram'],
            'oc-icon-institution' => ['institution', 'oc-icon-institution'],
            'oc-icon-ioxhost' => ['ioxhost', 'oc-icon-ioxhost'],
            'oc-icon-italic' => ['italic', 'oc-icon-italic'],
            'oc-icon-joomla' => ['joomla', 'oc-icon-joomla'],
            'oc-icon-jpy' => ['jpy', 'oc-icon-jpy'],
            'oc-icon-jsfiddle' => ['jsfiddle', 'oc-icon-jsfiddle'],
            'oc-icon-key' => ['key', 'oc-icon-key'],
            'oc-icon-keyboard-o' => ['keyboard-o', 'oc-icon-keyboard-o'],
            'oc-icon-krw' => ['krw', 'oc-icon-krw'],
            'oc-icon-language' => ['language', 'oc-icon-language'],
            'oc-icon-laptop' => ['laptop', 'oc-icon-laptop'],
            'oc-icon-lastfm' => ['lastfm', 'oc-icon-lastfm'],
            'oc-icon-lastfm-square' => ['lastfm-square', 'oc-icon-lastfm-square'],
            'oc-icon-leaf' => ['leaf', 'oc-icon-leaf'],
            'oc-icon-leanpub' => ['leanpub', 'oc-icon-leanpub'],
            'oc-icon-legal' => ['legal', 'oc-icon-legal'],
            'oc-icon-lemon-o' => ['lemon-o', 'oc-icon-lemon-o'],
            'oc-icon-level-down' => ['level-down', 'oc-icon-level-down'],
            'oc-icon-level-up' => ['level-up', 'oc-icon-level-up'],
            'oc-icon-life-bouy' => ['life-bouy', 'oc-icon-life-bouy'],
            'oc-icon-lightbulb-o' => ['lightbulb-o', 'oc-icon-lightbulb-o'],
            'oc-icon-line-chart' => ['line-chart', 'oc-icon-line-chart'],
            'oc-icon-link' => ['link', 'oc-icon-link'],
            'oc-icon-linkedin' => ['linkedin', 'oc-icon-linkedin'],
            'oc-icon-linkedin-square' => ['linkedin-square', 'oc-icon-linkedin-square'],
            'oc-icon-linux' => ['linux', 'oc-icon-linux'],
            'oc-icon-list' => ['list', 'oc-icon-list'],
            'oc-icon-list-alt' => ['list-alt', 'oc-icon-list-alt'],
            'oc-icon-list-ol' => ['list-ol', 'oc-icon-list-ol'],
            'oc-icon-list-ul' => ['list-ul', 'oc-icon-list-ul'],
            'oc-icon-location-arrow' => ['location-arrow', 'oc-icon-location-arrow'],
            'oc-icon-lock' => ['lock', 'oc-icon-lock'],
            'oc-icon-long-arrow-down' => ['long-arrow-down', 'oc-icon-long-arrow-down'],
            'oc-icon-long-arrow-left' => ['long-arrow-left', 'oc-icon-long-arrow-left'],
            'oc-icon-long-arrow-right' => ['long-arrow-right', 'oc-icon-long-arrow-right'],
            'oc-icon-long-arrow-up' => ['long-arrow-up', 'oc-icon-long-arrow-up'],
            'oc-icon-magic' => ['magic', 'oc-icon-magic'],
            'oc-icon-magnet' => ['magnet', 'oc-icon-magnet'],
            'oc-icon-mail-forward' => ['mail-forward', 'oc-icon-mail-forward'],
            'oc-icon-mail-reply' => ['mail-reply', 'oc-icon-mail-reply'],
            'oc-icon-mail-reply-all' => ['mail-reply-all', 'oc-icon-mail-reply-all'],
            'oc-icon-male' => ['male', 'oc-icon-male'],
            'oc-icon-map-marker' => ['map-marker', 'oc-icon-map-marker'],
            'oc-icon-mars' => ['mars', 'oc-icon-mars'],
            'oc-icon-mars-double' => ['mars-double', 'oc-icon-mars-double'],
            'oc-icon-mars-stroke' => ['mars-stroke', 'oc-icon-mars-stroke'],
            'oc-icon-mars-stroke-h' => ['mars-stroke-h', 'oc-icon-mars-stroke-h'],
            'oc-icon-mars-stroke-v' => ['mars-stroke-v', 'oc-icon-mars-stroke-v'],
            'oc-icon-maxcdn' => ['maxcdn', 'oc-icon-maxcdn'],
            'oc-icon-meanpath' => ['meanpath', 'oc-icon-meanpath'],
            'oc-icon-medium' => ['medium', 'oc-icon-medium'],
            'oc-icon-medkit' => ['medkit', 'oc-icon-medkit'],
            'oc-icon-meh-o' => ['meh-o', 'oc-icon-meh-o'],
            'oc-icon-mercury' => ['mercury', 'oc-icon-mercury'],
            'oc-icon-microphone' => ['microphone', 'oc-icon-microphone'],
            'oc-icon-microphone-slash' => ['microphone-slash', 'oc-icon-microphone-slash'],
            'oc-icon-minus' => ['minus', 'oc-icon-minus'],
            'oc-icon-minus-circle' => ['minus-circle', 'oc-icon-minus-circle'],
            'oc-icon-minus-square' => ['minus-square', 'oc-icon-minus-square'],
            'oc-icon-minus-square-o' => ['minus-square-o', 'oc-icon-minus-square-o'],
            'oc-icon-mobile' => ['mobile', 'oc-icon-mobile'],
            'oc-icon-mobile-phone' => ['mobile-phone', 'oc-icon-mobile-phone'],
            'oc-icon-money' => ['money', 'oc-icon-money'],
            'oc-icon-moon-o' => ['moon-o', 'oc-icon-moon-o'],
            'oc-icon-mortar-board' => ['mortar-board', 'oc-icon-mortar-board'],
            'oc-icon-motorcycle' => ['motorcycle', 'oc-icon-motorcycle'],
            'oc-icon-music' => ['music', 'oc-icon-music'],
            'oc-icon-navicon' => ['navicon', 'oc-icon-navicon'],
            'oc-icon-neuter' => ['neuter', 'oc-icon-neuter'],
            'oc-icon-newspaper-o' => ['newspaper-o', 'oc-icon-newspaper-o'],
            'oc-icon-openid' => ['openid', 'oc-icon-openid'],
            'oc-icon-outdent' => ['outdent', 'oc-icon-outdent'],
            'oc-icon-pagelines' => ['pagelines', 'oc-icon-pagelines'],
            'oc-icon-paint-brush' => ['paint-brush', 'oc-icon-paint-brush'],
            'oc-icon-paper-plane' => ['paper-plane', 'oc-icon-paper-plane'],
            'oc-icon-paper-plane-o' => ['paper-plane-o', 'oc-icon-paper-plane-o'],
            'oc-icon-paperclip' => ['paperclip', 'oc-icon-paperclip'],
            'oc-icon-paragraph' => ['paragraph', 'oc-icon-paragraph'],
            'oc-icon-paste' => ['paste', 'oc-icon-paste'],
            'oc-icon-pause' => ['pause', 'oc-icon-pause'],
            'oc-icon-paw' => ['paw', 'oc-icon-paw'],
            'oc-icon-paypal' => ['paypal', 'oc-icon-paypal'],
            'oc-icon-pencil' => ['pencil', 'oc-icon-pencil'],
            'oc-icon-pencil-square' => ['pencil-square', 'oc-icon-pencil-square'],
            'oc-icon-pencil-square-o' => ['pencil-square-o', 'oc-icon-pencil-square-o'],
            'oc-icon-phone' => ['phone', 'oc-icon-phone'],
            'oc-icon-phone-square' => ['phone-square', 'oc-icon-phone-square'],
            'oc-icon-photo' => ['photo', 'oc-icon-photo'],
            'oc-icon-picture-o' => ['picture-o', 'oc-icon-picture-o'],
            'oc-icon-pie-chart' => ['pie-chart', 'oc-icon-pie-chart'],
            'oc-icon-pied-piper' => ['pied-piper', 'oc-icon-pied-piper'],
            'oc-icon-pied-piper-alt' => ['pied-piper-alt', 'oc-icon-pied-piper-alt'],
            'oc-icon-pinterest' => ['pinterest', 'oc-icon-pinterest'],
            'oc-icon-pinterest-p' => ['pinterest-p', 'oc-icon-pinterest-p'],
            'oc-icon-pinterest-square' => ['pinterest-square', 'oc-icon-pinterest-square'],
            'oc-icon-plane' => ['plane', 'oc-icon-plane'],
            'oc-icon-play' => ['play', 'oc-icon-play'],
            'oc-icon-play-circle' => ['play-circle', 'oc-icon-play-circle'],
            'oc-icon-play-circle-o' => ['play-circle-o', 'oc-icon-play-circle-o'],
            'oc-icon-plug' => ['plug', 'oc-icon-plug'],
            'oc-icon-plus' => ['plus', 'oc-icon-plus'],
            'oc-icon-plus-circle' => ['plus-circle', 'oc-icon-plus-circle'],
            'oc-icon-plus-square' => ['plus-square', 'oc-icon-plus-square'],
            'oc-icon-plus-square-o' => ['plus-square-o', 'oc-icon-plus-square-o'],
            'oc-icon-power-off' => ['power-off', 'oc-icon-power-off'],
            'oc-icon-print' => ['print', 'oc-icon-print'],
            'oc-icon-puzzle-piece' => ['puzzle-piece', 'oc-icon-puzzle-piece'],
            'oc-icon-qq' => ['qq', 'oc-icon-qq'],
            'oc-icon-qrcode' => ['qrcode', 'oc-icon-qrcode'],
            'oc-icon-question' => ['question', 'oc-icon-question'],
            'oc-icon-question-circle' => ['question-circle', 'oc-icon-question-circle'],
            'oc-icon-quote-left' => ['quote-left', 'oc-icon-quote-left'],
            'oc-icon-quote-right' => ['quote-right', 'oc-icon-quote-right'],
            'oc-icon-ra' => ['ra', 'oc-icon-ra'],
            'oc-icon-random' => ['random', 'oc-icon-random'],
            'oc-icon-rebel' => ['rebel', 'oc-icon-rebel'],
            'oc-icon-recycle' => ['recycle', 'oc-icon-recycle'],
            'oc-icon-reddit' => ['reddit', 'oc-icon-reddit'],
            'oc-icon-reddit-square' => ['reddit-square', 'oc-icon-reddit-square'],
            'oc-icon-refresh' => ['refresh', 'oc-icon-refresh'],
            'oc-icon-remove' => ['remove', 'oc-icon-remove'],
            'oc-icon-renren' => ['renren', 'oc-icon-renren'],
            'oc-icon-reorder' => ['reorder', 'oc-icon-reorder'],
            'oc-icon-repeat' => ['repeat', 'oc-icon-repeat'],
            'oc-icon-reply' => ['reply', 'oc-icon-reply'],
            'oc-icon-reply-all' => ['reply-all', 'oc-icon-reply-all'],
            'oc-icon-retweet' => ['retweet', 'oc-icon-retweet'],
            'oc-icon-rmb' => ['rmb', 'oc-icon-rmb'],
            'oc-icon-road' => ['road', 'oc-icon-road'],
            'oc-icon-rocket' => ['rocket', 'oc-icon-rocket'],
            'oc-icon-rotate-left' => ['rotate-left', 'oc-icon-rotate-left'],
            'oc-icon-rotate-right' => ['rotate-right', 'oc-icon-rotate-right'],
            'oc-icon-rouble' => ['rouble', 'oc-icon-rouble'],
            'oc-icon-rss' => ['rss', 'oc-icon-rss'],
            'oc-icon-rss-square' => ['rss-square', 'oc-icon-rss-square'],
            'oc-icon-rub' => ['rub', 'oc-icon-rub'],
            'oc-icon-ruble' => ['ruble', 'oc-icon-ruble'],
            'oc-icon-rupee' => ['rupee', 'oc-icon-rupee'],
            'oc-icon-save' => ['save', 'oc-icon-save'],
            'oc-icon-scissors' => ['scissors', 'oc-icon-scissors'],
            'oc-icon-search' => ['search', 'oc-icon-search'],
            'oc-icon-search-minus' => ['search-minus', 'oc-icon-search-minus'],
            'oc-icon-search-plus' => ['search-plus', 'oc-icon-search-plus'],
            'oc-icon-sellsy' => ['sellsy', 'oc-icon-sellsy'],
            'oc-icon-send' => ['send', 'oc-icon-send'],
            'oc-icon-send-o' => ['send-o', 'oc-icon-send-o'],
            'oc-icon-server' => ['server', 'oc-icon-server'],
            'oc-icon-share' => ['share', 'oc-icon-share'],
            'oc-icon-share-alt' => ['share-alt', 'oc-icon-share-alt'],
            'oc-icon-share-alt-square' => ['share-alt-square', 'oc-icon-share-alt-square'],
            'oc-icon-share-square' => ['share-square', 'oc-icon-share-square'],
            'oc-icon-share-square-o' => ['share-square-o', 'oc-icon-share-square-o'],
            'oc-icon-shekel' => ['shekel', 'oc-icon-shekel'],
            'oc-icon-sheqel' => ['sheqel', 'oc-icon-sheqel'],
            'oc-icon-shield' => ['shield', 'oc-icon-shield'],
            'oc-icon-ship' => ['ship', 'oc-icon-ship'],
            'oc-icon-shirtsinbulk' => ['shirtsinbulk', 'oc-icon-shirtsinbulk'],
            'oc-icon-shopping-cart' => ['shopping-cart', 'oc-icon-shopping-cart'],
            'oc-icon-sign-in' => ['sign-in', 'oc-icon-sign-in'],
            'oc-icon-sign-out' => ['sign-out', 'oc-icon-sign-out'],
            'oc-icon-signal' => ['signal', 'oc-icon-signal'],
            'oc-icon-simplybuilt' => ['simplybuilt', 'oc-icon-simplybuilt'],
            'oc-icon-sitemap' => ['sitemap', 'oc-icon-sitemap'],
            'oc-icon-skyatlas' => ['skyatlas', 'oc-icon-skyatlas'],
            'oc-icon-skype' => ['skype', 'oc-icon-skype'],
            'oc-icon-slack' => ['slack', 'oc-icon-slack'],
            'oc-icon-sliders' => ['sliders', 'oc-icon-sliders'],
            'oc-icon-slideshare' => ['slideshare', 'oc-icon-slideshare'],
            'oc-icon-smile-o' => ['smile-o', 'oc-icon-smile-o'],
            'oc-icon-soccer-ball-o' => ['soccer-ball-o', 'oc-icon-soccer-ball-o'],
            'oc-icon-sort' => ['sort', 'oc-icon-sort'],
            'oc-icon-sort-alpha-asc' => ['sort-alpha-asc', 'oc-icon-sort-alpha-asc'],
            'oc-icon-sort-alpha-desc' => ['sort-alpha-desc', 'oc-icon-sort-alpha-desc'],
            'oc-icon-sort-amount-asc' => ['sort-amount-asc', 'oc-icon-sort-amount-asc'],
            'oc-icon-sort-amount-desc' => ['sort-amount-desc', 'oc-icon-sort-amount-desc'],
            'oc-icon-sort-asc' => ['sort-asc', 'oc-icon-sort-asc'],
            'oc-icon-sort-desc' => ['sort-desc', 'oc-icon-sort-desc'],
            'oc-icon-sort-down' => ['sort-down', 'oc-icon-sort-down'],
            'oc-icon-sort-numeric-asc' => ['sort-numeric-asc', 'oc-icon-sort-numeric-asc'],
            'oc-icon-sort-numeric-desc' => ['sort-numeric-desc', 'oc-icon-sort-numeric-desc'],
            'oc-icon-sort-up' => ['sort-up', 'oc-icon-sort-up'],
            'oc-icon-soundcloud' => ['soundcloud', 'oc-icon-soundcloud'],
            'oc-icon-space-shuttle' => ['space-shuttle', 'oc-icon-space-shuttle'],
            'oc-icon-spinner' => ['spinner', 'oc-icon-spinner'],
            'oc-icon-spoon' => ['spoon', 'oc-icon-spoon'],
            'oc-icon-spotify' => ['spotify', 'oc-icon-spotify'],
            'oc-icon-square' => ['square', 'oc-icon-square'],
            'oc-icon-square-o' => ['square-o', 'oc-icon-square-o'],
            'oc-icon-stack-exchange' => ['stack-exchange', 'oc-icon-stack-exchange'],
            'oc-icon-stack-overflow' => ['stack-overflow', 'oc-icon-stack-overflow'],
            'oc-icon-star' => ['star', 'oc-icon-star'],
            'oc-icon-star-half' => ['star-half', 'oc-icon-star-half'],
            'oc-icon-star-half-empty' => ['star-half-empty', 'oc-icon-star-half-empty'],
            'oc-icon-star-half-full' => ['star-half-full', 'oc-icon-star-half-full'],
            'oc-icon-star-half-o' => ['star-half-o', 'oc-icon-star-half-o'],
            'oc-icon-star-o' => ['star-o', 'oc-icon-star-o'],
            'oc-icon-steam' => ['steam', 'oc-icon-steam'],
            'oc-icon-steam-square' => ['steam-square', 'oc-icon-steam-square'],
            'oc-icon-step-backward' => ['step-backward', 'oc-icon-step-backward'],
            'oc-icon-step-forward' => ['step-forward', 'oc-icon-step-forward'],
            'oc-icon-stethoscope' => ['stethoscope', 'oc-icon-stethoscope'],
            'oc-icon-stop' => ['stop', 'oc-icon-stop'],
            'oc-icon-street-view' => ['street-view', 'oc-icon-street-view'],
            'oc-icon-strikethrough' => ['strikethrough', 'oc-icon-strikethrough'],
            'oc-icon-stumbleupon' => ['stumbleupon', 'oc-icon-stumbleupon'],
            'oc-icon-stumbleupon-circle' => ['stumbleupon-circle', 'oc-icon-stumbleupon-circle'],
            'oc-icon-subscript' => ['subscript', 'oc-icon-subscript'],
            'oc-icon-subway' => ['subway', 'oc-icon-subway'],
            'oc-icon-suitcase' => ['suitcase', 'oc-icon-suitcase'],
            'oc-icon-sun-o' => ['sun-o', 'oc-icon-sun-o'],
            'oc-icon-superscript' => ['superscript', 'oc-icon-superscript'],
            'oc-icon-support' => ['support', 'oc-icon-support'],
            'oc-icon-table' => ['table', 'oc-icon-table'],
            'oc-icon-tablet' => ['tablet', 'oc-icon-tablet'],
            'oc-icon-tachometer' => ['tachometer', 'oc-icon-tachometer'],
            'oc-icon-tag' => ['tag', 'oc-icon-tag'],
            'oc-icon-tags' => ['tags', 'oc-icon-tags'],
            'oc-icon-tasks' => ['tasks', 'oc-icon-tasks'],
            'oc-icon-taxi' => ['taxi', 'oc-icon-taxi'],
            'oc-icon-tencent-weibo' => ['tencent-weibo', 'oc-icon-tencent-weibo'],
            'oc-icon-terminal' => ['terminal', 'oc-icon-terminal'],
            'oc-icon-text-height' => ['text-height', 'oc-icon-text-height'],
            'oc-icon-text-width' => ['text-width', 'oc-icon-text-width'],
            'oc-icon-th' => ['th', 'oc-icon-th'],
            'oc-icon-th-large' => ['th-large', 'oc-icon-th-large'],
            'oc-icon-th-list' => ['th-list', 'oc-icon-th-list'],
            'oc-icon-thumb-tack' => ['thumb-tack', 'oc-icon-thumb-tack'],
            'oc-icon-thumbs-down' => ['thumbs-down', 'oc-icon-thumbs-down'],
            'oc-icon-thumbs-o-down' => ['thumbs-o-down', 'oc-icon-thumbs-o-down'],
            'oc-icon-thumbs-o-up' => ['thumbs-o-up', 'oc-icon-thumbs-o-up'],
            'oc-icon-thumbs-up' => ['thumbs-up', 'oc-icon-thumbs-up'],
            'oc-icon-ticket' => ['ticket', 'oc-icon-ticket'],
            'oc-icon-times' => ['times', 'oc-icon-times'],
            'oc-icon-times-circle' => ['times-circle', 'oc-icon-times-circle'],
            'oc-icon-times-circle-o' => ['times-circle-o', 'oc-icon-times-circle-o'],
            'oc-icon-tint' => ['tint', 'oc-icon-tint'],
            'oc-icon-toggle-down' => ['toggle-down', 'oc-icon-toggle-down'],
            'oc-icon-toggle-left' => ['toggle-left', 'oc-icon-toggle-left'],
            'oc-icon-toggle-off' => ['toggle-off', 'oc-icon-toggle-off'],
            'oc-icon-toggle-on' => ['toggle-on', 'oc-icon-toggle-on'],
            'oc-icon-toggle-right' => ['toggle-right', 'oc-icon-toggle-right'],
            'oc-icon-toggle-up' => ['toggle-up', 'oc-icon-toggle-up'],
            'oc-icon-train' => ['train', 'oc-icon-train'],
            'oc-icon-transgender' => ['transgender', 'oc-icon-transgender'],
            'oc-icon-transgender-alt' => ['transgender-alt', 'oc-icon-transgender-alt'],
            'oc-icon-trash' => ['trash', 'oc-icon-trash'],
            'oc-icon-trash-o' => ['trash-o', 'oc-icon-trash-o'],
            'oc-icon-tree' => ['tree', 'oc-icon-tree'],
            'oc-icon-trello' => ['trello', 'oc-icon-trello'],
            'oc-icon-trophy' => ['trophy', 'oc-icon-trophy'],
            'oc-icon-truck' => ['truck', 'oc-icon-truck'],
            'oc-icon-try' => ['try', 'oc-icon-try'],
            'oc-icon-tty' => ['tty', 'oc-icon-tty'],
            'oc-icon-tumblr' => ['tumblr', 'oc-icon-tumblr'],
            'oc-icon-tumblr-square' => ['tumblr-square', 'oc-icon-tumblr-square'],
            'oc-icon-turkish-lira' => ['turkish-lira', 'oc-icon-turkish-lira'],
            'oc-icon-twitch' => ['twitch', 'oc-icon-twitch'],
            'oc-icon-twitter' => ['twitter', 'oc-icon-twitter'],
            'oc-icon-twitter-square' => ['twitter-square', 'oc-icon-twitter-square'],
            'oc-icon-umbrella' => ['umbrella', 'oc-icon-umbrella'],
            'oc-icon-underline' => ['underline', 'oc-icon-underline'],
            'oc-icon-undo' => ['undo', 'oc-icon-undo'],
            'oc-icon-university' => ['university', 'oc-icon-university'],
            'oc-icon-unlink' => ['unlink', 'oc-icon-unlink'],
            'oc-icon-unlock' => ['unlock', 'oc-icon-unlock'],
            'oc-icon-unlock-alt' => ['unlock-alt', 'oc-icon-unlock-alt'],
            'oc-icon-unsorted' => ['unsorted', 'oc-icon-unsorted'],
            'oc-icon-upload' => ['upload', 'oc-icon-upload'],
            'oc-icon-usd' => ['usd', 'oc-icon-usd'],
            'oc-icon-user' => ['user', 'oc-icon-user'],
            'oc-icon-user-md' => ['user-md', 'oc-icon-user-md'],
            'oc-icon-user-plus' => ['user-plus', 'oc-icon-user-plus'],
            'oc-icon-user-secret' => ['user-secret', 'oc-icon-user-secret'],
            'oc-icon-user-times' => ['user-times', 'oc-icon-user-times'],
            'oc-icon-users' => ['users', 'oc-icon-users'],
            'oc-icon-venus' => ['venus', 'oc-icon-venus'],
            'oc-icon-venus-double' => ['venus-double', 'oc-icon-venus-double'],
            'oc-icon-venus-mars' => ['venus-mars', 'oc-icon-venus-mars'],
            'oc-icon-viacoin' => ['viacoin', 'oc-icon-viacoin'],
            'oc-icon-video-camera' => ['video-camera', 'oc-icon-video-camera'],
            'oc-icon-vimeo-square' => ['vimeo-square', 'oc-icon-vimeo-square'],
            'oc-icon-vine' => ['vine', 'oc-icon-vine'],
            'oc-icon-vk' => ['vk', 'oc-icon-vk'],
            'oc-icon-volume-down' => ['volume-down', 'oc-icon-volume-down'],
            'oc-icon-volume-off' => ['volume-off', 'oc-icon-volume-off'],
            'oc-icon-volume-up' => ['volume-up', 'oc-icon-volume-up'],
            'oc-icon-warning' => ['warning', 'oc-icon-warning'],
            'oc-icon-wechat' => ['wechat', 'oc-icon-wechat'],
            'oc-icon-weibo' => ['weibo', 'oc-icon-weibo'],
            'oc-icon-weixin' => ['weixin', 'oc-icon-weixin'],
            'oc-icon-whatsapp' => ['whatsapp', 'oc-icon-whatsapp'],
            'oc-icon-wheelchair' => ['wheelchair', 'oc-icon-wheelchair'],
            'oc-icon-wifi' => ['wifi', 'oc-icon-wifi'],
            'oc-icon-windows' => ['windows', 'oc-icon-windows'],
            'oc-icon-won' => ['won', 'oc-icon-won'],
            'oc-icon-wordpress' => ['wordpress', 'oc-icon-wordpress'],
            'oc-icon-wrench' => ['wrench', 'oc-icon-wrench'],
            'oc-icon-xing' => ['xing', 'oc-icon-xing'],
            'oc-icon-xing-square' => ['xing-square', 'oc-icon-xing-square'],
            'oc-icon-yahoo' => ['yahoo', 'oc-icon-yahoo'],
            'oc-icon-yelp' => ['yelp', 'oc-icon-yelp'],
            'oc-icon-yen' => ['yen', 'oc-icon-yen'],
            'oc-icon-youtube' => ['youtube', 'oc-icon-youtube'],
            'oc-icon-youtube-play' => ['youtube-play', 'oc-icon-youtube-play'],
            'oc-icon-youtube-square' => ['youtube-square', 'oc-icon-youtube-square']
        ];
    }
}
