<?php

return [
    'plugin' => [
        'name' => 'Builder',
        'description' => 'Provê ferramentas visuais para construir plugins para October CMS.',
        'add' => 'Criar plugin',
        'no_records' => 'Nenhum plugins encontrado',
        'no_name' => 'Sem nome',
        'search' => 'Buscar...',
        'filter_description' => 'Exibe todos os plugins ou apenas os seus plugins.',
        'settings' => 'Configurações',
        'entity_name' => 'Plugin',
        'field_name' => 'Nome',
        'field_author' => 'Autor',
        'field_description' => 'Descrição',
        'field_icon' => 'Ícone do Plugin',
        'field_plugin_namespace' => 'Namespace Plugin',
        'field_author_namespace' => 'Namespace Autor',
        'field_namespace_description' => 'Namespace pode conter apenas letras latinas, numeros e deve começar com uma letra latina. Exemplo de namespace plugin: Blog',
        'field_author_namespace_description' => 'Você não pode alterar o namespace com Builder depois que você criar o plugin. Exemplo de namespace autor: JohnSmith',
        'tab_general' => 'Parâmetros gerais',
        'tab_description' => 'Descrição',
        'field_homepage' => 'URL da homepage do Plugin',
        'no_description' => 'Nenhuma descrição informada para este plugin',
        'error_settings_not_editable' => 'Configurações deste plugin não podem ser editadas com Builder.',
        'update_hint' => 'Você pode editar nome e descrição dos plugins localizados na aba localização.',
        'manage_plugins' => 'Criar e editar plugins',
    ],
    'author_name' => [
        'title' => 'Nome do autor',
        'description' => 'Nome padrão de autor para usar para seus novos plugins. O nome do autor não é fixo - você pode alterá-lo nas configurações do plugin a qualquer hora.',
    ],
    'author_namespace' => [
        'title' => 'Namespace Autor',
        'description' => 'Se você desenvolve para a Marketplace, o namespace deve combinar com o código de autor e não pode ser mudado. Veja a documentação para mais detalhes.',
    ],
    'database' => [
        'menu_label' => 'Banco de Dados',
        'no_records' => 'Nenhuma tabela encontrada',
        'search' => 'Buscar...',
        'confirmation_delete_multiple' => 'Deletar as tabelas selecionadas?',
        'field_name' => 'Nome da tabela',
        'tab_columns' => 'Colunas',
        'column_name_name' => 'Coluna',
        'column_name_required' => 'Por favor, informe um nome da tabela',
        'column_name_type' => 'Tipo',
        'column_type_required' => 'Por favor, selecione o tipo da coluna',
        'column_name_length' => 'Tamanho',
        'column_validation_length' => 'O valor do tamanho deve ser integer ou especificado como precisão e escala (10,2) para colunas decimais. Espaços não são permitidos na coluna tamanho.',
        'column_validation_title' => 'Apenas números, letras latinas minúsculas e underlines são permitidos nos nomes das colunas',
        'column_name_unsigned' => 'Somente positivos',
        'column_name_nullable' => 'Nulo',
        'column_auto_increment' => 'AUTOINCR',
        'column_default' => 'Padrão',
        'column_auto_primary_key' => 'Primary Key',
        'tab_new_table' => 'Nova Tabela',
        'btn_add_column' => 'Acrescentar coluna',
        'btn_delete_column' => 'Deletar coluna',
        'btn_add_timestamps' => 'Acrescentar timestamps',
        'btn_add_soft_deleting' => 'Acrescentar suporte a soft deleting',
        'timestamps_exist' => 'Colunas created_at e deleted_at já existem na tabela.',
        'soft_deleting_exist' => 'Coluna deleted_at já existe na tabela.',
        'confirm_delete' => 'Deletar a tabela?',
        'error_enum_not_supported' => 'A tabela contém coluna(s) com tipo "enum" que não é atualmente suportado pelo Builder.',
        'error_table_name_invalid_prefix' => "Nome da tabela deve começar com o prefixo do plugin: ':prefix'.",
        'error_table_name_invalid_characters' => 'Nome de tabela inválido. Nomes de tabelas devem conter apenas letras latinas, números e underlines. Nomes devem começar com uma letra latina e não podem conter espaços.',
        'error_table_duplicate_column' => "Nome de coluna duplicado: ':column'.",
        'error_table_auto_increment_in_compound_pk' => 'Uma coluna auto-increment não pode ser parte de uma chave primária composta.',
        'error_table_mutliple_auto_increment' => 'A tabela não pode conter multiplas colunas auto-increment.',
        'error_table_auto_increment_non_integer' => 'Colunas auto-increment devem ser do tipo integer.',
        'error_table_decimal_length' => "O parâmetro de tamanho para o tipo :type deve ser no formato '10,2', sem espaços.",
        'error_table_length' => 'O parâmetro de tamanho para o tipo :type deve ser especificado como integer.',
        'error_unsigned_type_not_int' => "Erro na coluna ':column'. A opção Somente Positivos só pode ser aplicada a colunas do tipo integer.",
        'error_integer_default_value' => "Valor padrão inválido para a coluna integer ':column'. Os formatos permitidos são '10', '-10'.",
        'error_decimal_default_value' => "Valor padrão inválido para a coluna decimal ou double ':column'. Os formatos permitodos são '1.00', '-1.00'.",
        'error_boolean_default_value' => "Valor padrão inválido para a coluna booleana ':column'. Os valores permitidos são '0' e '1'.",
        'error_unsigned_negative_value' => "O valor padrão para a coluna somente positivos ':column' não pode ser negativo.",
        'error_table_already_exists' => "A tabela ':name' já existe no banco de dados.",
        'error_table_name_too_long' => "O nome da tabela não deve ser maior que 64 caracteres.",
        'error_column_name_too_long' => "O nome da coluna ':column' é muito longo. Nomes de colunas não podem ser maiores que 64 caracteres."
    ],
    'model' => [
        'menu_label' => 'Models',
        'entity_name' => 'Model',
        'no_records' => 'Nenhum model encontrado',
        'search' => 'Buscar...',
        'add' => 'Acrescentar...',
        'forms' => 'Formulários',
        'lists' => 'Listas',
        'field_class_name' => 'Nome da classe',
        'field_database_table' => 'Nome do Banco de dados',
        'field_add_timestamps' => 'Acrescentar suporte a timestamp',
        'field_add_timestamps_description' => 'A tabela do banco de dados precisa conter as colunas created_at e updated_at.',
        'field_add_soft_deleting' => 'Acrescentar suporte a soft deleting',
        'field_add_soft_deleting_description' => 'A tabela do banco de dados precisa conter a coluna deleted_at.',
        'error_class_name_exists' => 'Arquivo Model já existe para o nome da classe especificada: :path',
        'error_timestamp_columns_must_exist' => 'A tabela do banco de dados precisa conter as colunas created_at e updated_at.',
        'error_deleted_at_column_must_exist' => 'A tabela do banco de dados precisa conter a coluna deleted_at.',
        'add_form' => 'Acrescentar formulário',
        'add_list' => 'Acrescentar lista',
    ],
    'form' => [
        'saved' => 'Formulário Salvo',
        'confirm_delete' => 'Deletar o formulário?',
        'tab_new_form' => 'Novo formulário',
        'property_label_title' => 'Título',
        'property_label_required' => 'Por favor, especifique o título do control.',
        'property_span_title' => 'Span',
        'property_comment_title' => 'Comentário',
        'property_comment_above_title' => 'Comentário a cima',
        'property_default_title' => 'Padrão',
        'property_checked_default_title' => 'Marcado por padrão',
        'property_css_class_title' => 'Classe CSS',
        'property_css_class_description' => 'Classe CSS opcional para assinar o campo container.',
        'property_disabled_title' => 'Desabilitado',
        'property_hidden_title' => 'Oculto',
        'property_required_title' => 'Obrigatório',
        'property_field_name_title' => 'Nome do campo',
        'property_placeholder_title' => 'Placeholder',
        'property_default_from_title' => 'Padrão de',
        'property_stretch_title' => 'Estender',
        'property_stretch_description' => 'Especifica se este campo se estende para se ajustar à altura dos pais.',
        'property_context_title' => 'Contexto',
        'property_context_description' => 'Especifica que conceito de formulário deve ser usado quando exibir o campo.',
        'property_context_create' => 'Criar',
        'property_context_update' => 'Atualizar',
        'property_context_preview' => 'Preview',
        'property_dependson_title' => 'Depende de',
        'property_trigger_action' => 'Ação',
        'property_trigger_show' => 'Exibir',
        'property_trigger_hide' => 'Ocultar',
        'property_trigger_enable' => 'Habilitar',
        'property_trigger_disable' => 'Desabilitar',
        'property_trigger_empty' => 'Vazio',
        'property_trigger_field' => 'Campo',
        'property_trigger_field_description' => 'Define o outro nome de campo que dispara a ação.',
        'property_trigger_condition' => 'Condição',
        'property_trigger_condition_description' => 'Determina a condição que especifica o campo deve satisfazer a condição a ser considerada "true". Valores suportados: marcado, não marcado, valor[algumvalor].',
        'property_trigger_condition_checked' => 'Marcado',
        'property_trigger_condition_unchecked' => 'Não marcado',
        'property_trigger_condition_somevalue' => 'valor[digite-o-valor-aqui]',
        'property_preset_title' => 'Pré-configurado',
        'property_preset_description' => 'Permite o valor do campo a ser inicalmente configurado pelo valor de outro campo, convertido usando a entrada de conversor pré-configurada.',
        'property_preset_field' => 'Campo',
        'property_preset_field_description' => 'Define o nome do campo pelo valor de fonte de outro campo.',
        'property_preset_type' => 'Tipo',
        'property_preset_type_description' => 'Especifica o tipo de conversão',
        'property_attributes_title' => 'Atributos',
        'property_attributes_description' => 'Atributos HTML customizados para acrescentar ao elemento do campo do formulário.',
        'property_container_attributes_title' => 'Atributos do container',
        'property_container_attributes_description' => 'Atributos HTML customizados para adicionar ao elemento container do campo do formulário.',
        'property_group_advanced' => 'Avançado',
        'property_dependson_description' => 'Uma lista de outros nomes de campos dos quais este campo depende, quando os outros campos são modificados, este campo será atualizado. Um campo por linha.',
        'property_trigger_title' => 'Gatilho (Trigger)',
        'property_trigger_description' => 'Permite mudar os atributos do elemento assim como visibilidade ou valor, baseado no estado de outros elementos.',
        'property_default_from_description' => 'Pega o valor padrão do valor de outro campo.',
        'property_field_name_required' => 'O nome do campo é obrigatório',
        'property_field_name_regex' => 'O nome do campo apenas pode conter letras latinas, números, underlines, traços e colchetes.',
        'property_attributes_size' => 'Tamanho',
        'property_attributes_size_tiny' => 'Minúsculo',
        'property_attributes_size_small' => 'Pequeno',
        'property_attributes_size_large' => 'Largo',
        'property_attributes_size_huge' => 'Grande',
        'property_attributes_size_giant' => 'Gigante',
        'property_comment_position' => 'Posição do Comentário',
        'property_comment_position_above' => 'A cima',
        'property_comment_position_below' => 'A baixo',
        'property_hint_path' => 'Caminho sugerido do partial',
        'property_hint_path_description' => 'Caminho para um arquivo partial que contenha o texto sugerido. Use o simbolo $ para referenciar à raiz do diretório, por exemplo: $/acme/blog/partials/_sugestao.htm',
        'property_hint_path_required' => 'Por favor, digite a sugestão de caminho para o partial',
        'property_partial_path' => 'Caminho para o partial',
        'property_partial_path_description' => 'Caminho para um arquivo partial. Use o simbolo $ para referenciar ao diretório raiz dos plugins, por exemplo: $/acme/blog/partials/_partial.htm',
        'property_partial_path_required' => 'Por favor, digite o caminho do partial',
        'property_code_language' => 'Linguagem',
        'property_code_theme' => 'Tema',
        'property_theme_use_default' => 'Use o tema padrão',
        'property_group_code_editor' => 'Editor de código',
        'property_gutter' => 'Gutter',
        'property_gutter_show' => 'Visível',
        'property_gutter_hide' => 'Oculto',
        'property_wordwrap' => 'Abreviar palavra',
        'property_wordwrap_wrap' => 'Abreviar',
        'property_wordwrap_nowrap' => 'Não abreviar',
        'property_fontsize' => 'Tamanho da fonte',
        'property_codefolding' => 'Duplicar código',
        'property_codefolding_manual' => 'Manual',
        'property_codefolding_markbegin' => 'Marcar início',
        'property_codefolding_markbeginend' => 'Marcar início e fim',
        'property_autoclosing' => 'Auto encerrar',
        'property_enabled' => 'Habilitado',
        'property_disabled' => 'Desabilitado',
        'property_soft_tabs' => 'Tabelas suaves',
        'property_tab_size' => 'Tamanho da tabela',
        'property_readonly' => 'Somente leitura',
        'property_use_default' => 'Usar configurações padrão',
        'property_options' => 'Opções',
        'property_prompt' => 'Pronto',
        'property_prompt_description' => 'Texto a exibir para o botão criar.',
        'property_prompt_default' => 'Acrescentar novo item',
        'property_available_colors' => 'Cores disponíveis',
        'property_available_colors_description' => 'Lista de cores disponíveis no frmato hexadecimal (#FF0000). Deixe em branco para a configuração padrão de cores. Digite um valor por linha.',
        'property_datepicker_mode' => 'Modo',
        'property_datepicker_mode_date' => 'Data',
        'property_datepicker_mode_datetime' => 'Data e hora',
        'property_datepicker_mode_time' => 'Hora',
        'property_datepicker_min_date' => 'Data mínima',
        'property_datepicker_min_date_description' => 'A data minima ou mais proxima que pode ser selecionada. Deixe em branco para o valor padrão (2000-01-01).',
        'property_datepicker_max_date' => 'Data máxima',
        'property_datepicker_max_date_description' => 'A data máxima ou mais distante que pode ser selecionada. Deixe em branco para o valor padrão (2020-12-31).',
        'property_datepicker_date_invalid_format' => 'Formato de data inválido. Use o formato YYYY-MM-DD.',
        'property_datepicker_year_range' => 'Alcançe de Anos',
        'property_datepicker_year_range_description' => 'Número de anos que cada lado (ex. 10) ou array de alcançe superior/inferior (ex. [1900,2015]). Deixe em branco para o valor padrão (10).',
        'property_datepicker_year_range_invalid_format' => 'Formato de alcançe de anos inválido. Use Números (ex. "10") ou array de alcançe superior/inferior (ex. "[1900,2015]")',
        'property_markdown_mode' => 'Modo',
        'property_markdown_mode_split' => 'Dividir',
        'property_markdown_mode_tab' => 'Tabela',
        'property_fileupload_mode' => 'Modo',
        'property_fileupload_mode_file' => 'Arquivo',
        'property_fileupload_mode_image' => 'Imagem',
        'property_group_fileupload' => 'Upload de arquivo',
        'property_fileupload_prompt' => 'Pronto',
        'property_fileupload_prompt_description' => 'Testo para exibir para o botão upload, aplica-se apenas ao modo Arquivos, opcional.',
        'property_fileupload_image_width' => 'Largura da imagem',
        'property_fileupload_image_width_description' => 'Parâmetro opcional - imagens serão redimensionadas para esta largura. Aplica-se apenas ao modo Imagem.',
        'property_fileupload_invalid_dimension' => 'Valor de dimensão inválido - por favor, digite um número.',
        'property_fileupload_image_height' => 'Altura da imagem',
        'property_fileupload_image_height_description' => 'Parâmetro opcional - imagens serão redimensionadas para esta altura. Aplica-se apenas ao modo Imagem.',
        'property_fileupload_file_types' => 'Tipos de arquivos',
        'property_fileupload_file_types_description' => 'Lista opcional separada por vírgula das extensões de arquivos que são aceitas pelo uploaded. Ex: zip, txt',
        'property_fileupload_mime_types' => 'Tipos MIME',
        'property_fileupload_mime_types_description' => 'Lista opcional separada por vírgula dos tipos MIME que são aceitas pelo uploader, assim como extensões ou nomes totalmente qualificados. Ex: bin, txt',
        'property_fileupload_use_caption' => 'Usar legenda',
        'property_fileupload_use_caption_description' => 'Permite um título e descrição a serem configurados para o arquivo.',
        'property_fileupload_thumb_options' => 'Opções de miniatua',
        'property_fileupload_thumb_options_description' => 'Gerencia opções para as miniaturas geradas automaticamente. Aplica-se apenas ao modo imagem.',
        'property_fileupload_thumb_mode' => 'Modo',
        'property_fileupload_thumb_auto' => 'Automático',
        'property_fileupload_thumb_exact' => 'Exato',
        'property_fileupload_thumb_portrait' => 'Retrato',
        'property_fileupload_thumb_landscape' => 'Paisagem',
        'property_fileupload_thumb_crop' => 'Cropar',
        'property_fileupload_thumb_extension' => 'Extensão de arquivo',
        'property_name_from' => 'Nome da coluna',
        'property_name_from_description' => 'Relação de nome de coluna a usar para exibir um nome.',
        'property_relation_select' => 'Selecionar',
        'property_relation_select_description' => 'CONCATENA multiplas colunas para exibir um nome',
        'property_description_from' => 'Coluna Descrição',
        'property_description_from_description' => 'Relação de nome de coluna a usar para exibir uma descrição.',
        'property_recordfinder_prompt' => 'Pronto',
        'property_recordfinder_prompt_description' => 'Texto para exibir quando não há gravação selecionada. O caractere %s representa o ícone buscar. Deixe em branco para o padrão pronto.',
        'property_recordfinder_list' => 'Configuração de lista',
        'property_recordfinder_list_description' => 'Uma referencia a um arquivo de definições de listas de colunas. Use o simbolo $ para referenciar a raiz de diretório do plugin, por exemplo: $/acme/blog/lists/_lista.yaml',
        'property_recordfinder_list_required' => 'Por favor, forneça um caminho para a lista de arquivos YAML',
        'property_group_recordfinder' => 'Gravar buscador',
        'property_mediafinder_mode' => 'Modo',
        'property_mediafinder_mode_file' => 'Arquivo',
        'property_mediafinder_mode_image' => 'Imagem',
        'property_mediafinder_prompt' => 'Pronto',
        'property_mediafinder_prompt_description' => 'Texto a exibir quando não há itens selecionados. O caractere %s representa o ícone gerenciador de mídias. Deixe em branco para o padrão pronto.',
        'property_mediafinder_image_width_description' => 'Se estiver usando o tipo imagem, o preview de imagem será exibido nesta largura, opcional.',
        'property_mediafinder_image_height_description' => 'Se estiver usando o modo imagem, o preview de imagem será exibido nesta altura, opcional.',
        'property_group_relation' => 'Relação',
        'property_relation_prompt' => 'Pronto',
        'property_relation_prompt_description' => 'Texto a exibir quando não há seleções disponíveis.',
        'property_empty_option' => 'Opção Vazia',
        'property_empty_option_description' => 'A opção Vazia corresponde a seleção vazia, mas ao contrário do marcador, ele pode ser selecionado novamente.',
        'property_max_items' => 'Máximo de itens',
        'property_max_items_description' => 'Número máximo de itens a permitir com o repetidor.',
        'control_group_standard' => 'Comum',
        'control_group_widgets' => 'Widgets',
        'click_to_add_control' => 'Acrescentar control',
        'loading' => 'Carregando...',
        'control_text' => 'Texto',
        'control_text_description' => 'Caixa de texto único',
        'control_password' => 'Senha',
        'control_password_description' => 'Campo de texto para senha de linha única',
        'control_checkbox' => 'Checkbox',
        'control_checkbox_description' => 'Único checkbox',
        'control_switch' => 'Switch',
        'control_switch_description' => 'Switchbox único, uma alternativa ao checkbox',
        'control_textarea' => 'Text area',
        'control_textarea_description' => 'Multiplas caixas de texto com altura controlável',
        'control_dropdown' => 'Dropdown',
        'control_dropdown_description' => 'Lista dropdown com opções estáticas ou dinâmicas',
        'control_balloon-selector' => 'Balloon Selector',
        'control_balloon-selector_description' => 'Lista onde somente um item pode ser selecionado por vez, com opções estáticas ou dinâmicas',
        'control_unknown' => 'Tipo de control desconhecido: :type',
        'control_repeater' => 'Repetidor',
        'control_repeater_description' => 'Exibe um conjunto de repetições de form controls',
        'control_number' => 'Número',
        'control_number_description' => 'Text box de linha única que aceita apenas números',
        'control_hint' => 'Aviso',
        'control_hint_description' => 'Exibe o conteúdo de uma partial em uma caixa que pode ser ocultada pelo usuário',
        'control_partial' => 'Partial',
        'control_partial_description' => 'Exibe o conteúdo de um partial',
        'control_section' => 'Seção',
        'control_section_description' => 'Exibe uma seção de formulário com cabeçalho e sub-cabeçalho',
        'control_radio' => 'Lista Radio',
        'control_radio_description' => 'Uma lista de opções radio, onde apenas um item pode ser selecionado por vez',
        'control_radio_option_1' => 'Opção 1',
        'control_radio_option_2' => 'Opção 2',
        'control_checkboxlist' => 'Lista Checkbox',
        'control_checkboxlist_description' => 'Uma lista de checkboxes, onde múltiplos itens podem ser selecionados',
        'control_codeeditor' => 'Editor de códigos',
        'control_codeeditor_description' => 'Editor modo texto para código formatado ou de marcação',
        'control_colorpicker' => 'Seletor de cor',
        'control_colorpicker_description' => 'Um campo para selecionar um valor haxadecimal de cor',
        'control_datepicker' => 'Seletor Data',
        'control_datepicker_description' => 'Campo texto usado para selecionar data e hora',
        'control_richeditor' => 'Editor Rico',
        'control_richeditor_description' => 'Editor visual para formatação rica de texto, também conhecido como um editor WYSIWYG',
        'control_markdown' => 'Editor Markdown',
        'control_markdown_description' => 'Editor básico para formatação de texto Markdown',
        'control_fileupload' => 'Upload de arquivo',
        'control_fileupload_description' => 'Uploader de arquivos para imagens ou arquivos comuns',
        'control_recordfinder' => 'Buscador de registro',
        'control_recordfinder_description' => 'Campo com detalhes de um registro relacionado com o recurso de pesquisa de registro',
        'control_mediafinder' => 'Buscador de mídia',
        'control_mediafinder_description' => 'Campo para selecionar um item de uma biblioteca do gerenciador de mídia',
        'control_relation' => 'Relação',
        'control_relation_description' => 'Exibe tanto um dropdown ou uma lista checkbox para selecionar um registro relacionado',
        'error_file_name_required' => 'Por favor, digite o nome de arquivo do formulário.',
        'error_file_name_invalid' => 'O nome de arquivo pode conter apenas letras latinas, números, underlines, pontos e barras.',
        'span_left' => 'Esquerda',
        'span_right' => 'Direita',
        'span_full' => 'Completo',
        'span_auto' => 'Automático',
        'empty_tab' => 'Aba vazia',
        'confirm_close_tab' => 'A aba contém controles que serão deletados. Continuar?',
        'tab' => 'Aba formulário',
        'tab_title' => 'Título',
        'controls' => 'Controles',
        'property_tab_title_required' => 'A aba título é obrigatória.',
        'tabs_primary' => 'Abas primárias',
        'tabs_secondary' => 'Abas secundárias',
        'tab_stretch' => 'Extender',
        'tab_stretch_description' => 'Especifica se este contêiner de guias se estende para se ajustar à altura pai.',
        'tab_css_class' => 'Classe CSS',
        'tab_css_class_description' => 'Assinala uma classe CSS ao contêiner de abas.',
        'tab_name_template' => 'Aba %s',
        'tab_already_exists' => 'Aba com o título especificado já existe.',
    ],
    'list' => [
        'tab_new_list' => 'Nova lista',
        'saved' => 'Lista salva',
        'confirm_delete' => 'Deletar a lista?',
        'tab_columns' => 'Colunas',
        'btn_add_column' => 'Acrescentar coluna',
        'btn_delete_column' => 'Deletar coluna',
        'column_dbfield_label' => 'Campo',
        'column_dbfield_required' => 'Por favor, digite um campo model',
        'column_name_label' => 'Rótulo',
        'column_label_required' => 'Por favor, informe o rótulo da coluna',
        'column_type_label' => 'Tipo',
        'column_type_required' => 'Por favor, informe o tipo da coluna',
        'column_type_text' => 'Texto',
        'column_type_number' => 'Número',
        'column_type_switch' => 'Switch',
        'column_type_datetime' => 'Data e Hora',
        'column_type_date' => 'Data',
        'column_type_time' => 'Hora',
        'column_type_timesince' => 'Tempo Passado',
        'column_type_timetense' => 'Tempo por Extenso',
        'column_type_select' => 'Seleção',
        'column_type_partial' => 'Partial',
        'column_label_default' => 'Padrão',
        'column_label_searchable' => 'Buscar',
        'column_label_sortable' => 'Classificável',
        'column_label_invisible' => 'Invisível',
        'column_label_select' => 'Seleção',
        'column_label_relation' => 'Relação',
        'column_label_css_class' => 'Classe CSS',
        'column_label_width' => 'Largura',
        'column_label_path' => 'Caminho',
        'column_label_format' => 'Formato',
        'column_label_value_from' => 'Valor de',
        'error_duplicate_column' => "Campo nome de coluna duplicado: ':column'.",
        'btn_add_database_columns' => 'Acrescentar colunas ao banco de dados',
        'all_database_columns_exist' => 'Todas as colunas do banco de dados já estão definidas na lista'
    ],
    'controller' => [
        'menu_label' => 'Controllers',
        'no_records' => 'Nenhum controller de plugin encontrado',
        'controller' => 'Controller',
        'behaviors' => 'Comportamentos',
        'new_controller' => 'Novo controller',
        'error_controller_has_no_behaviors' => 'O controller não possui nenhum comportamento configurável.',
        'error_invalid_yaml_configuration' => 'Erro ao carregar arquivo de configuração de comportamento: :file',
        'behavior_form_controller' => 'Comportamento de controller de formulários',
        'behavior_form_controller_description' => 'Acrescentar funcionalidade de formulários a uma página back-end. O comportamento provê três páginas chamadas Create, Update e Preview.',
        'property_behavior_form_placeholder' => '--selecionar formulário--',
        'property_behavior_form_name' => 'Nome',
        'property_behavior_form_name_description' => 'O nome do objeto gerenciado por este formulário',
        'property_behavior_form_name_required' => 'Por favor, digite o nome do formulário',
        'property_behavior_form_file' => 'Configuração de formulário',
        'property_behavior_form_file_description' => 'Refere-se a um arquivo de definição de campos de formulário',
        'property_behavior_form_file_required' => 'Por favor, digite um caminho para o arquivo de configuração do formulário',
        'property_behavior_form_model_class' => 'Classe Model',
        'property_behavior_form_model_class_description' => 'Um nome de classe model, os dados do formulário são carregados e salvos neste model.',
        'property_behavior_form_model_class_required' => 'Por favor, selecione uma classe de model',
        'property_behavior_form_default_redirect' => 'Redirecionamento padrão',
        'property_behavior_form_default_redirect_description' => 'Uma página para redirecionar por padrão quando o formulário for salvo ou cancelado.',
        'property_behavior_form_create' => 'Criar registrar página',
        'property_behavior_form_redirect' => 'Redirecionar',
        'property_behavior_form_redirect_description' => 'Uma página para redirecionar quando um registro é criado.',
        'property_behavior_form_redirect_close' => 'Encerrar redirecionamento',
        'property_behavior_form_redirect_close_description' => 'Uma página para redirecionar quando um registro é criado e a variável encerrar é enviada com o requerimento.',
        'property_behavior_form_flash_save' => 'Salvar menságem rápida',
        'property_behavior_form_flash_save_description' => 'Menságem rápida para exibir quando o registro é salvo.',
        'property_behavior_form_page_title' => 'Título da página',
        'property_behavior_form_update' => 'Atualizar registro da página',
        'property_behavior_form_update_redirect' => 'Redirecionar',
        'property_behavior_form_create_redirect_description' => 'Uma página para redirecionar quando um registro é salvo.',
        'property_behavior_form_flash_delete' => 'Deletar mensagem rápida',
        'property_behavior_form_flash_delete_description' => 'Mensagem rápida para exibir quando o registro é deletado.',
        'property_behavior_form_preview' => 'Preview registro da página',
        'behavior_list_controller' => 'Controller de Lista Comportamento',
        'behavior_list_controller_description' => 'Provê a lista classificável e buscável com links opcionais em seus registros. O comportamento cria automaticamente a ação controller "index".',
        'property_behavior_list_title' => 'Título da lista',
        'property_behavior_list_title_required' => 'Por favor, digite o título da lista',
        'property_behavior_list_placeholder' => '--Selecione a lista--',
        'property_behavior_list_model_class' => 'Classe Model',
        'property_behavior_list_model_class_description' => 'Um nome de classe model, os dados da lista são carregados deste model.',
        'property_behavior_form_model_class_placeholder' => '--selecione o model--',
        'property_behavior_list_model_class_required' => 'Por favor, selecione uma classe model',
        'property_behavior_list_model_placeholder' => '--selecione o model--',
        'property_behavior_list_file' => 'Arquivo de configuração de lista',
        'property_behavior_list_file_description' => 'Refere-se a um arquivo de definição de lista',
        'property_behavior_list_file_required' => 'Por favor, digite um caminho para o arquivo de configuração de lista',
        'property_behavior_list_record_url' => 'Gravar URL',
        'property_behavior_list_record_url_description' => 'Link cada lista de registro para outra página. Ex: users/update:id. A :id parte é substituída com o identificador de registro.',
        'property_behavior_list_no_records_message' => 'Nenhum registro de mensagem',
        'property_behavior_list_no_records_message_description' => 'Uma mensagem a exibir quando nenhum registro for encontrado',
        'property_behavior_list_recs_per_page' => 'Registros por página',
        'property_behavior_list_recs_per_page_description' => 'Registros a exibir por página, use 0 para nenhuma página. O padrão é: 0',
        'property_behavior_list_recs_per_page_regex' => 'Registros por página devem ser um valor integer',
        'property_behavior_list_show_setup' => 'Exibe botão configurações',
        'property_behavior_list_show_sorting' => 'Exibir classificação',
        'property_behavior_list_default_sort' => 'Classificação padrão',
        'property_behavior_form_ds_column' => 'Coluna',
        'property_behavior_form_ds_direction' => 'Direção',
        'property_behavior_form_ds_asc' => 'Ascendente',
        'property_behavior_form_ds_desc' => 'Descendente',
        'property_behavior_list_show_checkboxes' => 'Exibir checkboxes',
        'property_behavior_list_onclick' => 'Manusear On click',
        'property_behavior_list_onclick_description' => 'Customiza código JavaScript para executar quando clicar em um registro.',
        'property_behavior_list_show_tree' => 'Exibir árvore',
        'property_behavior_list_show_tree_description' => 'Exibe uma árvore de hierarquia para registros pai/filho.',
        'property_behavior_list_tree_expanded' => 'Expandir árvore',
        'property_behavior_list_tree_expanded_description' => 'Determina se os nós da árvore devem ser expandidos por padrão.',
        'property_behavior_list_toolbar' => 'Barra de ferramentas',
        'property_behavior_list_toolbar_buttons' => 'Partial Botões',
        'property_behavior_list_toolbar_buttons_description' => 'Refere-se a um arquivo controller partial com os botões da barra de ferramentas. Ex: lista_BarradeFerramentas',
        'property_behavior_list_search' => 'Buscar',
        'property_behavior_list_search_prompt' => 'Buscar pronto',
        'property_behavior_list_filter' => 'Configurar filtros',
        'behavior_reorder_controller' => 'Reordenar comportamento do controller',
        'behavior_reorder_controller_description' => 'Fornece recursos para classificar e reordenar seus registros. O comportamento cria automaticamente a ação "reorder" do controller.',
        'property_behavior_reorder_title' => 'Título do reordenador',
        'property_behavior_reorder_title_required' => 'Por favor, digite o título do reordenador',
        'property_behavior_reorder_name_from' => 'Nome do atributo',
        'property_behavior_reorder_name_from_description' => 'Atributo do model que pode ser usado como um rótulo para cada registro.',
        'property_behavior_reorder_name_from_required' => 'Por favor, digite o nome do atributo',
        'property_behavior_reorder_model_class' => 'Classe Model',
        'property_behavior_reorder_model_class_description' => 'Um nome de classe model, o dado registrado é carregado deste model.',
        'property_behavior_reorder_model_class_placeholder' => '--selecionar model--',
        'property_behavior_reorder_model_class_required' => 'Por favor, selecione uma classe model',
        'property_behavior_reorder_model_placeholder' => '--selecione o model--',
        'property_behavior_reorder_toolbar' => 'Bara de ferramentas',
        'property_behavior_reorder_toolbar_buttons' => 'Botões da Partial',
        'property_behavior_reorder_toolbar_buttons_description' => 'Refere-se ao arquivo partial controller com os botões da barra de ferramentas. Ex: reordenar_BarradeFerramentas',
        'error_controller_not_found' => 'Arquivo original do controller não foi encontrado.',
        'error_invalid_config_file_name' => 'O nome do arquivo (:file) de configuração do comportamento :class contém caracteres inválidos e não pode ser carregado.',
        'error_file_not_yaml' => 'O nome do arquivo (:file) de configuração do comportamento :class não é um arquivo YAML. Somente arquivos de configuração YAML são suportados.',
        'saved' => 'Controller salvo',
        'controller_name' => 'Nome do Controller',
        'controller_name_description' => 'O nome do controller define o nome da classe e URL das páginas back-end do controller. Convenções de nomenclatura de variáveis PHP padrão se aplicam. O primeiro símbolo deve ser uma letra latina maiúscula. Exemplos: Categorias, Postagens, Produtos.',
        'base_model_class' => 'Classe model base',
        'base_model_class_description' => 'Selecione uma classe model para usar como um model base no comportamento que necessita ou suporta models. Você pode configurar o comportamento depois.',
        'base_model_class_placeholder' => '--Selecione o model--',
        'controller_behaviors' => 'Comportamentos',
        'controller_behaviors_description' => 'Selecione os comportamentos que o controller deve implementar. O Builder criará arquivos de view necessários para os comportamentos automaticamente.',
        'controller_permissions' => 'Permissões',
        'controller_permissions_description' => 'Selecione permissões de usuário que podem acessar as views dos controllers. As permissões podem ser definidas na guia Permissões do Builder. Você pode alterar essa opção no script PHP do controller mais tarde.',
        'controller_permissions_no_permissions' => 'O plugin não definiu nenhuma permissão.',
        'menu_item' => 'Item de menu ativo',
        'menu_item_description' => 'Selecione um item de menu para tornar ativo para as páginas do controller. Você pode alterar essa opção no script PHP do controlador mais tarde.',
        'menu_item_placeholder' => '--selecione o item de menu--',
        'error_unknown_behavior' => 'A classe de comportamento :class não está registrada na biblioteca de comportamento.',
        'error_behavior_view_conflict' => 'Os comportamentos selecionados fornecem visualizações conflitantes (:view) e não podem ser usadas junto a um controller.',
        'error_behavior_config_conflict' => 'Os comportamentos selecionados fornecem arquivos de configuração conflitantes (:file) e não podem ser usadas junto a um controller.',
        'error_behavior_view_file_not_found' => 'A view do template :view do comportamento :class não pode ser localizado.',
        'error_behavior_config_file_not_found' => 'O template de configuração :file do comportamento :class não pode ser localizado.',
        'error_controller_exists' => 'O arquivo do controlador :file já existe.',
        'error_controller_name_invalid' => 'Formato de nome de controller inválido. O nome deve conter apenas letras latinas e números. O primeiro simbolo deve ser uma letra latina maiúscula.',
        'error_behavior_view_file_exists' => 'O arquivo de configuração do controller :view já existe.',
        'error_behavior_config_file_exists' => 'O arquivo de configuração do comportamento :file já existe.',
        'error_save_file' => 'Erro ao salvar o arquivo de controller :file',
        'error_behavior_requires_base_model' => 'O comportamento :behavior necessita que seja selecionado uma classe model base.',
        'error_model_doesnt_have_lists' => 'O model selecionado não possui nenhuma lista. Por favor, crie primeiro uma lista.',
        'error_model_doesnt_have_forms' => 'O model selecionado não possui nenhum formulário. Por favor, crie primeiro um formulário.',
    ],
    'version' => [
        'menu_label' => 'Versões',
        'no_records' => 'Nenhuma versão de plugin encontrada',
        'search' => 'Buscar...',
        'tab' => 'Versões',
        'saved' => 'Versão salva',
        'confirm_delete' => 'Deletar a versão?',
        'tab_new_version' => 'Nova versão',
        'migration' => 'Migração',
        'seeder' => 'Semeador',
        'custom' => 'Aumente o número da versão',
        'apply_version' => 'Aplicar versão',
        'applying' => 'Aplicando...',
        'rollback_version' => 'Reverter versão',
        'rolling_back' => 'Revertendo...',
        'applied' => 'Versão aplicada',
        'rolled_back' => 'Versão revertida',
        'hint_save_unapplied' => 'Você salvou uma versão não aplicada. As versões não aplicadas podem ser aplicadas automaticamente quando você ou outro usuário faz o login no back-end ou quando uma tabela de banco de dados é salva na seção Banco de Dados do Builder.',
        'hint_rollback' => 'Reverter uma versão também reverterá todas as versões mais recentes que esta. Observe que versões não aplicadas podem ser aplicadas automaticamente pelo sistema quando você ou outro usuário faz o login no back-end ou quando uma tabela do banco de dados é salva na seção Banco de Dados do Builder.',
        'hint_apply' => 'A aplicação de uma versão também aplicará todas as versões antigas não aplicadas do plug-in.',
        'dont_show_again' => 'Não mostrar novamente',
        'save_unapplied_version' => 'Salvar versão não aplicada',
    ],
    'menu' => [
        'menu_label' => 'Menu Backend',
        'tab' => 'Menus',
        'items' => 'Itens de Menu',
        'saved' => 'Menus salvos',
        'add_main_menu_item' => 'Acrescentar item de menu principal',
        'new_menu_item' => 'Item de menu',
        'add_side_menu_item' => 'Acrescentar sub-item',
        'side_menu_item' => 'Item de menu lateral',
        'property_label' => 'Rótulo',
        'property_label_required' => 'Por favor, digite os rótulos dos itens de menu.',
        'property_url_required' => 'Por favor, digite a URL do item de menu',
        'property_url' => 'URL',
        'property_icon' => 'Ícone',
        'property_icon_required' => 'Por favor, selecione um ícone',
        'property_permissions' => 'Permissões',
        'property_order' => 'Ordenar',
        'property_order_invalid' => 'Por favor, insira a ordem do item de menu como valor integer.',
        'property_order_description' => 'A ordem do item de menu gerencia sua posição no menu. Se a ordem não for fornecida, o item será colocado no final do menu. Os valores de ordem padrão têm o incremento de 100.',
        'property_attributes' => 'Atributos HTML',
        'property_code' => 'Código',
        'property_code_invalid' => 'O código deve conter apenas letra latina e números',
        'property_code_required' => 'Por favor, insira o código do item de menu.',
        'error_duplicate_main_menu_code' => "Código de item de menu ':code' duplicado.",
        'error_duplicate_side_menu_code' => "Código de item de menu lateral ':code' duplicado.",
    ],
    'localization' => [
        'menu_label' => 'Idiomas',
        'language' => 'Idioma',
        'strings' => 'Strings',
        'confirm_delete' => 'Deletar o idioma?',
        'tab_new_language' => 'Novo idioma',
        'no_records' => 'Nenhum idioma encontrado',
        'saved' => 'Arquivo de idioma salvo',
        'error_cant_load_file' => 'Não é possível carregar o arquivo de idioma solicitado - arquivo não encontrado.',
        'error_bad_localization_file_contents' => 'Não é possível carregar o arquivo de idioma solicitado. Os arquivos de idiomas podem conter apenas definições e strings de array.',
        'error_file_not_array' => 'Não é possível carregar o arquivo de idioma solicitado. Arquivos de idioma devem retornar um array.',
        'save_error' => "Erro ao salvar o arquivo ':name'. Por favor, verifique as permissões de escrita.",
        'error_delete_file' => 'Erro ao deletar arquivo de idioma.',
        'add_missing_strings' => 'Acrescentar strings faltantes',
        'copy' => 'Copiar',
        'add_missing_strings_label' => 'Selecione o idioma para copiar as strings faltantes',
        'no_languages_to_copy_from' => 'Não há outro idioma para copiar strings.',
        'new_string_warning' => 'Nova string ou seção',
        'structure_mismatch' => 'A estrutura do arquivo fonte do idioma não combina com a estrutura do arquivo que está sendo editado. Algumas strings individuais do arquivo editado correspondente a seções no arquivo fonte (ou vice versa) e não pode ser mesclado automaticamente.',
        'create_string' => 'Criar nova string',
        'string_key_label' => 'Chave de String',
        'string_key_comment' => 'Insira a chave de string usando o ponto como um separador de seção. For example: plugin.buscar. A string será criada no arquivo de localização do idioma padrão do plugin.',
        'string_value' => 'Valor da string',
        'string_key_is_empty' => 'Chave de string não pode ser vazio',
        'string_key_is_a_string' => ':key é uma string e não pode conter outras strings.',
        'string_value_is_empty' => 'Valor da string não pode ser vazio',
        'string_key_exists' => 'A chave de string já existe',
    ],
    'permission' => [
        'menu_label' => 'Permissões',
        'tab' => 'Permissões',
        'form_tab_permissions' => 'Permissões',
        'btn_add_permission' => 'Acrescentar permissão',
        'btn_delete_permission' => 'Deletar permissão',
        'column_permission_label' => 'Código de permissão',
        'column_permission_required' => 'Por favor, digite o código de permissão',
        'column_tab_label' => 'Título da aba',
        'column_tab_required' => 'Por favor, digite o título da aba permissão',
        'column_label_label' => 'Rótulo',
        'column_label_required' => 'Por favor, digite o rótulo da permissão',
        'saved' => 'Permissões salvas',
        'error_duplicate_code' => "Código de permissão ':code' duplicado.",
    ],
    'yaml' => [
        'save_error' => "Erro ao salvar o arquivo ':name'. Por favor, verifique permissões de escrita.",
    ],
    'common' => [
        'error_file_exists' => "Arquivo ':path' já existe.",
        'field_icon_description' => 'October usa ícones Font Autumn: http://octobercms.com/docs/ui/icon',
        'destination_dir_not_exists' => "O diretório de destino ':path' não existe.",
        'error_make_dir' => "Erro ao criar diretório: ':name'.",
        'error_dir_exists' => "Diretório ':path' já existe.",
        'template_not_found' => "Arquivo de template ':name' não encontrado.",
        'error_generating_file' => "Erro ao gerar arquivo: ':path'.",
        'error_loading_template' => "Erro ao carregar arquivo de template: ':name'.",
        'select_plugin_first' => 'Por favor, selecione um plugin primeiro. Para ver a lista de plugins, clique no ícone > na barra lateral esquerda.',
        'plugin_not_selected' => 'Plugin não selecionado',
        'add' => 'Acrescentar',
    ],
    'migration' => [
        'entity_name' => 'Migration',
        'error_version_invalid' => 'A versão deve ser especificada no formato 1.0.1',
        'field_version' => 'Versão',
        'field_description' => 'Descrição',
        'field_code' => 'Código',
        'save_and_apply' => 'Salvar e aplicar',
        'error_version_exists' => 'A versão da migration já existe.',
        'error_script_filename_invalid' => 'O nome do arquivo de script do migration pode conter apenas letras latinas, números e underlines. O nome deve começar com uma letra latina e não pode conter espaços.',
        'error_cannot_change_version_number' => 'Não é possível alterar o número da versão para uma versão aplicada.',
        'error_file_must_define_class' => 'O código de migração deve definir uma migration ou classe de semeador. Deixe o campo de código em branco se você quiser apenas atualizar o número da versão.',
        'error_file_must_define_namespace' => 'O código do migration deve definir um namespace. Deixe o campo de código em branco se você quiser apenas atualizar o número da versão.',
        'no_changes_to_save' => 'Não há mudanças para salvar.',
        'error_namespace_mismatch' => "O código do migration deve usar o namespace :namespace do plugin",
        'error_migration_file_exists' => "O arquivo migration :file já existe. Por favor, use outro nome de classe.",
        'error_cant_delete_applied' => 'Esta versão já foi aplicada e não pode ser excluída. Por favor, reverter a versão primeiro.',
    ],
    'components' => [
        'list_title' => 'Lista de registros',
        'list_description' => 'Exibe uma lista de registros para um model selecionado',
        'list_page_number' => 'Número da página',
        'list_page_number_description' => 'Este valor é usado para determinar em qual página o usuário está.',
        'list_records_per_page' => 'Registros por página',
        'list_records_per_page_description' => 'Número de registros para exibir em uma única página. Deixe em branco para desabilitar a ação.',
        'list_records_per_page_validation' => 'Formato inválido dos registros por valor de página. O valor deve ser um número.',
        'list_no_records' => 'Nenhuma mensagem de registro',
        'list_no_records_description' => 'Mensagem a exibir na lista, em caso de não haver registros. Usado na partial padrão do componente.',
        'list_no_records_default' => 'Nenhum registro encontrado',
        'list_sort_column' => 'Classificar por coluna',
        'list_sort_column_description' => 'A coluna modela como os registros devem ser classificados',
        'list_sort_direction' => 'Direção',
        'list_display_column' => 'Exibir coluna',
        'list_display_column_description' => 'Coluna para exibir na lista. Usado no partial padrão do componente.',
        'list_display_column_required' => 'Por favor, selecione uma coluna exibida.',
        'list_details_page' => 'Página detalhes',
        'list_details_page_description' => 'Página para exibir detalhes dos registros.',
        'list_details_page_no' => '--nenhuma página de detalhes--',
        'list_sorting' => 'Classificação',
        'list_pagination' => 'Paginação',
        'list_order_direction_asc' => 'Ascendente',
        'list_order_direction_desc' => 'Descendente',
        'list_model' => 'Classe Model',
        'list_scope' => 'Escopo',
        'list_scope_description' => 'Escopo do modelo opcional para buscar os registros',
        'list_scope_default' => '--selecione um escopo, opcional--',
        'list_scope_value' => 'Valor do escopo',
        'list_scope_value_description' => 'Valor opcional para passar para o escopo do modelo',
        'list_details_page_link' => 'Link para a página de detalhes',
        'list_details_key_column' => 'Coluna chave de detalhes',
        'list_details_key_column_description' => 'Coluna Modelo para usar como um identificador de registro nos links da página de detalhes.',
        'list_details_url_parameter' => 'Nome do parâmetro de URL ',
        'list_details_url_parameter_description' => 'Nome do parâmetro de URL da página de detalhes que leva o identificador de registro.',
        'details_title' => 'Detalhes de registros',
        'details_description' => 'Exibe detalhes de registros para um modelo selecionado',
        'details_model' => 'Classe Model',
        'details_identifier_value' => 'Valor do identificador',
        'details_identifier_value_description' => 'Valor identificador para carregar os registros do banco de dados. Especifique um valor fixo ou nome de parâmetro URL.',
        'details_identifier_value_required' => 'O valor do identificador é obrigatório',
        'details_key_column' => 'Coluna chave',
        'details_key_column_description' => 'Coluna model para usar como um identificador de registro para buscar os registros do banco de dados.',
        'details_key_column_required' => 'O nome de coluna chave é obrigatório',
        'details_display_column' => 'Exibir coluna',
        'details_display_column_description' => 'Coluna model para exibir na página de detalhes.  Usado no partial padrão do componente.',
        'details_display_column_required' => 'Por favor, selecione uma coluna de exibição.',
        'details_not_found_message' => 'Mensagem não encontrada',
        'details_not_found_message_description' => 'Mensagem para exibir se o registro não for encontrado. Usado no partial padrão do componente.',
        'details_not_found_message_default' => 'Registro não encontrado',
    ],
    'validation' => [
        'reserved' => ':attribute não pode ser uma palavra reservada do PHP'
    ]
];
