<?php

return [
    'plugin' => [
        'name' => 'Pages',
        'description' => 'Pages & menus features.',
    ],
    'page' => [
        'menu_label' => 'Pages',
        'template_title' => '%s Pages',
        'delete_confirmation' => 'Do you really want to delete selected pages? This will also delete the subpages, if any.',
        'no_records' => 'No pages found',
        'delete_confirm_single' => 'Do you really want delete this page? This will also delete the subpages, if any.',
        'new' => 'New page',
        'add_subpage' => 'Add subpage',
        'invalid_url' => 'Invalid URL format. The URL should start with the forward slash symbol and can contain digits, Latin letters and the following symbols: _-/.',
        'url_not_unique' => 'This URL is already used by another page.',
        'layout' => 'Layout',
        'layouts_not_found' => 'Layouts not found',
        'saved' => 'The page has been successfully saved.',
        'tab' => 'Pages',
        'manage_pages' => 'Manage static pages',
        'manage_menus' => 'Manage static menus',
        'access_snippets' => 'Access snippets',
        'manage_content' => 'Manage static content',
    ],
    'menu' => [
        'menu_label' => 'Menus',
        'delete_confirmation' => 'Do you really want to delete selected menus?',
        'no_records' => 'No menus found',
        'new' => 'New menu',
        'new_name' => 'New menu',
        'new_code' => 'new-menu',
        'delete_confirm_single' => 'Do you really want delete this menu?',
        'saved' => 'The menu has been successfully saved.',
        'name' => 'Name',
        'code' => 'Code',
        'items' => 'Menu items',
        'add_subitem' => 'Add subitem',
        'code_required' => 'The Code is required',
        'invalid_code' => 'Invalid Code format. The Code can contain digits, Latin letters and the following symbols: _-',
    ],
    'menuitem' => [
        'title' => 'Title',
        'editor_title' => 'Edit Menu Item',
        'type' => 'Type',
        'allow_nested_items' => 'Allow nested items',
        'allow_nested_items_comment' => 'Nested items could be generated dynamically by static page and some other item types',
        'url' => 'URL',
        'reference' => 'Reference',
        'search_placeholder' => 'Search all references...',
        'title_required' => 'The Title is required',
        'unknown_type' => 'Unknown menu item type',
        'unnamed' => 'Unnamed menu item',
        'add_item' => 'Add <u>I</u>tem',
        'new_item' => 'New menu item',
        'replace' => 'Replace this item with its generated children',
        'replace_comment' => 'Use this checkbox to push generated menu items to the same level with this item. This item itself will be hidden.',
        'cms_page' => 'CMS Page',
        'cms_page_comment' => 'Select a page to open when the menu item is clicked.',
        'reference_required' => 'The menu item reference is required.',
        'url_required' => 'The URL is required',
        'cms_page_required' => 'Please select a CMS page',
        'display_tab' => 'Display',
        'hidden' => 'Hidden',
        'hidden_comment' => 'Hide this menu item from appearing on the front-end.',
        'attributes_tab' => 'Attributes',
        'code' => 'Code',
        'code_comment' => 'Enter the menu item code if you want to access it with the API.',
        'css_class' => 'CSS Class',
        'css_class_comment' => 'Enter a CSS class name to give this menu item a custom appearance.',
        'external_link' => 'External link',
        'external_link_comment' => 'Open links for this menu item in a new window.',
        'static_page' => 'Static Page',
        'all_static_pages' => 'All Static Pages'
    ],
    'content' => [
        'menu_label' => 'Content',
        'cant_save_to_dir' => 'Saving content files to the static-pages directory is not allowed.',
    ],
    'sidebar' => [
        'add' => 'Add',
        'search' => 'Search...',
    ],
    'object' => [
        'invalid_type' => 'Unknown object type',
        'not_found' => 'The requested object was not found.',
    ],
    'editor' => [
        'title' => 'Title',
        'new_title' => 'New page title',
        'content' => 'Content',
        'url' => 'URL',
        'filename' => 'File Name',
        'layout' => 'Layout',
        'description' => 'Description',
        'preview' => 'Preview',
        'enter_fullscreen' => 'Enter fullscreen mode',
        'exit_fullscreen' => 'Exit fullscreen mode',
        'hidden' => 'Hidden',
        'hidden_comment' => 'Hidden pages are accessible only by logged-in back-end users.',
        'navigation_hidden' => 'Hide in navigation',
        'navigation_hidden_comment' => 'Check this box to hide this page from automatically generated menus and breadcrumbs.',
    ],
    'snippet' => [
        'partialtab' => 'Snippet',
        'code' => 'Snippet code',
        'code_comment' => 'Enter a code to make this partial available as a snippet in the Static Pages plugin.',
        'name' => 'Name',
        'name_comment' => 'The name is displayed in the snippet list in the Static Pages sidebar and on a Page when a snippet is added.',
        'no_records' => 'No snippets found',
        'menu_label' => 'Snippets',
        'column_property' => 'Property title',
        'column_type' => 'Type',
        'column_code' => 'Code',
        'column_default' => 'Default',
        'column_options' => 'Options',
        'column_type_string' => 'String',
        'column_type_checkbox' => 'Checkbox',
        'column_type_dropdown' => 'Dropdown',
        'not_found' => 'Snippet with the requested code :code was not found in the theme.',
        'property_format_error' => 'Property code should start with a Latin letter and can contain only Latin letters and digits',
        'invalid_option_key' => 'Invalid drop-down option key: :key. Option keys can contain only digits, Latin letters and characters _ and -',
    ],
    'component' => [
        'static_page_name' => 'Static page',
        'static_page_description' => 'Outputs a static page in a CMS layout.',
        'static_page_use_content_name' => 'Use page content field',
        'static_page_use_content_description' => 'If unchecked, the content section will not appear when editing the static page. Page content will be determined solely through placeholders and variables.',
        'static_page_default_name' => 'Default layout',
        'static_page_default_description' => 'Defines this layout as the default for new pages',
        'static_page_child_layout_name' => 'Subpage layout',
        'static_page_child_layout_description' => 'The layout to use as the default for any new subpages',
        'static_menu_name' => 'Static menu',
        'static_menu_description' => 'Outputs a menu in a CMS layout.',
        'static_menu_code_name' => 'Menu',
        'static_menu_code_description' => 'Specify a code of the menu the component should output.',
        'static_breadcrumbs_name' => 'Static breadcrumbs',
        'static_breadcrumbs_description' => 'Outputs breadcrumbs for a static page.',
        'child_pages_name' => 'Child pages',
        'child_pages_description' => 'Displays a list of child pages for the current page',
    ]
];
