<?php
return [
    'plugin' => [
        'name' => '页面',
        'description' => '页面和菜单功能拓展',
    ],
    'page' => [
        'menu_label' => '页面',
        'template_title' => '%s 页面',
        'delete_confirmation' => '你真的要删除所选页面吗？ 如果有子页面，也将被删除。',
        'no_records' => '找不到页面',
        'delete_confirm_single' => '你真的要删除这个页面吗？ 如果有子页面，也将被删除。',
        'new' => '新建',
        'add_subpage' => '插入子页面',
        'invalid_url' => 'URL 格式无效，应以 \'/\' 开头，可以包含数字，字母和以下符号：_-/',
        'url_not_unique' => 'URL 已存在',
        'layout' => '布局',
        'layouts_not_found' => '找不到布局文件',
        'saved' => '保存成功！',
        'tab' => '页面',
        'manage_pages' => '管理静态页面',
        'manage_menus' => '管理静态菜单',
        'access_snippets' => '代码片段',
        'manage_content' => '管理静态内容',
    ],
    'menu' => [
        'menu_label' => '菜单',
        'delete_confirmation' => '你真的要删除所选菜单吗？',
        'no_records' => '找不到菜单',
        'new' => '新建',
        'new_name' => '未命名的菜单',
        'new_code' => 'new-menu',
        'delete_confirm_single' => '你真的要删除这个菜单吗？',
        'saved' => '保存成功！',
        'name' => '名称',
        'code' => '编码',
        'items' => '菜单项',
        'add_subitem' => '插入子项',
        'code_required' => '编码是必要的！',
        'invalid_code' => '编码格式无效，该编码可以包含数字，字母和以下符号：_-',
    ],
    'menuitem' => [
        'title' => '标题',
        'editor_title' => '编辑菜单项',
        'type' => '类型',
        'allow_nested_items' => '允许嵌套',
        'allow_nested_items_comment' => '嵌套项目可以通过静态页面和其他一些项目类型动态生成',
        'url' => 'URL',
        'reference' => '参考',
        'search_placeholder' => '搜索所有参考...',
        'title_required' => '标题是必需的',
        'unknown_type' => '未知的菜单项类型',
        'unnamed' => '未命名的菜单项',
        'add_item' => '掺入菜单项<u>I</u>',
        'new_item' => '新菜单项',
        'replace' => '将此项目替换为生成的子项',
        'replace_comment' => '使用此复选框产生的菜单项推到与本项目同一层级。 该项目本身将被隐藏。',
        'cms_page' => 'CMS 页面',
        'cms_page_comment' => '当单击菜单项时，选择要打开的页面。',
        'reference_required' => '菜单项参考 是必需的。',
        'url_required' => 'URL 是必需的。',
        'cms_page_required' => '请选择 CMS 页面',
        'code' => '编码',
        'code_comment' => '如果要使用 API 访问菜单项代码，请输入。',
        'static_page' => '静态页面',
        'all_static_pages' => '所有静态页'
    ],
    'content' => [
        'menu_label' => '内容',
        'cant_save_to_dir' => '将内容文件保存到 \'static-pages\' 目录是不允许的。',
    ],
    'sidebar' => [
        'add' => '插入',
        'search' => '检索...',
    ],
    'object' => [
        'invalid_type' => '未知的对象类型',
        'not_found' => '找不到请求的对象。',
    ],
    'editor' => [
        'title' => '标题',
        'new_title' => '未命名',
        'content' => '内容',
        'url' => 'URL',
        'filename' => '文件名',
        'layout' => '布局',
        'description' => '描述',
        'preview' => '预览',
        'enter_fullscreen' => '全屏编辑',
        'exit_fullscreen' => '退出全屏',
        'hidden' => '隐藏',
        'hidden_comment' => '隐藏的页面只能由登录的后台用户访问。',
        'navigation_hidden' => '在导航中隐藏',
        'navigation_hidden_comment' => '选中此框可将该页面在自动生成的菜单和面包屑导航中隐藏起来。',
    ],
    'snippet' => [
        'partialtab' => 'Snippet',
        'code' => 'Snippet code',
        'code_comment' => '输入一个代码，使其部分可用作“静态页面”插件中的代码段。',
        'name' => '名称',
        'name_comment' => '该名称显示在“静态页面”侧边栏的代码段列表中，并在添加代码段时显示在该页面上。',
        'no_records' => '找不到代码片段',
        'menu_label' => '代码片段',
        'column_property' => '性质',
        'column_type' => '类型',
        'column_code' => '编码',
        'column_default' => '默认',
        'column_options' => '选项',
        'column_type_string' => '字符串',
        'column_type_checkbox' => '检查框',
        'column_type_dropdown' => '下拉框',
        'not_found' => '代码段与请求的 code:code 没有在主题中找到。',
        'property_format_error' => '属性代码应以字母开头，只能包含字母和数字',
        'invalid_option_key' => '无效的下拉选项 key: :key。 选项键只能包含数字，字母和字符 _ 和 -',
    ],
    'component' => [
        'static_page_name' => '静态页',
        'static_page_description' => '在 CMS 布局中输出静态页。',
        'static_page_use_content_name' => '使用页面内容字段',
        'static_page_use_content_description' => '如果未选中，编辑静态页面时内容部分将不会出现。 页面内容将仅通过占位符和变量来确定。',
        'static_page_default_name' => '默认布局',
        'static_page_default_description' => '将此布局定义为新页面的默认设置',
        'static_page_child_layout_name' => '子页面布局',
        'static_page_child_layout_description' => '该布局用作任何新子页面的默认布局',
        'static_menu_name' => '静态菜单',
        'static_menu_description' => '输出 CMS 布局中的菜单。',
        'static_menu_code_name' => '菜单',
        'static_menu_code_description' => '指定组件应输出的菜单代码。',
        'static_breadcrumbs_name' => '静态面包屑导航',
        'static_breadcrumbs_description' => '输出静态页面的面包屑导航。',
    ]
];
