-- --------------------------------------------------------
-- Host:                         localhost
-- Server version:               5.7.24 - MySQL Community Server (GPL)
-- Server OS:                    Win64
-- HeidiSQL Version:             10.2.0.5599
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!50503 SET NAMES utf8mb4 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- Dumping structure for table goline.backend_access_log
CREATE TABLE IF NOT EXISTS `backend_access_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping structure for table goline.backend_users
CREATE TABLE IF NOT EXISTS `backend_users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `first_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `login` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `activation_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `persist_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reset_password_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `is_activated` tinyint(1) NOT NULL DEFAULT '0',
  `role_id` int(10) unsigned DEFAULT NULL,
  `activated_at` timestamp NULL DEFAULT NULL,
  `last_login` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `is_superuser` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `login_unique` (`login`),
  UNIQUE KEY `email_unique` (`email`),
  KEY `act_code_index` (`activation_code`),
  KEY `reset_code_index` (`reset_password_code`),
  KEY `admin_role_index` (`role_id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.backend_users: ~2 rows (approximately)
/*!40000 ALTER TABLE `backend_users` DISABLE KEYS */;
INSERT INTO `backend_users` (`id`, `first_name`, `last_name`, `login`, `email`, `password`, `activation_code`, `persist_code`, `reset_password_code`, `permissions`, `is_activated`, `role_id`, `activated_at`, `last_login`, `created_at`, `updated_at`, `deleted_at`, `is_superuser`) VALUES
	(1, 'Admin', 'Master', 'admin', 'admin@atom.test', '$2y$10$qjvSty/DgRYuAT1m0gkcOOo.7ezEYZd0jRVyqPG5A5JlrKjkAl6mO', NULL, '$2y$10$YWCBzrGWbcHmHIqd4QzNaOYcUB1O6y3v3TG5Zpnb4lYeBOikebBze', NULL, '', 1, 2, NULL, '2021-06-08 01:55:02', '2020-08-11 13:38:25', '2021-06-08 01:55:02', NULL, 1),
	(10, 'Debugger', 'Guy', 'debugger', 'debugger@atom.test', '$2y$10$u3ri1SdsCLed4b8bemT5oOOb883f.ZRKn.qg7YfM.qS34vaMLyiha', NULL, NULL, NULL, '', 0, 2, NULL, '2021-06-01 09:46:46', '2021-06-01 09:42:52', '2021-06-01 09:49:42', NULL, 1);
/*!40000 ALTER TABLE `backend_users` ENABLE KEYS */;

-- Dumping structure for table goline.backend_users_groups
CREATE TABLE IF NOT EXISTS `backend_users_groups` (
  `user_id` int(10) unsigned NOT NULL,
  `user_group_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`user_id`,`user_group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.backend_users_groups: ~0 rows (approximately)
/*!40000 ALTER TABLE `backend_users_groups` DISABLE KEYS */;
INSERT INTO `backend_users_groups` (`user_id`, `user_group_id`) VALUES
	(1, 1);
/*!40000 ALTER TABLE `backend_users_groups` ENABLE KEYS */;

-- Dumping structure for table goline.backend_user_groups
CREATE TABLE IF NOT EXISTS `backend_user_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `is_new_user_default` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `name_unique` (`name`),
  KEY `code_index` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.backend_user_groups: ~0 rows (approximately)
/*!40000 ALTER TABLE `backend_user_groups` DISABLE KEYS */;
INSERT INTO `backend_user_groups` (`id`, `name`, `created_at`, `updated_at`, `code`, `description`, `is_new_user_default`) VALUES
	(1, 'Owners', '2021-06-07 02:45:24', '2021-06-07 02:45:24', 'owners', 'Default group for website owners.', 0);
/*!40000 ALTER TABLE `backend_user_groups` ENABLE KEYS */;

-- Dumping structure for table goline.backend_user_preferences
CREATE TABLE IF NOT EXISTS `backend_user_preferences` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `namespace` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `group` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `item` varchar(150) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `user_item_index` (`user_id`,`namespace`,`group`,`item`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.backend_user_preferences: ~2 rows (approximately)
/*!40000 ALTER TABLE `backend_user_preferences` DISABLE KEYS */;
INSERT INTO `backend_user_preferences` (`id`, `user_id`, `namespace`, `group`, `item`, `value`) VALUES
	(1, 1, 'backend', 'reportwidgets', 'dashboard', '{"welcome":{"class":"Backend\\\\ReportWidgets\\\\Welcome","sortOrder":"50","configuration":{"ocWidgetWidth":7}},"systemStatus":{"class":"System\\\\ReportWidgets\\\\Status","sortOrder":"60","configuration":{"ocWidgetWidth":7}},"activeTheme":{"class":"Cms\\\\ReportWidgets\\\\ActiveTheme","sortOrder":"70","configuration":{"ocWidgetWidth":5}},"report_container_dashboard_6":{"class":"Romanov\\\\ClearCacheWidget\\\\ReportWidgets\\\\ClearCache","configuration":{"title":"Qu\\u1ea3n l\\u00fd cache","radius":"200","delthumbs":1,"ocWidgetWidth":"7","ocWidgetNewRow":null,"nochart":0,"thumbspath":null,"thumb_regex":null},"sortOrder":72}}'),
	(2, 1, 'backend', 'backend', 'preferences', '{"locale":"vn","fallback_locale":"en","timezone":"Asia\\/Ho_Chi_Minh","editor_font_size":"14","editor_word_wrap":"fluid","editor_code_folding":"manual","editor_tab_size":"4","editor_theme":"ambiance","editor_show_invisibles":"0","editor_highlight_active_line":"1","editor_use_hard_tabs":"0","editor_show_gutter":"1","editor_auto_closing":"0","editor_autocompletion":"manual","editor_enable_snippets":"0","editor_display_indent_guides":"0","editor_show_print_margin":"0","rounded_avatar":"0","topmenu_label":"0","sidebar_description":"0","sidebar_search":"0","focus_searchfield":"0","context_menu":"0","virtual_keyboard":"0","user_id":1}');
/*!40000 ALTER TABLE `backend_user_preferences` ENABLE KEYS */;

-- Dumping structure for table goline.backend_user_roles
CREATE TABLE IF NOT EXISTS `backend_user_roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `is_system` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `role_unique` (`name`),
  KEY `role_code_index` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.backend_user_roles: ~2 rows (approximately)
/*!40000 ALTER TABLE `backend_user_roles` DISABLE KEYS */;
INSERT INTO `backend_user_roles` (`id`, `name`, `code`, `description`, `permissions`, `is_system`, `created_at`, `updated_at`) VALUES
	(1, 'Publisher', 'publisher', 'Site editor with access to publishing tools.', '', 1, '2021-06-07 02:45:24', '2021-06-07 02:45:24'),
	(2, 'Developer', 'developer', 'Site administrator with access to developer tools.', '', 1, '2021-06-07 02:45:24', '2021-06-07 02:45:24');
/*!40000 ALTER TABLE `backend_user_roles` ENABLE KEYS */;

-- Dumping structure for table goline.backend_user_throttle
CREATE TABLE IF NOT EXISTS `backend_user_throttle` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attempts` int(11) NOT NULL DEFAULT '0',
  `last_attempt_at` timestamp NULL DEFAULT NULL,
  `is_suspended` tinyint(1) NOT NULL DEFAULT '0',
  `suspended_at` timestamp NULL DEFAULT NULL,
  `is_banned` tinyint(1) NOT NULL DEFAULT '0',
  `banned_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `backend_user_throttle_user_id_index` (`user_id`),
  KEY `backend_user_throttle_ip_address_index` (`ip_address`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.backend_user_throttle: ~0 rows (approximately)
/*!40000 ALTER TABLE `backend_user_throttle` DISABLE KEYS */;
INSERT INTO `backend_user_throttle` (`id`, `user_id`, `ip_address`, `attempts`, `last_attempt_at`, `is_suspended`, `suspended_at`, `is_banned`, `banned_at`) VALUES
	(1, 1, '127.0.0.1', 0, NULL, 0, NULL, 0, NULL);
/*!40000 ALTER TABLE `backend_user_throttle` ENABLE KEYS */;

-- Dumping structure for table goline.bonniss26_company_faq
CREATE TABLE IF NOT EXISTS `bonniss26_company_faq` (
  `faq_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `question_vi` varchar(500) COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer_vi` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `question_en` varchar(500) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `answer_en` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`faq_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.bonniss26_company_faq: ~0 rows (approximately)
/*!40000 ALTER TABLE `bonniss26_company_faq` DISABLE KEYS */;
INSERT INTO `bonniss26_company_faq` (`faq_id`, `question_vi`, `answer_vi`, `question_en`, `answer_en`) VALUES
	(1, 'Xin cho biết thêm vào lịch sử của công ty?', '<p>Khó nói lắm</p>', '', '');
/*!40000 ALTER TABLE `bonniss26_company_faq` ENABLE KEYS */;

-- Dumping structure for table goline.bonniss26_company_info
CREATE TABLE IF NOT EXISTS `bonniss26_company_info` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `legal_name_vi` varchar(150) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `legal_name_en` varchar(150) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address_vi` varchar(300) COLLATE utf8mb4_unicode_ci NOT NULL,
  `address_en` varchar(300) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(300) COLLATE utf8mb4_unicode_ci NOT NULL,
  `fax` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL,
  `hotline` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tel1` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tel2` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `founded_date` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `short_desc_vi` varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `short_desc_en` varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slogan_vi` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slogan_en` varchar(250) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description_vi` text COLLATE utf8mb4_unicode_ci,
  `description_en` text COLLATE utf8mb4_unicode_ci,
  `facebook` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `linkedin` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zalo` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `skype` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `youtube` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twitter` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `gplus` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `biz_license` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `biz_license_authority` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `biz_license_issue_date` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_id` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `legal_representative` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_bct_notified` tinyint(1) DEFAULT NULL,
  `is_bct_register` tinyint(1) DEFAULT NULL,
  `bct_register_url` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo1` varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo2` varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `favicon` varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bct_notified_url` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.bonniss26_company_info: ~1 rows (approximately)
/*!40000 ALTER TABLE `bonniss26_company_info` DISABLE KEYS */;
INSERT INTO `bonniss26_company_info` (`id`, `name`, `legal_name_vi`, `legal_name_en`, `address_vi`, `address_en`, `email`, `fax`, `hotline`, `tel1`, `tel2`, `founded_date`, `short_desc_vi`, `short_desc_en`, `slogan_vi`, `slogan_en`, `description_vi`, `description_en`, `facebook`, `linkedin`, `zalo`, `skype`, `youtube`, `twitter`, `gplus`, `biz_license`, `biz_license_authority`, `biz_license_issue_date`, `tax_id`, `legal_representative`, `is_bct_notified`, `is_bct_register`, `bct_register_url`, `logo1`, `logo2`, `favicon`, `bct_notified_url`) VALUES
	(1, 'Goline', 'Công ty Cổ phần Công nghệ tin học và Dịch vụ Goline', 'Goline Corporation', 'P.804, tòa nhà Kim Anh, phố Duy Tân, Cầu Giấy, Hà Nội', 'Room 804, Kim Anh Building, Duy Tan St., Cau Giay Dist., Ha Noi', 'contact@goline.vn', '04.3.7957251', '04.3.7957250', '098.765.4321', '091.234.5678', '', '', '', 'Smart but Simple', 'Smart but Simple', '', '', 'https://goline.vn/default', 'https://goline.vn/default', '', '', '', 'https://goline.vn/default', '', '', '', '', NULL, 'Lê Ngọc Tuấn', 0, 0, '', '/logo/logo-header.png', '/logo/logo-footer.png', '/logo/favicon/favicon-1.png', '');
/*!40000 ALTER TABLE `bonniss26_company_info` ENABLE KEYS */;

-- Dumping structure for table goline.bonniss26_company_services
CREATE TABLE IF NOT EXISTS `bonniss26_company_services` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name_vi` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name_en` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `short_desc_vi` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `short_desc_en` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `long_desc_vi` text COLLATE utf8mb4_unicode_ci,
  `long_desc_en` text COLLATE utf8mb4_unicode_ci,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `icon` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `show_on_footer` tinyint(1) NOT NULL,
  `show_on_service_page` tinyint(1) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.bonniss26_company_services: ~0 rows (approximately)
/*!40000 ALTER TABLE `bonniss26_company_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `bonniss26_company_services` ENABLE KEYS */;

-- Dumping structure for table goline.cache
CREATE TABLE IF NOT EXISTS `cache` (
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `expiration` int(11) NOT NULL,
  UNIQUE KEY `cache_key_unique` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.cache: ~0 rows (approximately)
/*!40000 ALTER TABLE `cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `cache` ENABLE KEYS */;

-- Dumping structure for table goline.cms_theme_data
CREATE TABLE IF NOT EXISTS `cms_theme_data` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `theme` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `data` mediumtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cms_theme_data_theme_index` (`theme`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.cms_theme_data: ~0 rows (approximately)
/*!40000 ALTER TABLE `cms_theme_data` DISABLE KEYS */;
INSERT INTO `cms_theme_data` (`id`, `theme`, `data`, `created_at`, `updated_at`) VALUES
	(1, 'dalton', '{"primary_color":"#ff5500","secondary":"#e54443","link_color":"#0fbc7f","xeca_color":"#e54443","enable_hero_text":1,"enable_phongve_text":1,"enable_home_about_us":"1","enable_home_core_value":"1","enable_home_product":"1","enable_home_process":"1","enable_home_partner":"1","enable_home_blog":"1","enable_home_customer":"1","enable_main_slider":"1","main_slider_is_loop":"1","main_slider_show_arrows":"0","main_slider_show_dots":"1","main_slider_autoplay":4500,"main_slider_photo_list":"[{\\"desktop_photo_vi\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/header.png\\",\\"mobile_photo_vi\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/header-mobile-1.jpg\\",\\"desktop_photo_en\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/messi1.jpg\\",\\"mobile_photo_en\\":\\"\\",\\"desktop_photo_ja\\":\\"\\",\\"mobile_photo_ja\\":\\"\\",\\"url\\":\\"\\\\\\/product\\"},{\\"desktop_photo_vi\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/header-3.png\\",\\"mobile_photo_vi\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/header-mobile-3.jpg\\",\\"desktop_photo_en\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/messi2.jpg\\",\\"mobile_photo_en\\":\\"\\",\\"desktop_photo_ja\\":\\"\\",\\"mobile_photo_ja\\":\\"\\",\\"url\\":\\"\\\\\\/product\\"},{\\"desktop_photo_vi\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/header-4.png\\",\\"mobile_photo_vi\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/header-mobile-4.jpg\\",\\"desktop_photo_en\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/messi3.jpg\\",\\"mobile_photo_en\\":\\"\\",\\"desktop_photo_ja\\":\\"\\",\\"mobile_photo_ja\\":\\"\\",\\"url\\":\\"\\\\\\/product\\"},{\\"desktop_photo_vi\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/header-2.png\\",\\"mobile_photo_vi\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/header-mobile-2.jpg\\",\\"desktop_photo_en\\":\\"\\\\\\/site-content\\\\\\/main-slider\\\\\\/messi4.jpg\\",\\"mobile_photo_en\\":\\"\\",\\"desktop_photo_ja\\":\\"\\",\\"mobile_photo_ja\\":\\"\\",\\"url\\":\\"\\\\\\/product\\"}]","main_slider_drag_speed":"0","main_slider_slides_per_view":1,"home_about_us_desktop":"\\/site-content\\/home\\/about-us\\/about-us.png","home_about_us_mobile":"\\/site-content\\/home\\/about-us\\/about-us-mobile.jpg","home_process_photo_1":"\\/site-content\\/home\\/process\\/nqa1.png","home_process_photo_2":"\\/site-content\\/home\\/process\\/nqa2.png","home_process_photo_3":"\\/site-content\\/home\\/process\\/nqa3.png","home_core_value_photo_1":"\\/site-content\\/home\\/core-value\\/img-1.png","home_core_value_photo_2":"\\/site-content\\/home\\/core-value\\/img-2.png","home_core_value_photo_3":"\\/site-content\\/home\\/core-value\\/img-3.png","home_partner_photo_list":"[{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/partner\\\\\\/1_MBB.svg\\",\\"name\\":\\"C\\\\u00f4ng ty c\\\\u1ed5 ph\\\\u1ea7n Ch\\\\u1ee9ng kho\\\\u00e1n MB\\",\\"website\\":\\"https:\\\\\\/\\\\\\/mbs.com.vn\\\\\\/\\"}]","home_customer_photo_list":"[]","home_partner_list":"[{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/partner\\\\\\/1_MBB.svg\\",\\"name\\":\\"C\\\\u00f4ng ty c\\\\u1ed5 ph\\\\u1ea7n Ch\\\\u1ee9ng kho\\\\u00e1n MB\\",\\"website\\":\\"https:\\\\\\/\\\\\\/mbs.com.vn\\\\\\/\\"},{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/partner\\\\\\/2_OIS.svg\\",\\"name\\":\\"Okasan Information Systems Co., Ltd.\\",\\"website\\":\\"https:\\\\\\/\\\\\\/www.okasan.jp\\\\\\/english\\\\\\/group\\\\\\/company\\\\\\/ois.html\\"},{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/partner\\\\\\/3_CGV.svg\\",\\"name\\":\\"C\\\\u00d4NG TY TNHH CJ CGV VIETNAM\\",\\"website\\":\\"https:\\\\\\/\\\\\\/www.cgv.vn\\\\\\/\\"},{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/partner\\\\\\/4_HMALL.svg\\",\\"name\\":\\"HMALL\\",\\"website\\":\\"https:\\\\\\/\\\\\\/www.hmall.com\\\\\\/\\"},{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/partner\\\\\\/5_COUPANG.svg\\",\\"name\\":\\"COUPANG\\",\\"website\\":\\"https:\\\\\\/\\\\\\/www.coupang.com\\\\\\/\\"}]","home_customer_list":"[{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/customer\\\\\\/6_hestia.svg\\",\\"name\\":\\"C\\\\u00f4ng ty C\\\\u1ed5 ph\\\\u1ea7n HESTIA\\",\\"website\\":\\"http:\\\\\\/\\\\\\/hestia.vn\\\\\\/\\"},{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/customer\\\\\\/2_dong-a.svg\\",\\"name\\":\\"DongA\\",\\"website\\":\\"donga.vn\\"},{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/customer\\\\\\/1_au-viet.svg\\",\\"name\\":\\"AuViet\\",\\"website\\":\\"auviet.vn\\"},{\\"logo\\":\\"\\\\\\/site-content\\\\\\/home\\\\\\/customer\\\\\\/8_bos.svg\\",\\"name\\":\\"bos\\",\\"website\\":\\"bos.vn\\"}]","home_customer_slider_is_loop":"1","home_customer_slider_show_arrows":"0","home_customer_slider_show_dots":"1","home_customer_slider_autoplay":0,"home_partner_slider_is_loop":"1","home_partner_slider_autoplay":3000,"main_slider_can_optimize_images":"1","main_slider_optimize_quality":85}', '2021-06-01 13:25:06', '2021-06-11 12:51:25');
/*!40000 ALTER TABLE `cms_theme_data` ENABLE KEYS */;

-- Dumping structure for table goline.cms_theme_logs
CREATE TABLE IF NOT EXISTS `cms_theme_logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `theme` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `template` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `old_template` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `old_content` longtext COLLATE utf8mb4_unicode_ci,
  `user_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cms_theme_logs_type_index` (`type`),
  KEY `cms_theme_logs_theme_index` (`theme`),
  KEY `cms_theme_logs_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.cms_theme_logs: ~0 rows (approximately)
/*!40000 ALTER TABLE `cms_theme_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `cms_theme_logs` ENABLE KEYS */;

-- Dumping structure for table goline.cms_theme_templates
CREATE TABLE IF NOT EXISTS `cms_theme_templates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `source` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `path` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `file_size` int(10) unsigned NOT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cms_theme_templates_source_index` (`source`),
  KEY `cms_theme_templates_path_index` (`path`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.cms_theme_templates: ~0 rows (approximately)
/*!40000 ALTER TABLE `cms_theme_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `cms_theme_templates` ENABLE KEYS */;

-- Dumping structure for table goline.deferred_bindings
CREATE TABLE IF NOT EXISTS `deferred_bindings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `master_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `master_field` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slave_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slave_id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `session_key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_bind` tinyint(1) NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `deferred_bindings_master_type_index` (`master_type`),
  KEY `deferred_bindings_master_field_index` (`master_field`),
  KEY `deferred_bindings_slave_type_index` (`slave_type`),
  KEY `deferred_bindings_slave_id_index` (`slave_id`),
  KEY `deferred_bindings_session_key_index` (`session_key`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.deferred_bindings: ~3 rows (approximately)
/*!40000 ALTER TABLE `deferred_bindings` DISABLE KEYS */;
INSERT INTO `deferred_bindings` (`id`, `master_type`, `master_field`, `slave_type`, `slave_id`, `session_key`, `is_bind`, `created_at`, `updated_at`) VALUES
	(4, 'RainLab\\Translate\\Models\\MessageImport', 'import_file', 'System\\Models\\File', '42', 'AR798EWTIEijlkrUAxg50mTymf4IEUz2GqkJ69Kk', 1, '2021-06-07 11:32:53', '2021-06-07 11:32:53'),
	(5, 'RainLab\\Translate\\Models\\MessageImport', 'import_file', 'System\\Models\\File', '43', 'v0Ti2FCxeD3egYowvNAspkz15P4yo0q7nhD3wiQn', 1, '2021-06-07 13:06:41', '2021-06-07 13:06:41'),
	(6, 'RainLab\\Translate\\Models\\MessageImport', 'import_file', 'System\\Models\\File', '44', 'Oyhu5sHhjIBgTyPZVNgLbjaUIHO4QxIgkNiSqkXd', 1, '2021-06-08 01:54:43', '2021-06-08 01:54:43');
/*!40000 ALTER TABLE `deferred_bindings` ENABLE KEYS */;

-- Dumping structure for table goline.failed_jobs
CREATE TABLE IF NOT EXISTS `failed_jobs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci,
  `failed_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.failed_jobs: ~0 rows (approximately)
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;

-- Dumping structure for table goline.ginopane_blogtaxonomy_post_types
CREATE TABLE IF NOT EXISTS `ginopane_blogtaxonomy_post_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `type_attributes` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ginopane_blogtaxonomy_post_types_name_unique` (`name`),
  UNIQUE KEY `ginopane_blogtaxonomy_post_types_slug_unique` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.ginopane_blogtaxonomy_post_types: ~0 rows (approximately)
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_post_types` DISABLE KEYS */;
INSERT INTO `ginopane_blogtaxonomy_post_types` (`id`, `name`, `slug`, `description`, `type_attributes`, `created_at`, `updated_at`) VALUES
	(1, 'Game Review', 'game-review', NULL, '[{"name":"Release Date","code":"release-date","type":"datepicker","datepicker_mode":"date"},{"name":"Publisher","code":"publisher","type":"text"},{"name":"Editor","code":"editor","type":"text"},{"name":"Rating","code":"rating","type":"dropdown","dropdown_options":"1,2,3,4,5,6,7,8,9,10"},{"name":"Pros","code":"pros","type":"textarea"},{"name":"Cons","code":"cons","type":"textarea"}]', '2021-06-07 02:45:56', '2021-06-07 02:45:56');
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_post_types` ENABLE KEYS */;

-- Dumping structure for table goline.ginopane_blogtaxonomy_related_series
CREATE TABLE IF NOT EXISTS `ginopane_blogtaxonomy_related_series` (
  `series_id` int(10) unsigned NOT NULL,
  `related_series_id` int(10) unsigned NOT NULL,
  KEY `related_series_index` (`series_id`,`related_series_id`),
  KEY `Related series reference` (`related_series_id`),
  CONSTRAINT `Related series reference` FOREIGN KEY (`related_series_id`) REFERENCES `ginopane_blogtaxonomy_series` (`id`) ON DELETE CASCADE,
  CONSTRAINT `Series reference` FOREIGN KEY (`series_id`) REFERENCES `ginopane_blogtaxonomy_series` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.ginopane_blogtaxonomy_related_series: ~0 rows (approximately)
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_related_series` DISABLE KEYS */;
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_related_series` ENABLE KEYS */;

-- Dumping structure for table goline.ginopane_blogtaxonomy_series
CREATE TABLE IF NOT EXISTS `ginopane_blogtaxonomy_series` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  PRIMARY KEY (`id`),
  UNIQUE KEY `ginopane_blogtaxonomy_series_title_unique` (`title`),
  UNIQUE KEY `ginopane_blogtaxonomy_series_slug_unique` (`slug`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.ginopane_blogtaxonomy_series: ~0 rows (approximately)
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_series` DISABLE KEYS */;
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_series` ENABLE KEYS */;

-- Dumping structure for table goline.ginopane_blogtaxonomy_taggables
CREATE TABLE IF NOT EXISTS `ginopane_blogtaxonomy_taggables` (
  `tag_id` int(10) unsigned DEFAULT NULL,
  `ginopane_blogtaxonomy_taggable_id` int(10) unsigned DEFAULT NULL,
  `ginopane_blogtaxonomy_taggable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  KEY `ginopane_blogtaxonomy_taggable_index` (`tag_id`,`ginopane_blogtaxonomy_taggable_id`,`ginopane_blogtaxonomy_taggable_type`),
  CONSTRAINT `ginopane_blogtaxonomy_taggables_tag_id_foreign` FOREIGN KEY (`tag_id`) REFERENCES `ginopane_blogtaxonomy_tags` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.ginopane_blogtaxonomy_taggables: ~8 rows (approximately)
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_taggables` DISABLE KEYS */;
INSERT INTO `ginopane_blogtaxonomy_taggables` (`tag_id`, `ginopane_blogtaxonomy_taggable_id`, `ginopane_blogtaxonomy_taggable_type`) VALUES
	(1, 3, 'RainLab\\Blog\\Models\\Post'),
	(1, 5, 'RainLab\\Blog\\Models\\Post'),
	(1, 6, 'RainLab\\Blog\\Models\\Post'),
	(1, 7, 'RainLab\\Blog\\Models\\Post'),
	(1, 8, 'RainLab\\Blog\\Models\\Post'),
	(1, 9, 'RainLab\\Blog\\Models\\Post'),
	(1, 10, 'RainLab\\Blog\\Models\\Post'),
	(1, 12, 'RainLab\\Blog\\Models\\Post'),
	(1, 19, 'RainLab\\Blog\\Models\\Post');
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_taggables` ENABLE KEYS */;

-- Dumping structure for table goline.ginopane_blogtaxonomy_tags
CREATE TABLE IF NOT EXISTS `ginopane_blogtaxonomy_tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `ginopane_blogtaxonomy_tags_name_unique` (`name`),
  UNIQUE KEY `ginopane_blogtaxonomy_tags_slug_unique` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.ginopane_blogtaxonomy_tags: ~1 rows (approximately)
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_tags` DISABLE KEYS */;
INSERT INTO `ginopane_blogtaxonomy_tags` (`id`, `name`, `slug`, `created_at`, `updated_at`) VALUES
	(1, 'Nổi bật', 'featured', '2021-06-07 02:58:12', '2021-06-07 03:35:10');
/*!40000 ALTER TABLE `ginopane_blogtaxonomy_tags` ENABLE KEYS */;

-- Dumping structure for table goline.indikator_backend_trash
CREATE TABLE IF NOT EXISTS `indikator_backend_trash` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(1) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `path` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` varchar(8) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.indikator_backend_trash: ~0 rows (approximately)
/*!40000 ALTER TABLE `indikator_backend_trash` DISABLE KEYS */;
/*!40000 ALTER TABLE `indikator_backend_trash` ENABLE KEYS */;

-- Dumping structure for table goline.jobs
CREATE TABLE IF NOT EXISTS `jobs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint(3) unsigned NOT NULL,
  `reserved_at` int(10) unsigned DEFAULT NULL,
  `available_at` int(10) unsigned NOT NULL,
  `created_at` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_reserved_at_index` (`queue`,`reserved_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.jobs: ~0 rows (approximately)
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;

-- Dumping structure for table goline.migrations
CREATE TABLE IF NOT EXISTS `migrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=41 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.migrations: ~40 rows (approximately)
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
	(1, '2013_10_01_000001_Db_Deferred_Bindings', 1),
	(2, '2013_10_01_000002_Db_System_Files', 1),
	(3, '2013_10_01_000003_Db_System_Plugin_Versions', 1),
	(4, '2013_10_01_000004_Db_System_Plugin_History', 1),
	(5, '2013_10_01_000005_Db_System_Settings', 1),
	(6, '2013_10_01_000006_Db_System_Parameters', 1),
	(7, '2013_10_01_000007_Db_System_Add_Disabled_Flag', 1),
	(8, '2013_10_01_000008_Db_System_Mail_Templates', 1),
	(9, '2013_10_01_000009_Db_System_Mail_Layouts', 1),
	(10, '2014_10_01_000010_Db_Jobs', 1),
	(11, '2014_10_01_000011_Db_System_Event_Logs', 1),
	(12, '2014_10_01_000012_Db_System_Request_Logs', 1),
	(13, '2014_10_01_000013_Db_System_Sessions', 1),
	(14, '2015_10_01_000014_Db_System_Mail_Layout_Rename', 1),
	(15, '2015_10_01_000015_Db_System_Add_Frozen_Flag', 1),
	(16, '2015_10_01_000016_Db_Cache', 1),
	(17, '2015_10_01_000017_Db_System_Revisions', 1),
	(18, '2015_10_01_000018_Db_FailedJobs', 1),
	(19, '2016_10_01_000019_Db_System_Plugin_History_Detail_Text', 1),
	(20, '2016_10_01_000020_Db_System_Timestamp_Fix', 1),
	(21, '2017_08_04_121309_Db_Deferred_Bindings_Add_Index_Session', 1),
	(22, '2017_10_01_000021_Db_System_Sessions_Update', 1),
	(23, '2017_10_01_000022_Db_Jobs_FailedJobs_Update', 1),
	(24, '2017_10_01_000023_Db_System_Mail_Partials', 1),
	(25, '2017_10_23_000024_Db_System_Mail_Layouts_Add_Options_Field', 1),
	(26, '2013_10_01_000001_Db_Backend_Users', 2),
	(27, '2013_10_01_000002_Db_Backend_User_Groups', 2),
	(28, '2013_10_01_000003_Db_Backend_Users_Groups', 2),
	(29, '2013_10_01_000004_Db_Backend_User_Throttle', 2),
	(30, '2014_01_04_000005_Db_Backend_User_Preferences', 2),
	(31, '2014_10_01_000006_Db_Backend_Access_Log', 2),
	(32, '2014_10_01_000007_Db_Backend_Add_Description_Field', 2),
	(33, '2015_10_01_000008_Db_Backend_Add_Superuser_Flag', 2),
	(34, '2016_10_01_000009_Db_Backend_Timestamp_Fix', 2),
	(35, '2017_10_01_000010_Db_Backend_User_Roles', 2),
	(36, '2018_12_16_000011_Db_Backend_Add_Deleted_At', 2),
	(37, '2014_10_01_000001_Db_Cms_Theme_Data', 3),
	(38, '2016_10_01_000002_Db_Cms_Timestamp_Fix', 3),
	(39, '2017_10_01_000003_Db_Cms_Theme_Logs', 3),
	(40, '2018_11_01_000001_Db_Cms_Theme_Templates', 3);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;

-- Dumping structure for table goline.rainlab_blog_categories
CREATE TABLE IF NOT EXISTS `rainlab_blog_categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `parent_id` int(10) unsigned DEFAULT NULL,
  `nest_left` int(11) DEFAULT NULL,
  `nest_right` int(11) DEFAULT NULL,
  `nest_depth` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `rainlab_blog_categories_slug_index` (`slug`),
  KEY `rainlab_blog_categories_parent_id_index` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.rainlab_blog_categories: ~7 rows (approximately)
/*!40000 ALTER TABLE `rainlab_blog_categories` DISABLE KEYS */;
INSERT INTO `rainlab_blog_categories` (`id`, `name`, `slug`, `code`, `description`, `parent_id`, `nest_left`, `nest_right`, `nest_depth`, `created_at`, `updated_at`) VALUES
	(1, 'Chưa phân loại', 'uncategorized', NULL, NULL, NULL, 13, 14, 0, '2021-06-01 13:25:55', '2021-06-03 17:59:39'),
	(2, 'Tổng quan', 'big-picture', NULL, '', NULL, 7, 8, 0, '2021-06-03 07:30:19', '2021-06-03 15:22:11'),
	(3, 'Nội bộ', 'internal', NULL, '<p>Thông tin về các hoạt động nổi bật về công ty Goline.</p>', NULL, 1, 2, 0, '2021-06-03 07:30:40', '2021-06-07 02:56:13'),
	(4, 'Công nghệ', 'tech', NULL, '<p>Cập nhật tin tức về công nghệ phổ biến. </p>', NULL, 3, 4, 0, '2021-06-03 07:30:54', '2021-06-07 02:56:35'),
	(5, 'Chứng khoán', 'stock-market', NULL, '<p>Thông tin mới nhất về thị trường thế giới.</p>', NULL, 5, 6, 0, '2021-06-03 07:31:13', '2021-06-07 02:57:05'),
	(6, 'Sản phẩm', 'product', NULL, '', NULL, 9, 10, 0, '2021-06-03 07:31:33', '2021-06-03 17:59:01'),
	(7, 'Dịch vụ', 'service', NULL, '', NULL, 11, 12, 0, '2021-06-03 17:59:26', '2021-06-03 17:59:39');
/*!40000 ALTER TABLE `rainlab_blog_categories` ENABLE KEYS */;

-- Dumping structure for table goline.rainlab_blog_posts
CREATE TABLE IF NOT EXISTS `rainlab_blog_posts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `excerpt` text COLLATE utf8mb4_unicode_ci,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `content_html` longtext COLLATE utf8mb4_unicode_ci,
  `published_at` timestamp NULL DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `metadata` mediumtext COLLATE utf8mb4_unicode_ci,
  `ginopane_blogtaxonomy_series_id` int(10) unsigned DEFAULT NULL,
  `ginopane_blogtaxonomy_post_types_id` int(10) unsigned DEFAULT NULL,
  `ginopane_blogtaxonomy_post_types_attributes` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `rainlab_blog_posts_user_id_index` (`user_id`),
  KEY `rainlab_blog_posts_slug_index` (`slug`),
  KEY `rainlab_blog_posts_ginopane_blogtaxonomy_series_id_foreign` (`ginopane_blogtaxonomy_series_id`),
  KEY `rainlab_blog_posts_ginopane_blogtaxonomy_post_types_id_foreign` (`ginopane_blogtaxonomy_post_types_id`),
  CONSTRAINT `rainlab_blog_posts_ginopane_blogtaxonomy_post_types_id_foreign` FOREIGN KEY (`ginopane_blogtaxonomy_post_types_id`) REFERENCES `ginopane_blogtaxonomy_post_types` (`id`) ON DELETE CASCADE,
  CONSTRAINT `rainlab_blog_posts_ginopane_blogtaxonomy_series_id_foreign` FOREIGN KEY (`ginopane_blogtaxonomy_series_id`) REFERENCES `ginopane_blogtaxonomy_series` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.rainlab_blog_posts: ~18 rows (approximately)
/*!40000 ALTER TABLE `rainlab_blog_posts` DISABLE KEYS */;
INSERT INTO `rainlab_blog_posts` (`id`, `user_id`, `title`, `slug`, `excerpt`, `content`, `content_html`, `published_at`, `published`, `created_at`, `updated_at`, `metadata`, `ginopane_blogtaxonomy_series_id`, `ginopane_blogtaxonomy_post_types_id`, `ginopane_blogtaxonomy_post_types_attributes`) VALUES
	(2, 1, 'Covid quay lại, chứng khoán sẽ thế nào trong tháng 6?', 'covid-quay-lai-chung-khoan-se-nao-trong-thang-6', 'Theo nhận định của chuyên gia, xu hướng tăng hiện tại của thị trường chứng khoán vẫn sẽ được tiếp diễn. Dòng tiền sẽ tiếp tục dồi dào trong thời gian tới.', '<p>Ông <strong>Trần Trương Mạnh Hiếu - Trưởng Nhóm phân tích chiến lược Chứng khoán <a href="https://finance.vietstock.vn/KIS-ctcp-chung-khoan-kis-viet-nam.htm" rel="noreferrer" target="_blank">KIS</a> Việt Nam</strong> <strong>(KIS)</strong> nhận định, với tín hiệu vượt đỉnh lịch sử, vùng 1,280 điểm trong tuần trước và vượt trên ngưỡng tâm lý 1,300 điểm, chỉ số đã xác định xu hướng tăng trong trung và dài hạn. Do đó, chỉ số VN-Index có thể tiếp tục chinh phục những ngưỡng kháng cự cao hơn. Bên cạnh đó, kịch bản chu kỳ 3 năm tăng trưởng vẫn được duy trì nên xu hướng hiện tại có thể tiếp tục trong hơn 1 năm nữa.</p>\r\n\r\n<p>Tuy nhiên, trong ngắn hạn có thể xuất hiện nhịp điều chỉnh mang yếu tố kỹ thuật khi một số rủi ro đang dần xuất hiện, nếu kể đến việc lạm phát có khả năng quay trở lại hay tâm lý thị trường có thể thận trọng khi thiếu vắng thông tin tích cực trong ngắn hạn. Bên cạnh đó, theo những nghiên cứu về chu kỳ thì thị trường đang nằm trong thời gian hình thành đáy 1 năm, vì thế, khả năng thị trường hình thành giai đoạn điều chỉnh kỹ thuật là khá lớn. Lưu ý, sự điều chỉnh này chỉ là giai đoạn điều chỉnh nhỏ để hình thành đáy chu kỳ 1 năm, và sau đó tạo nền giá cho thị trường bước vào 1 năm tăng trưởng mới. Mục tiêu trong thời gian tới có thể là vùng 1,400 điểm.</p>\r\n\r\n<p>Theo ông <strong>Võ Văn Cường - Giám đốc Đầu tư của CTCK Everest (<a href="https://finance.vietstock.vn/EVS-ctcp-chung-khoan-everest.htm" rel="noreferrer" target="_blank">EVS</a>)</strong>, thị trường duy trì xu hướng tăng trong tháng 6. Động lực đến từ nền tảng cơ bản hồi phục kinh tế, tăng trưởng vượt trội lợi nhuận của các công ty niêm yết quý 1/2021 và triển vọng duy trì mức tăng trưởng lợi nhuận tích cực cho cả năm 2021. Bên cạnh đó, là các yếu tố thị trường về dòng tiền, thanh khoản, cùng sự chú ý của nhà đầu tư mới nhằm tìm kiếm lợi nhuận trên thị trường chứng khoán.</p>\r\n\r\n<p>Ông Cường cho rằng định giá cổ phiếu sàn <a href="https://finance.vietstock.vn/HOSE-so-giao-dich-chung-khoan-thanh-pho-ho-chi-minh.htm" rel="noreferrer" target="_blank">HOSE</a> với PE quanh mức 18 lần, còn khá rẻ nếu triển vọng lợi nhuận quý 2 tiếp tục duy trì ở mức cao của các doanh nghiệp niêm yết. Đây sẽ là động lực thúc đẩy dòng tiền tiếp tục tìm kiếm lợi nhuận ngắn hạn chảy vào thị trường chứng khoán và giúp VN-Index tiếp tục chinh phục mốc cao hơn. Nếu không xuất hiện các yếu tố rủi ro mới, VN-Index có thể chạm mốc 1,400 điểm trước giữa tháng 7 năm nay.</p>\r\n\r\n<p>Ông Hiếu dự báo thanh khoản thị trường tiếp tục được duy trì ở mức cao như hiện tại trong thời gian tới nhờ hai lý do. Thứ nhất, xu hướng tăng trong trung và dài hạn đã được xác nhận, với xu hướng tăng như vậy sẽ tạo ra tâm lý hưng phấn cho nhà đầu tư. Thứ hai, lãi suất tiền gửi đang ở mức thấp làm cho gửi tiết kiệm không còn là một kênh đầu tư hấp dẫn.</p>\r\n\r\n<p>Theo ông Hiếu, rủi ro lớn nhất với thị trường trong ngắn hạn là nổi lo lạm phát có thể quay trở lại. Khi đó, ngân hàng Nhà nước buộc phải thực hiện những chính sách để kiềm chế lạm phát, qua đó có thể ảnh hưởng đến xu hướng của thị trường trong ngắn hạn.</p>\r\n\r\n<p>Về phần mình, ông Cường cho rằng thị trường hiện đang quá nhiều thông tin và do đó nhà đầu tư cần đánh giá và phân tích được cả tính 2 mặt của những thông tin này để có những quyết định đầu tư hợp lý và hiệu quả nhất. Rủi ro lớn hiện nay là thị trường có quá nhiều tin đồn, những thông tin không chính thức cùng với nhiều câu chuyện thêu dệt khác nhau làm ảnh hưởng đến tâm lý cũng như quyết định của nhà đầu tư. Đặc biệt với các nhà đầu tư nhỏ lẻ, nhà đầu mới tham gia thị trường, đối tượng vốn rất thích tò mò và dễ bị tác động bởi những tin đồn.</p>', '<p>Ông <strong>Trần Trương Mạnh Hiếu - Trưởng Nhóm phân tích chiến lược Chứng khoán <a href="https://finance.vietstock.vn/KIS-ctcp-chung-khoan-kis-viet-nam.htm" rel="noreferrer" target="_blank">KIS</a> Việt Nam</strong> <strong>(KIS)</strong> nhận định, với tín hiệu vượt đỉnh lịch sử, vùng 1,280 điểm trong tuần trước và vượt trên ngưỡng tâm lý 1,300 điểm, chỉ số đã xác định xu hướng tăng trong trung và dài hạn. Do đó, chỉ số VN-Index có thể tiếp tục chinh phục những ngưỡng kháng cự cao hơn. Bên cạnh đó, kịch bản chu kỳ 3 năm tăng trưởng vẫn được duy trì nên xu hướng hiện tại có thể tiếp tục trong hơn 1 năm nữa.</p>\n<p>Tuy nhiên, trong ngắn hạn có thể xuất hiện nhịp điều chỉnh mang yếu tố kỹ thuật khi một số rủi ro đang dần xuất hiện, nếu kể đến việc lạm phát có khả năng quay trở lại hay tâm lý thị trường có thể thận trọng khi thiếu vắng thông tin tích cực trong ngắn hạn. Bên cạnh đó, theo những nghiên cứu về chu kỳ thì thị trường đang nằm trong thời gian hình thành đáy 1 năm, vì thế, khả năng thị trường hình thành giai đoạn điều chỉnh kỹ thuật là khá lớn. Lưu ý, sự điều chỉnh này chỉ là giai đoạn điều chỉnh nhỏ để hình thành đáy chu kỳ 1 năm, và sau đó tạo nền giá cho thị trường bước vào 1 năm tăng trưởng mới. Mục tiêu trong thời gian tới có thể là vùng 1,400 điểm.</p>\n<p>Theo ông <strong>Võ Văn Cường - Giám đốc Đầu tư của CTCK Everest (<a href="https://finance.vietstock.vn/EVS-ctcp-chung-khoan-everest.htm" rel="noreferrer" target="_blank">EVS</a>)</strong>, thị trường duy trì xu hướng tăng trong tháng 6. Động lực đến từ nền tảng cơ bản hồi phục kinh tế, tăng trưởng vượt trội lợi nhuận của các công ty niêm yết quý 1/2021 và triển vọng duy trì mức tăng trưởng lợi nhuận tích cực cho cả năm 2021. Bên cạnh đó, là các yếu tố thị trường về dòng tiền, thanh khoản, cùng sự chú ý của nhà đầu tư mới nhằm tìm kiếm lợi nhuận trên thị trường chứng khoán.</p>\n<p>Ông Cường cho rằng định giá cổ phiếu sàn <a href="https://finance.vietstock.vn/HOSE-so-giao-dich-chung-khoan-thanh-pho-ho-chi-minh.htm" rel="noreferrer" target="_blank">HOSE</a> với PE quanh mức 18 lần, còn khá rẻ nếu triển vọng lợi nhuận quý 2 tiếp tục duy trì ở mức cao của các doanh nghiệp niêm yết. Đây sẽ là động lực thúc đẩy dòng tiền tiếp tục tìm kiếm lợi nhuận ngắn hạn chảy vào thị trường chứng khoán và giúp VN-Index tiếp tục chinh phục mốc cao hơn. Nếu không xuất hiện các yếu tố rủi ro mới, VN-Index có thể chạm mốc 1,400 điểm trước giữa tháng 7 năm nay.</p>\n<p>Ông Hiếu dự báo thanh khoản thị trường tiếp tục được duy trì ở mức cao như hiện tại trong thời gian tới nhờ hai lý do. Thứ nhất, xu hướng tăng trong trung và dài hạn đã được xác nhận, với xu hướng tăng như vậy sẽ tạo ra tâm lý hưng phấn cho nhà đầu tư. Thứ hai, lãi suất tiền gửi đang ở mức thấp làm cho gửi tiết kiệm không còn là một kênh đầu tư hấp dẫn.</p>\n<p>Theo ông Hiếu, rủi ro lớn nhất với thị trường trong ngắn hạn là nổi lo lạm phát có thể quay trở lại. Khi đó, ngân hàng Nhà nước buộc phải thực hiện những chính sách để kiềm chế lạm phát, qua đó có thể ảnh hưởng đến xu hướng của thị trường trong ngắn hạn.</p>\n<p>Về phần mình, ông Cường cho rằng thị trường hiện đang quá nhiều thông tin và do đó nhà đầu tư cần đánh giá và phân tích được cả tính 2 mặt của những thông tin này để có những quyết định đầu tư hợp lý và hiệu quả nhất. Rủi ro lớn hiện nay là thị trường có quá nhiều tin đồn, những thông tin không chính thức cùng với nhiều câu chuyện thêu dệt khác nhau làm ảnh hưởng đến tâm lý cũng như quyết định của nhà đầu tư. Đặc biệt với các nhà đầu tư nhỏ lẻ, nhà đầu mới tham gia thị trường, đối tượng vốn rất thích tò mò và dễ bị tác động bởi những tin đồn.</p>', '2021-06-03 07:28:46', 1, '2021-06-03 07:28:48', '2021-06-03 17:34:03', NULL, NULL, NULL, NULL),
	(3, 1, 'Core chứng khoán cơ sở', 'core-chung-khoan-co-so', 'Hệ thống phần mềm Quản lý, đăng ký và giao dịch chứng khoán cơ sở\r\nSử dụng framework của tập đoàn NEC Japan, framework được ưa chuộng hàng đầu trong lĩnh vực tài chính, chứng khoán tại Nhật Bản', '<p>Hệ thống phần mềm Quản lý, đăng ký và giao dịch chứng khoán cơ sở</p>\r\n\r\n<p>Sử dụng framework của tập đoàn NEC Japan, framework được ưa chuộng hàng đầu trong lĩnh vực tài chính, chứng khoán tại Nhật Bản</p>\r\n\r\n<p>\r\n	<br>\r\n</p>', '<p>Hệ thống phần mềm Quản lý, đăng ký và giao dịch chứng khoán cơ sở</p>\n<p>Sử dụng framework của tập đoàn NEC Japan, framework được ưa chuộng hàng đầu trong lĩnh vực tài chính, chứng khoán tại Nhật Bản</p>\n<p>\n    <br>\n</p>', '2021-06-04 00:41:24', 1, '2021-06-04 00:41:31', '2021-06-04 00:41:31', NULL, NULL, NULL, NULL),
	(4, 1, 'Core chứng khoán phái sinh', 'core-chung-khoan-phai-sinh', 'Hệ thống phần mềm Quản lý và giao dịch chứng khoán phái sinh\r\nHỗ trợ nhiều loại lệnh auto trading: UP/DOWN, IF DONE STOP, IF DONE GAIN, OCO, BULL&BEAR, TRAILING STOP…..\r\nHệ thống cảnh báo, chốt lời, đóng vị thế tự động\r\nCho phép sử dụng đòn bảy để giao dịch chứng khoán phái sinh với tỷ lệ yêu cầu ký rất thấp (3 – 5%)', '<p>Hệ thống phần mềm Quản lý và giao dịch chứng khoán phái sinh</p>\r\n\r\n<p>Hỗ trợ nhiều loại lệnh auto trading: UP/DOWN, IF DONE STOP, IF DONE GAIN, OCO, BULL&amp;BEAR, TRAILING STOP…..</p>\r\n\r\n<p>Hệ thống cảnh báo, chốt lời, đóng vị thế tự động</p>\r\n\r\n<p>Cho phép sử dụng đòn bảy để giao dịch chứng khoán phái sinh với tỷ lệ yêu cầu ký rất thấp (3 – 5%)</p>\r\n\r\n<p>\r\n	<br>\r\n</p>', '<p>Hệ thống phần mềm Quản lý và giao dịch chứng khoán phái sinh</p>\n<p>Hỗ trợ nhiều loại lệnh auto trading: UP/DOWN, IF DONE STOP, IF DONE GAIN, OCO, BULL&amp;BEAR, TRAILING STOP…..</p>\n<p>Hệ thống cảnh báo, chốt lời, đóng vị thế tự động</p>\n<p>Cho phép sử dụng đòn bảy để giao dịch chứng khoán phái sinh với tỷ lệ yêu cầu ký rất thấp (3 – 5%)</p>\n<p>\n    <br>\n</p>', '2021-06-04 00:42:37', 1, '2021-06-04 00:42:39', '2021-06-04 00:42:39', NULL, NULL, NULL, NULL),
	(5, 1, 'Core quản lý và giao dịch trái phiếu doanh nghiệp', 'core-quan-ly-va-giao-dich-trai-phieu-doanh-nghiep', 'Hệ thống phần mềm quản lý phát hành trái phiếu, quản lý bán lẻ trái phiếu, cho phép giao dịch thỏa thuận điện tử trực tuyến ngang hàng.', '<p>Hệ thống phần mềm quản lý phát hành trái phiếu, quản lý bán lẻ trái phiếu, cho phép giao dịch thỏa thuận điện tử trực tuyến ngang hàng.</p>', '<p>Hệ thống phần mềm quản lý phát hành trái phiếu, quản lý bán lẻ trái phiếu, cho phép giao dịch thỏa thuận điện tử trực tuyến ngang hàng.</p>', '2021-06-04 00:43:38', 1, '2021-06-04 00:43:47', '2021-06-04 00:43:52', NULL, NULL, NULL, NULL),
	(6, 1, 'Core chứng khoán OTC', 'core-chung-khoan-otc', 'Hệ thống quản lý và giao dịch (sơ cấp, thứ cấp) các loại chứng khoán OTC', '<p>Hệ thống quản lý và giao dịch (sơ cấp, thứ cấp) các loại chứng khoán OTC</p>\r\n<div data-cp="1" data-is-ver="false" data-nnttsvi="1" data-sugg-time="500" data-sugg-url="https://clients1.google.com/complete/search" data-uilc="en"><pre data-placeholder="" dir="ltr"><br></pre></div>', '<p>Hệ thống quản lý và giao dịch (sơ cấp, thứ cấp) các loại chứng khoán OTC</p>\n<div data-cp="1" data-is-ver="false" data-nnttsvi="1" data-sugg-time="500" data-sugg-url="https://clients1.google.com/complete/search" data-uilc="en"><pre data-placeholder="" dir="ltr"><br></pre></div>', '2021-06-04 00:44:28', 1, '2021-06-04 00:45:27', '2021-06-07 09:09:30', NULL, NULL, NULL, NULL),
	(7, 1, 'Cover Warrant Market Maker', 'cover-warrant-market-maker', 'Hệ thống tạo lập thị trường giao dịch chứng quyền, tuân thủ các yêu cầu ủy ban và tạo lập theo chính sách của công ty chứng khoán', '<p>Hệ thống tạo lập thị trường giao dịch chứng quyền, tuân thủ các yêu cầu ủy ban và tạo lập theo chính sách của công ty chứng khoán</p>', '<p>Hệ thống tạo lập thị trường giao dịch chứng quyền, tuân thủ các yêu cầu ủy ban và tạo lập theo chính sách của công ty chứng khoán</p>', '2021-06-04 00:46:16', 1, '2021-06-04 00:46:24', '2021-06-04 00:46:24', NULL, NULL, NULL, NULL),
	(8, 1, 'Robot Trading', 'robot-trading', 'Đặt lệnh theo thuật toán\r\nXây dựng các chiến thuật đầu tư theo thuật toán gợi ý\r\nBack test trên dữ liệu quá khứ để kiểm nghiệm hiệu quả chiến thuật\r\nTrading tự động theo chiến thuật\r\n....', '<p>&nbsp; &nbsp;&nbsp;Đặt lệnh theo thuật toán</p>\r\n\r\n<p>&nbsp; &nbsp;&nbsp;Xây dựng các chiến thuật đầu tư theo thuật toán gợi ý</p>\r\n\r\n<p>&nbsp; &nbsp;&nbsp;Back test trên dữ liệu quá khứ để kiểm nghiệm hiệu quả chiến thuật</p>\r\n\r\n<p>&nbsp; &nbsp;&nbsp;Trading tự động theo chiến thuật</p>\r\n\r\n<p>....</p>\r\n\r\n<p>\r\n	<br>\r\n</p>', '<p>    Đặt lệnh theo thuật toán</p>\n<p>    Xây dựng các chiến thuật đầu tư theo thuật toán gợi ý</p>\n<p>    Back test trên dữ liệu quá khứ để kiểm nghiệm hiệu quả chiến thuật</p>\n<p>    Trading tự động theo chiến thuật</p>\n<p>....</p>\n<p>\n    <br>\n</p>', '2021-06-04 00:47:35', 1, '2021-06-04 00:47:45', '2021-06-04 00:47:45', NULL, NULL, NULL, NULL),
	(9, 1, 'Cứu ngân hàng 0 đồng: Nên “buông tay” thay vì “cứu trợ”?', 'cuu-ngan-hang-0-dong-nen-buong-tay-thay-vi-cuu-tro', 'Cách dùng “tiền tốt” để cứu “tiền xấu” thường là không đi đến đâu và rồi tiền tốt cũng theo chân tiền xấu, khả năng phục hồi thành công cho những ngân hàng yếu kém là rất thấp...', '<p>Ngân hàng Nhà nước vừa ban hành dự thảo Thông tư thay thế Thông tư 01/2018/TT-NHNN về cho vay đặc biệt đối với tổ chức tín dụng được kiểm soát đặc biệt. Trao đổi với chúng tôi, TS. Nguyễn Trí Hiếu, chuyên gia tài chính – ngân hàng cho rằng , trong bối cảnh nguồn lực đất nước bị giới hạn do nền kinh tế khó khăn vì đại dịch Covid-19, cần “buông tay” hơn là “cứu trợ”.</p>\r\n\r\n<p>Theo dự thảo Thông tư thay thế, thời gian vay đặc biệt của tổ chức tín dụng mất khả năng chi trả được điều chỉnh xuống dưới 12 tháng thay vì 24 tháng như trước kia và phải có tài sản đảm bảo đối với các khoản vay đặc biệt. Ông đánh giá như thế nào về những điểm mới này?</p>\r\n\r\n<p>Việc cung cấp những khoản vay đặc biệt cho các tổ chức tín dụng bị kiểm soát đặc biệt nhằm mục đích hỗ trợ những ngân hàng yếu kém trên thị trường có thể phục hồi trở lại. Tuy vậy, việc điều chỉnh thời gian vay đặc biệt và bổ sung thêm quy định về tài sản đảm bảo đối với các khoản vay đặc biệt cho thấy động thái thắt chặt các ưu đãi của Ngân hàng Nhà nước dành cho các ngân hàng yếu kém trong bối cảnh nguồn lực còn hạn chế nhất là trong bối cảnh nền kinh tế còn nhiều khó khăn do những tác động tiêu cực từ dịch bệnh Covid-19.</p>\r\n\r\n<p>Ở đây, tôi muốn lưu ý tới quy định mới được bổ sung vào dự thảo. Đó là các khoản vay đặc biệt phải được đảm bảo bằng tài sản bảo đảm. Tài sản bảo đảm ở đây chủ yếu là giấy tờ có giá và quyền đòi nợ. Tuy nhiên, phương cách này chỉ có ý nghĩa nếu ngân hàng yếu kém có khả năng phục hồi sau khi NHNN cho vay mới để hỗ trợ thanh khoản ngân hàng này và tránh cho ngân hàng rơi vào tình trạng mất khả năng thanh toán và vỡ nợ.</p>\r\n\r\n<p><strong>Điều này có nghĩa rằng vẫn có những cơ hội để vực dậy các ngân hàng 0 đồng, các ngân hàng yếu kém thuộc diện kiểm soát đặc biệt của Ngân hàng Nhà nước, thưa ông?</strong></p>\r\n\r\n<p>Dĩ nhiên, triển vọng là có nhưng rủi ro rất lớn. Trong vòng hơn 6 năm nay với ba ngân hàng được NHNN mua lại với giá 0 đồng, chúng ta đã dồn lực để “cứu chữa” những ngân hàng này nhưng các ngân hàng vẫn không thể gượng dậy và đứng vững trên thị trường. Vì vậy, chúng ta cũng không nên kỳ vọng quá nhiều vào việc các tổ chức tín dụng yếu kém này sẽ “khỏe” trở lại khi chỉ dựa vào những khoản vay đặc biệt từ Ngân hàng Nhà nước. Cách dùng “tiền tốt” để cứu “tiền xấu” (Good money to save bad money) như trong giới ngân hàng Mỹ thường ví von, thường là không đi đến đâu và rồi tiền tốt cũng theo chân tiền xấu. Theo tôi, có lẽ lúc này chúng ta nên tính tới phương án khác khi xác suất để phục hồi thành công cho những ngân hàng yếu kém là rất thấp, nhất là khi dịch bệnh đang hoành hành và làm điêu đứng những ngân hàng đang rất yếu kém.</p>\r\n\r\n<p><strong>Tức là các ngân hàng yếu kém buộc phải phá sản?</strong></p>\r\n\r\n<p>Theo quy định của Luật Các tổ chức tín dụng sửa đổi, trước khi các tổ chức tín dụng yếu kém buộc phải phá sản, Ngân hàng Nhà nước có thể thực hiện hỗ trợ các tổ chức này bằng các khoản vay đặc biệt. Vì vậy, dự thảo mới được đưa ra có lẽ là hướng tới mục tiêu này.</p>', '<p>Ngân hàng Nhà nước vừa ban hành dự thảo Thông tư thay thế Thông tư 01/2018/TT-NHNN về cho vay đặc biệt đối với tổ chức tín dụng được kiểm soát đặc biệt. Trao đổi với chúng tôi, TS. Nguyễn Trí Hiếu, chuyên gia tài chính – ngân hàng cho rằng , trong bối cảnh nguồn lực đất nước bị giới hạn do nền kinh tế khó khăn vì đại dịch Covid-19, cần “buông tay” hơn là “cứu trợ”.</p>\n<p>Theo dự thảo Thông tư thay thế, thời gian vay đặc biệt của tổ chức tín dụng mất khả năng chi trả được điều chỉnh xuống dưới 12 tháng thay vì 24 tháng như trước kia và phải có tài sản đảm bảo đối với các khoản vay đặc biệt. Ông đánh giá như thế nào về những điểm mới này?</p>\n<p>Việc cung cấp những khoản vay đặc biệt cho các tổ chức tín dụng bị kiểm soát đặc biệt nhằm mục đích hỗ trợ những ngân hàng yếu kém trên thị trường có thể phục hồi trở lại. Tuy vậy, việc điều chỉnh thời gian vay đặc biệt và bổ sung thêm quy định về tài sản đảm bảo đối với các khoản vay đặc biệt cho thấy động thái thắt chặt các ưu đãi của Ngân hàng Nhà nước dành cho các ngân hàng yếu kém trong bối cảnh nguồn lực còn hạn chế nhất là trong bối cảnh nền kinh tế còn nhiều khó khăn do những tác động tiêu cực từ dịch bệnh Covid-19.</p>\n<p>Ở đây, tôi muốn lưu ý tới quy định mới được bổ sung vào dự thảo. Đó là các khoản vay đặc biệt phải được đảm bảo bằng tài sản bảo đảm. Tài sản bảo đảm ở đây chủ yếu là giấy tờ có giá và quyền đòi nợ. Tuy nhiên, phương cách này chỉ có ý nghĩa nếu ngân hàng yếu kém có khả năng phục hồi sau khi NHNN cho vay mới để hỗ trợ thanh khoản ngân hàng này và tránh cho ngân hàng rơi vào tình trạng mất khả năng thanh toán và vỡ nợ.</p>\n<p><strong>Điều này có nghĩa rằng vẫn có những cơ hội để vực dậy các ngân hàng 0 đồng, các ngân hàng yếu kém thuộc diện kiểm soát đặc biệt của Ngân hàng Nhà nước, thưa ông?</strong></p>\n<p>Dĩ nhiên, triển vọng là có nhưng rủi ro rất lớn. Trong vòng hơn 6 năm nay với ba ngân hàng được NHNN mua lại với giá 0 đồng, chúng ta đã dồn lực để “cứu chữa” những ngân hàng này nhưng các ngân hàng vẫn không thể gượng dậy và đứng vững trên thị trường. Vì vậy, chúng ta cũng không nên kỳ vọng quá nhiều vào việc các tổ chức tín dụng yếu kém này sẽ “khỏe” trở lại khi chỉ dựa vào những khoản vay đặc biệt từ Ngân hàng Nhà nước. Cách dùng “tiền tốt” để cứu “tiền xấu” (Good money to save bad money) như trong giới ngân hàng Mỹ thường ví von, thường là không đi đến đâu và rồi tiền tốt cũng theo chân tiền xấu. Theo tôi, có lẽ lúc này chúng ta nên tính tới phương án khác khi xác suất để phục hồi thành công cho những ngân hàng yếu kém là rất thấp, nhất là khi dịch bệnh đang hoành hành và làm điêu đứng những ngân hàng đang rất yếu kém.</p>\n<p><strong>Tức là các ngân hàng yếu kém buộc phải phá sản?</strong></p>\n<p>Theo quy định của Luật Các tổ chức tín dụng sửa đổi, trước khi các tổ chức tín dụng yếu kém buộc phải phá sản, Ngân hàng Nhà nước có thể thực hiện hỗ trợ các tổ chức này bằng các khoản vay đặc biệt. Vì vậy, dự thảo mới được đưa ra có lẽ là hướng tới mục tiêu này.</p>', '2021-06-04 05:10:58', 1, '2021-06-04 05:11:27', '2021-06-04 05:11:27', NULL, NULL, NULL, NULL),
	(10, 1, 'Những cổ phiếu ‘trượt’ về đáy một năm', 'nhung-co-phieu-truot-ve-day-mot-nam', 'Thị trường chứng khoán (TTCK) Việt Nam đang thăng hoa với mức tăng điểm hơn 50% chỉ trong vòng 1 năm (đến tháng 5/2021). Song, bên cạnh những cổ phiếu tăng giá mạnh mẽ, vẫn còn đó những cái tên đứng ngoài bữa tiệc thị trường.', '<p>Đi ngược xu hướng thị trường</p>\r\n\r\n<p>Tính đến 31/5/2021, có&nbsp;<strong>50 cổ phiếu</strong> <strong>đã giảm về quanh mức thấp nhất trong 1 năm qua</strong>, theo dữ liệu thống kê&nbsp;<a href="https://finance.vietstock.vn/?languageid=2" rel="noreferrer" target="_blank">VietstockFinance</a> trên cả 3 sàn&nbsp;<a href="https://finance.vietstock.vn/HOSE-so-giao-dich-chung-khoan-thanh-pho-ho-chi-minh.htm" rel="noreferrer" target="_blank">HOSE</a>,&nbsp;<a href="https://finance.vietstock.vn/HNX-so-giao-dich-chung-khoan-ha-noi.htm" rel="noreferrer" target="_blank">HNX</a>, UPCoM, với điều kiện khối lượng giao dịch bình quân (KLGDBQ) trên 20,000 đồng/cp và biên độ chênh lệch không quá 20%.</p>\r\n\r\n<p><strong>Đây là nhóm cổ phiếu khiến những nhà đầu tư đang nắm giữ không khỏi lo lắng, băn khoăn. Bởi lẽ diễn biến giá cổ phiếu sau 1 năm lại hoàn toàn khác biệt với bối cảnh thị trường chung - đang tiến lên những tầng cao mới.</strong></p>\r\n\r\n<p>Cụ thể, đến hết tháng 5/2021,&nbsp;<a href="https://finance.vietstock.vn/ket-qua-giao-dich/vietnam.aspx" rel="noreferrer" target="_blank">VN-Index</a> đã vượt 1,300 điểm, ghi nhận mức tăng trưởng 54% qua 1 năm. Các chuyên gia chứng khoán đang đưa ra những dự báo sáng sủa rằng chỉ số đại diện TTCK Việt Nam hoàn toàn có thể đạt 1,400 thậm chí 1,500 điểm ngay trong năm nay.</p>\r\n\r\n<table align="center">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n\r\n				<p>Những cổ phiếu giảm giá về đáy 1 năm (từ 1/6/2020-31/5/2021)</p><img alt="" src="/storage/app/media/uploaded-files/1622783955597.jpeg" align="middle" class="fr-fic fr-dii" data-result="success">\r\n\r\n				<p>Nguồn:&nbsp;VietstockFinance</p>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<p>\r\n	<br>\r\n</p>\r\n\r\n<p><span style="font-size: 18px;"><strong>Giảm giá về đáy 1 năm</strong></span></p>\r\n\r\n<p>Thống kê cho thấy có <strong>5 mã cổ phiếu kết thúc tháng 5/2021 ở mức giá thấp nhất trong vòng 12 tháng, gồm:&nbsp;<a href="https://finance.vietstock.vn/YEG-ctcp-tap-doan-yeah1.htm" rel="noreferrer" target="_blank">YEG</a>,&nbsp;<a href="https://finance.vietstock.vn/HVG-ctcp-hung-vuong.htm" rel="noreferrer" target="_blank">HVG</a>,&nbsp;<a href="https://finance.vietstock.vn/GKM-ctcp-khang-minh-group.htm" rel="noreferrer" target="_blank">GKM</a>,&nbsp;<a href="https://finance.vietstock.vn/VNG-ctcp-du-lich-thanh-thanh-cong.htm" rel="noreferrer" target="_blank">VNG</a> và&nbsp;<a href="https://finance.vietstock.vn/HNG-ctcp-nong-nghiep-quoc-te-hoang-anh-gia-lai.htm" rel="noreferrer" target="_blank">HNG</a>.</strong></p>\r\n\r\n<p>Cổ phiếu&nbsp;<strong>YEG&nbsp;của Tập đoàn Yeah1 (HOSE:&nbsp;YEG)</strong> vẫn lầm lũi đi xuống trong suốt 12 tháng qua, chốt phiên 31/05/2021 ở mức giá 20,350 đồng/cp. Cuộc khủng hoảng mạng đa kênh với Youtube từ hơn 2 năm trước đánh tan kỳ vọng tăng trưởng của YEG. Công ty đã thua lỗ từ 2019-2020 và tiếp tục kéo sang quý 1/2021.</p>', '<p>Đi ngược xu hướng thị trường</p>\n<p>Tính đến 31/5/2021, có <strong>50 cổ phiếu</strong> <strong>đã giảm về quanh mức thấp nhất trong 1 năm qua</strong>, theo dữ liệu thống kê <a href="https://finance.vietstock.vn/?languageid=2" rel="noreferrer" target="_blank">VietstockFinance</a> trên cả 3 sàn <a href="https://finance.vietstock.vn/HOSE-so-giao-dich-chung-khoan-thanh-pho-ho-chi-minh.htm" rel="noreferrer" target="_blank">HOSE</a>, <a href="https://finance.vietstock.vn/HNX-so-giao-dich-chung-khoan-ha-noi.htm" rel="noreferrer" target="_blank">HNX</a>, UPCoM, với điều kiện khối lượng giao dịch bình quân (KLGDBQ) trên 20,000 đồng/cp và biên độ chênh lệch không quá 20%.</p>\n<p><strong>Đây là nhóm cổ phiếu khiến những nhà đầu tư đang nắm giữ không khỏi lo lắng, băn khoăn. Bởi lẽ diễn biến giá cổ phiếu sau 1 năm lại hoàn toàn khác biệt với bối cảnh thị trường chung - đang tiến lên những tầng cao mới.</strong></p>\n<p>Cụ thể, đến hết tháng 5/2021, <a href="https://finance.vietstock.vn/ket-qua-giao-dich/vietnam.aspx" rel="noreferrer" target="_blank">VN-Index</a> đã vượt 1,300 điểm, ghi nhận mức tăng trưởng 54% qua 1 năm. Các chuyên gia chứng khoán đang đưa ra những dự báo sáng sủa rằng chỉ số đại diện TTCK Việt Nam hoàn toàn có thể đạt 1,400 thậm chí 1,500 điểm ngay trong năm nay.</p>\n<table align="center">\n    <tbody>\n        <tr>\n            <td>\n\n                <p>Những cổ phiếu giảm giá về đáy 1 năm (từ 1/6/2020-31/5/2021)</p>\n<img alt="" src="/storage/app/media/uploaded-files/1622783955597.jpeg" align="middle" class="fr-fic fr-dii" data-result="success">\n\n                <p>Nguồn: VietstockFinance</p>\n            </td>\n        </tr>\n    </tbody>\n</table>\n<p>\n    <br>\n</p>\n<p><span style="font-size: 18px;"><strong>Giảm giá về đáy 1 năm</strong></span></p>\n<p>Thống kê cho thấy có <strong>5 mã cổ phiếu kết thúc tháng 5/2021 ở mức giá thấp nhất trong vòng 12 tháng, gồm: <a href="https://finance.vietstock.vn/YEG-ctcp-tap-doan-yeah1.htm" rel="noreferrer" target="_blank">YEG</a>, <a href="https://finance.vietstock.vn/HVG-ctcp-hung-vuong.htm" rel="noreferrer" target="_blank">HVG</a>, <a href="https://finance.vietstock.vn/GKM-ctcp-khang-minh-group.htm" rel="noreferrer" target="_blank">GKM</a>, <a href="https://finance.vietstock.vn/VNG-ctcp-du-lich-thanh-thanh-cong.htm" rel="noreferrer" target="_blank">VNG</a> và <a href="https://finance.vietstock.vn/HNG-ctcp-nong-nghiep-quoc-te-hoang-anh-gia-lai.htm" rel="noreferrer" target="_blank">HNG</a>.</strong></p>\n<p>Cổ phiếu <strong>YEG của Tập đoàn Yeah1 (HOSE: YEG)</strong> vẫn lầm lũi đi xuống trong suốt 12 tháng qua, chốt phiên 31/05/2021 ở mức giá 20,350 đồng/cp. Cuộc khủng hoảng mạng đa kênh với Youtube từ hơn 2 năm trước đánh tan kỳ vọng tăng trưởng của YEG. Công ty đã thua lỗ từ 2019-2020 và tiếp tục kéo sang quý 1/2021.</p>', '2021-06-04 05:19:54', 1, '2021-06-04 05:19:59', '2021-06-04 05:20:47', NULL, NULL, NULL, NULL),
	(11, 1, 'Chiến lược đầu tư tăng trưởng và giá trị đã lỗi thời', 'chien-luoc-dau-tu-tang-truong-va-gia-tri-da-loi-thoi', 'Các nhà đầu tư lâu nay thường tranh luận liệu nên đầu tư vào cổ phiếu “tăng trưởng” hay “giá trị” – nói cách khác họ chọn cổ phiếu có tốc độ tăng cao hơn đáng kể so với mức trung bình thị trường, hoặc giao dịch ở mức giá thấp hơn so với các yếu tố cơ bản. Liệu chiến lược đầu tư này có gì sai?', '<p>Trong số các lời khuyên chiến lược đầu tư được yêu thích bấy lâu về lựa chọn cổ phiếu tăng trưởng hay giá trị - nhưng xem ra ngày càng lỗi thời - chính là phiên bản thị trường chứng khoán của Godzilla đấu với Kong (tác phẩm đã từng thành công các phòng vé tại Mỹ). Nên đầu tư vào các công ty cung cấp triển vọng tăng trưởng mạnh mẽ hoặc những công ty có vẻ như bị đánh giá thấp bởi một vài chỉ số kinh tế tài chính?</p>\r\n\r\n<p>Đó là một cuộc đọ sức hoành tráng giữa hai đối thủ mang tính biểu tượng. Mỗi bên sẽ tung ra những đòn uy lực và ghi được phần điểm của mình, làm hài lòng fan hâm mộ.</p>\r\n\r\n<p>Có rất nhiều sự hồi hộp và thót tim, nhưng không có gì rõ ràng trong câu chuyện này. Người chiến thắng cuối cùng? Đối tượng để tranh luận: thành thật mà nói, về tổng thể thì câu chuyện không có gì thuyết phục.</p>\r\n\r\n<p>Cho dù đó là sự khởi động lại của Hollywood hay là chiến lược đầu tư phổ biến của Phố Wall, thì chúng ta cũng đã từng chứng kiến tất cả. Phải thừa nhận rằng, sẽ rất dễ dàng và phần nào dễ chịu khi chúng ta cứ “trung thành” với những gì mình biết, hoặc những gì chúng ta nghĩ rằng chúng ta biết.</p>\r\n\r\n<p>Nhưng chúng ta hãy thừa nhận điều này: cuộc tranh luận giữa đầu tư giá trị và tăng trưởng đã kết thúc. Không phải vì một phong cách, cuối cùng rồi, cũng đã đánh bại phong cách kia, mà bởi vì “sự cạnh tranh” giữa hai phong cách dựa trên sự phân đôi gượng ép được thúc đẩy bởi “nhận thức” hơn là “thực tế”.</p>\r\n\r\n<p>Tất nhiên, cũng đã có những lúc cổ phiếu giá trị vượt qua tốc độ cổ phiếu tăng trưởng và ngược lại - đôi khi bởi biên tỷ suất sinh lợi trong thời gian dài. Nhưng đặt cược vào phong cách này tốt đẹp [hoặc tệ] hơn so với phong cách kia dựa trên mức độ hoặc thời gian của các thành quả trong bất kỳ khung thời gian nào của quá khứ không phải là một chiến lược đúng đắn để tối đa hóa lợi nhuận.</p>', '<p>Trong số các lời khuyên chiến lược đầu tư được yêu thích bấy lâu về lựa chọn cổ phiếu tăng trưởng hay giá trị - nhưng xem ra ngày càng lỗi thời - chính là phiên bản thị trường chứng khoán của Godzilla đấu với Kong (tác phẩm đã từng thành công các phòng vé tại Mỹ). Nên đầu tư vào các công ty cung cấp triển vọng tăng trưởng mạnh mẽ hoặc những công ty có vẻ như bị đánh giá thấp bởi một vài chỉ số kinh tế tài chính?</p>\n<p>Đó là một cuộc đọ sức hoành tráng giữa hai đối thủ mang tính biểu tượng. Mỗi bên sẽ tung ra những đòn uy lực và ghi được phần điểm của mình, làm hài lòng fan hâm mộ.</p>\n<p>Có rất nhiều sự hồi hộp và thót tim, nhưng không có gì rõ ràng trong câu chuyện này. Người chiến thắng cuối cùng? Đối tượng để tranh luận: thành thật mà nói, về tổng thể thì câu chuyện không có gì thuyết phục.</p>\n<p>Cho dù đó là sự khởi động lại của Hollywood hay là chiến lược đầu tư phổ biến của Phố Wall, thì chúng ta cũng đã từng chứng kiến tất cả. Phải thừa nhận rằng, sẽ rất dễ dàng và phần nào dễ chịu khi chúng ta cứ “trung thành” với những gì mình biết, hoặc những gì chúng ta nghĩ rằng chúng ta biết.</p>\n<p>Nhưng chúng ta hãy thừa nhận điều này: cuộc tranh luận giữa đầu tư giá trị và tăng trưởng đã kết thúc. Không phải vì một phong cách, cuối cùng rồi, cũng đã đánh bại phong cách kia, mà bởi vì “sự cạnh tranh” giữa hai phong cách dựa trên sự phân đôi gượng ép được thúc đẩy bởi “nhận thức” hơn là “thực tế”.</p>\n<p>Tất nhiên, cũng đã có những lúc cổ phiếu giá trị vượt qua tốc độ cổ phiếu tăng trưởng và ngược lại - đôi khi bởi biên tỷ suất sinh lợi trong thời gian dài. Nhưng đặt cược vào phong cách này tốt đẹp [hoặc tệ] hơn so với phong cách kia dựa trên mức độ hoặc thời gian của các thành quả trong bất kỳ khung thời gian nào của quá khứ không phải là một chiến lược đúng đắn để tối đa hóa lợi nhuận.</p>', '2021-06-04 05:24:23', 1, '2021-06-04 05:24:27', '2021-06-04 05:24:27', NULL, NULL, NULL, NULL),
	(12, 1, 'SSI sắp chi 646 tỷ đồng trả cổ tức 2020', 'ssi-sap-chi-646-ty-dong-tra-co-tuc-2020', 'CTCP Chứng khoán SSI (HOSE: SSI) quyết định ngày đăng ký cuối cùng để trả cổ tức năm 2020 bằng tiền vào 16/06/2021. Ngày 15/06/2021 là ngày giao dịch không hưởng quyền.', '<p>Theo đó,&nbsp;SSI&nbsp;dự kiến chia cổ tức tỷ lệ 10%/mệnh giá (1 cp được nhận 1,000 đồng) vào ngày 15/07/2021.</p>\r\n\r\n<p>Với gần 646 triệu cp đang lưu hành, dự kiến&nbsp;SSI&nbsp;sẽ chi 646 tỷ đồng trả cổ tức năm 2020 cho cổ đông.</p>\r\n\r\n<p>Năm 2021,&nbsp;SSI&nbsp;đặt chỉ tiêu lãi trước thuế hợp nhất 1,870 tỷ đồng, tăng 20% so với năm trước.</p>\r\n\r\n<p>SSI cũng dự kiến tăng vốn điều lệ lên mức 11,000 tỷ đồng thông qua phương án chào bán tối đa gần 442.7 triệu cổ phiếu. Số cổ phiếu này sẽ được phát hành theo 4 phương án, bao gồm:</p>\r\n\r\n<p>- Phát hành cổ phiếu tăng vốn từ nguồn vốn chủ sở hữu (tỷ lệ 6:2), tối đa 219.1 triệu cp.</p>\r\n\r\n<p>- Chào bán thêm cổ phiếu cho cổ đông hiện hữu giá 10,000 đồng/cp (tỷ lệ 6:1), tối đa 109.5 triệu cp.</p>\r\n\r\n<p>- Chào bán tối đa hơn 104 triệu cp riêng lẻ, giá không thấp hơn bình quân giá đóng cửa 10 phiên liền trước ngày HĐQT quyết định phê duyệt phương án phát hành chi tiết.</p>\r\n\r\n<p>- Chào bán ESOP với giá 10,000 đồng/cp, tối đa 10 triệu cp.</p>\r\n\r\n<p>Tổng số tiền thu được từ đợt phát hành sẽ dùng để bổ sung vốn kinh doanh cho hoạt động bảo lãnh phát hành, đầu tư và cho vay ký quỹ của Công ty.</p>', '<p>Theo đó, SSI dự kiến chia cổ tức tỷ lệ 10%/mệnh giá (1 cp được nhận 1,000 đồng) vào ngày 15/07/2021.</p>\n<p>Với gần 646 triệu cp đang lưu hành, dự kiến SSI sẽ chi 646 tỷ đồng trả cổ tức năm 2020 cho cổ đông.</p>\n<p>Năm 2021, SSI đặt chỉ tiêu lãi trước thuế hợp nhất 1,870 tỷ đồng, tăng 20% so với năm trước.</p>\n<p>SSI cũng dự kiến tăng vốn điều lệ lên mức 11,000 tỷ đồng thông qua phương án chào bán tối đa gần 442.7 triệu cổ phiếu. Số cổ phiếu này sẽ được phát hành theo 4 phương án, bao gồm:</p>\n<p>- Phát hành cổ phiếu tăng vốn từ nguồn vốn chủ sở hữu (tỷ lệ 6:2), tối đa 219.1 triệu cp.</p>\n<p>- Chào bán thêm cổ phiếu cho cổ đông hiện hữu giá 10,000 đồng/cp (tỷ lệ 6:1), tối đa 109.5 triệu cp.</p>\n<p>- Chào bán tối đa hơn 104 triệu cp riêng lẻ, giá không thấp hơn bình quân giá đóng cửa 10 phiên liền trước ngày HĐQT quyết định phê duyệt phương án phát hành chi tiết.</p>\n<p>- Chào bán ESOP với giá 10,000 đồng/cp, tối đa 10 triệu cp.</p>\n<p>Tổng số tiền thu được từ đợt phát hành sẽ dùng để bổ sung vốn kinh doanh cho hoạt động bảo lãnh phát hành, đầu tư và cho vay ký quỹ của Công ty.</p>', '2021-06-04 05:25:09', 1, '2021-06-04 05:25:59', '2021-06-04 05:25:59', NULL, NULL, NULL, NULL),
	(13, 1, 'Khối ngoại mua ròng hơn 184 tỷ đồng cổ phiếu UPCoM trong tháng 5', 'khoi-ngoai-mua-rong-hon-184-ty-dong-co-phieu-upcom-trong-thang-5', 'Thị trường UPCoM tháng 5 tiếp tục có nhiều diễn biến sôi động, thanh khoản và điểm số điều tăng so với tháng trước.', '<p>Cụ thể, tại thời điểm cuối tháng, UPCoM-Index đạt 86.11 điểm, tăng 6.73% so với cuối tháng trước. Giá trị vốn hóa thị trường UPCoM tại phiên giao dịch cuối tháng đạt hơn 1,069 tỷ đồng, tăng 3.61% so với tháng trước.</p>\r\n\r\n<p>Toàn thị trường có hơn 1.6 tỷ cổ phiếu được giao dịch, tương ứng giá trị giao dịch 24.7 ngàn tỷ đồng, tăng 12.73%. Tính bình quân, khối lượng giao dịch đạt 82.8 triệu cp/phiên, giá trị giao dịch đạt hơn 1.2 ngàn tỷ đồng/phiên.</p>\r\n\r\n<table align="center">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n\r\n				<p>5 cổ phiếu tăng giá nhiều nhất trong tháng 5/2021</p><img alt="" src="/storage/app/media/uploaded-files/1622784593818.jpeg" align="center" class="fr-fic fr-dii" data-result="success"></td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<table align="center">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n\r\n				<p>5 cổ phiếu được giao dịch nhiều nhất trong tháng 5/2021</p><img alt="" src="/storage/app/media/uploaded-files/1622784593186.jpeg" align="center" class="fr-fic fr-dii" data-result="success"></td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<p>Đáng chú ý, trong tháng 5 vừa qua, nhà đầu tư nước ngoài giao dịch tổng cộng 37.2 triệu cổ phiếu, tương ứng 1.5 ngàn tỷ đồng. Trong đó, giá trị mua vào đạt 850.7 tỷ đồng, giá trị bán ra đạt 666.6 tỷ đồng. Tính chung cả tháng, nhà đầu tư nước ngoài đã mua ròng 184.1 tỷ đồng trên thị trường UPCoM.</p>\r\n\r\n<table align="center">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n\r\n				<p>5 cổ phiếu NĐTNN mua nhiều nhất</p><img alt="" src="/storage/app/media/uploaded-files/1622784593352.jpeg" align="center" class="fr-fic fr-dii" data-result="success"></td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<table align="center">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n\r\n				<p>5 cổ phiếu NĐTNN bán nhiều nhất</p><img alt="" src="/storage/app/media/uploaded-files/1622784593462.jpeg" align="center" class="fr-fic fr-dii" data-result="success"></td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<p>Về quy mô thị trường, tính đến hết tháng 5/2021, UPCoM có thêm 10 doanh nghiệp ĐKGD mới và 2 doanh nghiệp hủy ĐKGD, tổng số doanh nghiệp ĐKGD đạt 921 doanh nghiệp, với tổng khối lượng ĐKGD hơn 37.9 tỷ cổ phiếu, tương ứng giá trị đạt 379.7 ngàn tỷ đồng.</p>', '<p>Cụ thể, tại thời điểm cuối tháng, UPCoM-Index đạt 86.11 điểm, tăng 6.73% so với cuối tháng trước. Giá trị vốn hóa thị trường UPCoM tại phiên giao dịch cuối tháng đạt hơn 1,069 tỷ đồng, tăng 3.61% so với tháng trước.</p>\n<p>Toàn thị trường có hơn 1.6 tỷ cổ phiếu được giao dịch, tương ứng giá trị giao dịch 24.7 ngàn tỷ đồng, tăng 12.73%. Tính bình quân, khối lượng giao dịch đạt 82.8 triệu cp/phiên, giá trị giao dịch đạt hơn 1.2 ngàn tỷ đồng/phiên.</p>\n<table align="center">\n    <tbody>\n        <tr>\n            <td>\n\n                <p>5 cổ phiếu tăng giá nhiều nhất trong tháng 5/2021</p>\n<img alt="" src="/storage/app/media/uploaded-files/1622784593818.jpeg" align="center" class="fr-fic fr-dii" data-result="success">\n</td>\n        </tr>\n    </tbody>\n</table>\n<table align="center">\n    <tbody>\n        <tr>\n            <td>\n\n                <p>5 cổ phiếu được giao dịch nhiều nhất trong tháng 5/2021</p>\n<img alt="" src="/storage/app/media/uploaded-files/1622784593186.jpeg" align="center" class="fr-fic fr-dii" data-result="success">\n</td>\n        </tr>\n    </tbody>\n</table>\n<p>Đáng chú ý, trong tháng 5 vừa qua, nhà đầu tư nước ngoài giao dịch tổng cộng 37.2 triệu cổ phiếu, tương ứng 1.5 ngàn tỷ đồng. Trong đó, giá trị mua vào đạt 850.7 tỷ đồng, giá trị bán ra đạt 666.6 tỷ đồng. Tính chung cả tháng, nhà đầu tư nước ngoài đã mua ròng 184.1 tỷ đồng trên thị trường UPCoM.</p>\n<table align="center">\n    <tbody>\n        <tr>\n            <td>\n\n                <p>5 cổ phiếu NĐTNN mua nhiều nhất</p>\n<img alt="" src="/storage/app/media/uploaded-files/1622784593352.jpeg" align="center" class="fr-fic fr-dii" data-result="success">\n</td>\n        </tr>\n    </tbody>\n</table>\n<table align="center">\n    <tbody>\n        <tr>\n            <td>\n\n                <p>5 cổ phiếu NĐTNN bán nhiều nhất</p>\n<img alt="" src="/storage/app/media/uploaded-files/1622784593462.jpeg" align="center" class="fr-fic fr-dii" data-result="success">\n</td>\n        </tr>\n    </tbody>\n</table>\n<p>Về quy mô thị trường, tính đến hết tháng 5/2021, UPCoM có thêm 10 doanh nghiệp ĐKGD mới và 2 doanh nghiệp hủy ĐKGD, tổng số doanh nghiệp ĐKGD đạt 921 doanh nghiệp, với tổng khối lượng ĐKGD hơn 37.9 tỷ cổ phiếu, tương ứng giá trị đạt 379.7 ngàn tỷ đồng.</p>', '2021-06-04 05:31:05', 1, '2021-06-04 05:31:07', '2021-06-04 05:31:07', NULL, NULL, NULL, NULL),
	(14, 1, 'Tổng Giám đốc hoàn tất gom 30 triệu cp GEX', 'tong-giam-doc-hoan-tat-gom-30-trieu-cp-gex', 'Từ ngày 28/05-02/06/2021, Tổng Giám đốc kiêm Thành viên HĐQT Tổng CTCP Thiết bị Điện Việt Nam (HOSE: GEX) - ông Nguyễn Văn Tuấn - đã mua thành công 30 triệu cp GEX.', '<p>Sau giao dịch, vị Tổng Giám đốc này nâng tổng số cổ phần đang nắm giữ tại GEX từ 56.5 triệu cp (11.57%) lên 86.5 triệu cp (tỷ lệ 17.7%).</p>\r\n\r\n<p>Với thị giá 20,850 đồng/cp (phiên 02/06), ước tính ông Tuấn đã chi hơn 625 tỷ đồng để hoàn tất thương vụ.</p>\r\n\r\n<p>Về tình hình kinh doanh quý đầu năm 2021, doanh thu thuần của&nbsp;GEX&nbsp;đạt hơn 4,413 tỷ đồng, tăng 26% so với cùng kỳ và lãi ròng hơn 254 tỷ đồng, gấp gần 5 lần cùng kỳ.</p>\r\n\r\n<p>Đáng chú ý, lãi từ công ty liên kết đột biến khi ghi nhận gần 127 tỷ đồng, gấp 5 lần cùng kỳ. Theo giải trình, khoản biến động chủ yếu đến từ phần chia lợi nhuận từ Tổng Công ty Viglacera (HOSE: <a href="https://finance.vietstock.vn/VGC-tong-cong-ty-viglacera-ctcp.htm" rel="noreferrer" target="_blank">VGC</a>) sau thời điểm GEX nắm hơn 46% vốn của VGC.</p>\r\n\r\n<table align="center">\r\n	<tbody>\r\n		<tr>\r\n			<td>\r\n\r\n				<p>Một số chỉ tiêu tài chính của&nbsp;GEX&nbsp;các quý trở lại đây. Đvt: Triệu đồng</p><img alt="" src="/storage/app/media/uploaded-files/1622784720066.jpeg" align="center" class="fr-fic fr-dii" data-result="success">\r\n\r\n				<p>Nguồn:&nbsp;<a href="https://finance.vietstock.vn/?languageid=2" rel="noreferrer" target="_blank">VietstockFinance</a></p>\r\n			</td>\r\n		</tr>\r\n	</tbody>\r\n</table>\r\n\r\n<p>Giá cổ phiếu GEX chốt phiên 03/06 tại mức giá trần 22,250 đồng/cp, giảm 16% qua 1 tháng trở lại đây, với khối lượng giao dịch bình quân hơn 4.5 triệu cp/phiên.</p>', '<p>Sau giao dịch, vị Tổng Giám đốc này nâng tổng số cổ phần đang nắm giữ tại GEX từ 56.5 triệu cp (11.57%) lên 86.5 triệu cp (tỷ lệ 17.7%).</p>\n<p>Với thị giá 20,850 đồng/cp (phiên 02/06), ước tính ông Tuấn đã chi hơn 625 tỷ đồng để hoàn tất thương vụ.</p>\n<p>Về tình hình kinh doanh quý đầu năm 2021, doanh thu thuần của GEX đạt hơn 4,413 tỷ đồng, tăng 26% so với cùng kỳ và lãi ròng hơn 254 tỷ đồng, gấp gần 5 lần cùng kỳ.</p>\n<p>Đáng chú ý, lãi từ công ty liên kết đột biến khi ghi nhận gần 127 tỷ đồng, gấp 5 lần cùng kỳ. Theo giải trình, khoản biến động chủ yếu đến từ phần chia lợi nhuận từ Tổng Công ty Viglacera (HOSE: <a href="https://finance.vietstock.vn/VGC-tong-cong-ty-viglacera-ctcp.htm" rel="noreferrer" target="_blank">VGC</a>) sau thời điểm GEX nắm hơn 46% vốn của VGC.</p>\n<table align="center">\n    <tbody>\n        <tr>\n            <td>\n\n                <p>Một số chỉ tiêu tài chính của GEX các quý trở lại đây. Đvt: Triệu đồng</p>\n<img alt="" src="/storage/app/media/uploaded-files/1622784720066.jpeg" align="center" class="fr-fic fr-dii" data-result="success">\n\n                <p>Nguồn: <a href="https://finance.vietstock.vn/?languageid=2" rel="noreferrer" target="_blank">VietstockFinance</a></p>\n            </td>\n        </tr>\n    </tbody>\n</table>\n<p>Giá cổ phiếu GEX chốt phiên 03/06 tại mức giá trần 22,250 đồng/cp, giảm 16% qua 1 tháng trở lại đây, với khối lượng giao dịch bình quân hơn 4.5 triệu cp/phiên.</p>', '2021-06-04 05:33:25', 1, '2021-06-04 05:33:27', '2021-06-04 05:33:27', NULL, NULL, NULL, NULL),
	(15, 1, 'Sàn HOSE có 27 cổ phiếu đạt vốn hóa tỷ USD', 'san-hose-co-27-co-phieu-dat-von-hoa-ty-usd', 'Tính đến hết ngày 31/05/2021, trên sàn HOSE đã có 27 doanh nghiệp có vốn hóa hơn 1 tỷ USD, trong đó có 4 doanh nghiệp có vốn hóa trên 10 tỷ USD, bao gồm: Tập đoàn Vingroup (VIC), Ngân hàng Thương mại cổ phần Ngoại thương Việt Nam (VCB), CTCP Vinhomes (VHM) và CTCP Tập đoàn Hòa Phát (HPG).', '<p>Khối ngoại bán ròng hơn 11,400 tỷ trong tháng 5</p>\r\n\r\n<p>Tháng 5/2021, các chỉ số chứng khoán trên&nbsp;HOSE&nbsp;giữ vững chuỗi tăng trưởng trong suốt 5 tháng đầu năm 2021. Chỉ số&nbsp;<a href="https://finance.vietstock.vn/ket-qua-giao-dich/vietnam.aspx" rel="noreferrer" target="_blank">VN-Index</a> đạt mức 1,328.05 điểm, tăng hơn 7% so với tháng 04/2021 và tăng 20.3% so với cuối năm 2020.</p>\r\n\r\n<p>Thanh khoản thị trường cổ phiếu tháng 5 đạt mức cao nhất từ đầu năm đến nay với giá trị và khối lượng giao dịch bình quân phiên lần lượt đạt trên 21,937 tỷ đồng và gần 702 triệu cổ phiếu, tương ứng lần lượt tăng gần 20% về giá trị và giảm 3.3% về khối lượng bình quân so với tháng trước.</p>\r\n\r\n<p>Trong tháng 5/2021, tổng giá trị giao dịch của nhà đầu tư nước ngoài đạt trên 61,714 tỷ đồng, chiếm hơn 7% tổng giá trị giao dịch cả chiều mua và bán của toàn thị trường.</p>\r\n\r\n<p>Nhà đầu tư nước ngoài đã thực hiện<strong>&nbsp;bán ròng với giá trị hơn 11,461 tỷ đồng</strong>, tăng gần 4% so với tháng trước. Chỉ trong 5 tháng đầu năm 2021, nhà đầu tư nước ngoài đã&nbsp;<strong>bán ròng hơn 30,858 tỷ đồng</strong> trên sàn&nbsp;HOSE, cao gần gấp đôi so với cả năm 2020 (15,741 tỷ đồng).</p>\r\n\r\n<p>Cuối tháng 5 sàn&nbsp;HOSE&nbsp;có 27 doanh nghiệp vốn hóa&nbsp;tỷ USD</p>\r\n\r\n<p>Quy mô thị trường trên&nbsp;HOSE&nbsp;tính đến hết ngày 31/05/2021, có 508 mã chứng khoán giao dịch trong đó gồm: 386 mã cổ phiếu, 02 mã chứng chỉ quỹ đóng, 07 mã chứng chỉ quỹ ETF, 82 mã chứng quyền có bảo đảm và 31 mã trái phiếu niêm yết. Tổng khối lượng cổ phiếu niêm yết đạt hơn 102,6 tỷ cổ phiếu. Giá trị vốn hóa niêm yết đạt hơn 4.97 triệu tỷ đồng, tăng hơn 7% so với tháng trước, đạt khoảng 79.09% GDP năm 2020 (GDP theo giá hiện hành).</p>\r\n\r\n<p>Tính đến hết ngày 31/05/2021, trên sàn HOSE đã có 27 doanh nghiệp có vốn hóa hơn 1 tỷ USD, trong đó có 4 doanh nghiệp có vốn hóa trên 10 tỷ USD, bao gồm: Tập đoàn Vingroup (VIC), Ngân hàng Thương mại cổ phần Ngoại thương Việt Nam (VCB), CTCP Vinhomes (VHM) và CTCP Tập đoàn Hòa Phát (HPG).</p>', '<p>Khối ngoại bán ròng hơn 11,400 tỷ trong tháng 5</p>\n<p>Tháng 5/2021, các chỉ số chứng khoán trên HOSE giữ vững chuỗi tăng trưởng trong suốt 5 tháng đầu năm 2021. Chỉ số <a href="https://finance.vietstock.vn/ket-qua-giao-dich/vietnam.aspx" rel="noreferrer" target="_blank">VN-Index</a> đạt mức 1,328.05 điểm, tăng hơn 7% so với tháng 04/2021 và tăng 20.3% so với cuối năm 2020.</p>\n<p>Thanh khoản thị trường cổ phiếu tháng 5 đạt mức cao nhất từ đầu năm đến nay với giá trị và khối lượng giao dịch bình quân phiên lần lượt đạt trên 21,937 tỷ đồng và gần 702 triệu cổ phiếu, tương ứng lần lượt tăng gần 20% về giá trị và giảm 3.3% về khối lượng bình quân so với tháng trước.</p>\n<p>Trong tháng 5/2021, tổng giá trị giao dịch của nhà đầu tư nước ngoài đạt trên 61,714 tỷ đồng, chiếm hơn 7% tổng giá trị giao dịch cả chiều mua và bán của toàn thị trường.</p>\n<p>Nhà đầu tư nước ngoài đã thực hiện<strong> bán ròng với giá trị hơn 11,461 tỷ đồng</strong>, tăng gần 4% so với tháng trước. Chỉ trong 5 tháng đầu năm 2021, nhà đầu tư nước ngoài đã <strong>bán ròng hơn 30,858 tỷ đồng</strong> trên sàn HOSE, cao gần gấp đôi so với cả năm 2020 (15,741 tỷ đồng).</p>\n<p>Cuối tháng 5 sàn HOSE có 27 doanh nghiệp vốn hóa tỷ USD</p>\n<p>Quy mô thị trường trên HOSE tính đến hết ngày 31/05/2021, có 508 mã chứng khoán giao dịch trong đó gồm: 386 mã cổ phiếu, 02 mã chứng chỉ quỹ đóng, 07 mã chứng chỉ quỹ ETF, 82 mã chứng quyền có bảo đảm và 31 mã trái phiếu niêm yết. Tổng khối lượng cổ phiếu niêm yết đạt hơn 102,6 tỷ cổ phiếu. Giá trị vốn hóa niêm yết đạt hơn 4.97 triệu tỷ đồng, tăng hơn 7% so với tháng trước, đạt khoảng 79.09% GDP năm 2020 (GDP theo giá hiện hành).</p>\n<p>Tính đến hết ngày 31/05/2021, trên sàn HOSE đã có 27 doanh nghiệp có vốn hóa hơn 1 tỷ USD, trong đó có 4 doanh nghiệp có vốn hóa trên 10 tỷ USD, bao gồm: Tập đoàn Vingroup (VIC), Ngân hàng Thương mại cổ phần Ngoại thương Việt Nam (VCB), CTCP Vinhomes (VHM) và CTCP Tập đoàn Hòa Phát (HPG).</p>', '2021-06-04 05:35:26', 1, '2021-06-04 05:35:56', '2021-06-04 05:35:56', NULL, NULL, NULL, NULL),
	(16, 1, 'Giao dịch "chui", người liên quan Thành viên HĐQT của JVC và CTG bị xử phạt', 'giao-dich-chui-nguoi-lien-quan-thanh-vien-hdqt-cua-jvc-va-ctg-bi-xu-phat', 'Ngày 31/5 và 01/06/2021, Thanh tra Ủy ban Chứng khoán Nhà nước ban hành Quyết định về việc xử phạt vi phạm hành chính đối với ông Nguyễn Thanh Tùng và ông Trần Tiến Duy.', '<p>Cụ thể, ông Nguyễn Thanh Tùng là người có liên quan đến bà Nguyễn Thị Hạnh - Thành viên HĐQT của CTCP thiết bị Y tế Việt Nhật (<a href="https://finance.vietstock.vn/HOSE-so-giao-dich-chung-khoan-thanh-pho-ho-chi-minh.htm" rel="noreferrer" target="_blank">HOSE</a>:&nbsp;<a href="https://finance.vietstock.vn/JVC-ctcp-thiet-bi-y-te-viet-nhat.htm" rel="noreferrer" target="_blank">JVC</a>) bán 20,000 cp&nbsp;JVC&nbsp;vào ngày 07/01/2021 nhưng không công bố thông tin về việc dự kiến giao dịch. Do đó, ông Tùng bị xử phạt số tiền 10 triệu đồng.</p>\r\n\r\n<p>Tương tự, ngày 19/03/2021, ông Trần Tiến Duy là người có liên quan đến bà Trần Thu Huyền - Thành viên HĐQT Ngân hàng TMCP Công Thương Việt Nam&nbsp;(HOSE: <a href="https://finance.vietstock.vn/CTG-ngan-hang-tmcp-cong-thuong-viet-nam.htm" rel="noreferrer" target="_blank">CTG</a>) đã mua 12,000 cp CTG nhưng không công bố thông tin về việc dự kiến giao dịch. Do đó, ông Duy bị xử phạt số tiền 10 triệu đồng.</p>', '<p>Cụ thể, ông Nguyễn Thanh Tùng là người có liên quan đến bà Nguyễn Thị Hạnh - Thành viên HĐQT của CTCP thiết bị Y tế Việt Nhật (<a href="https://finance.vietstock.vn/HOSE-so-giao-dich-chung-khoan-thanh-pho-ho-chi-minh.htm" rel="noreferrer" target="_blank">HOSE</a>: <a href="https://finance.vietstock.vn/JVC-ctcp-thiet-bi-y-te-viet-nhat.htm" rel="noreferrer" target="_blank">JVC</a>) bán 20,000 cp JVC vào ngày 07/01/2021 nhưng không công bố thông tin về việc dự kiến giao dịch. Do đó, ông Tùng bị xử phạt số tiền 10 triệu đồng.</p>\n<p>Tương tự, ngày 19/03/2021, ông Trần Tiến Duy là người có liên quan đến bà Trần Thu Huyền - Thành viên HĐQT Ngân hàng TMCP Công Thương Việt Nam (HOSE: <a href="https://finance.vietstock.vn/CTG-ngan-hang-tmcp-cong-thuong-viet-nam.htm" rel="noreferrer" target="_blank">CTG</a>) đã mua 12,000 cp CTG nhưng không công bố thông tin về việc dự kiến giao dịch. Do đó, ông Duy bị xử phạt số tiền 10 triệu đồng.</p>', '2021-06-04 05:36:37', 1, '2021-06-04 05:38:17', '2021-06-04 05:38:17', NULL, NULL, NULL, NULL),
	(17, 1, 'Giới trẻ Hàn Quốc vỡ tan giấc mơ đổi đời sau cú sụp của tiền ảo', 'gioi-tre-han-quoc-vo-tan-giac-mo-doi-doi-sau-cu-sup-cua-tien-ao', 'Hàn Quốc đã trở thành điểm nóng đầu cơ tiền kỹ thuật số, chiếm đến 10% giao dịch. Trong cơn sốt tiền ảo, nhà đầu tư nghĩ ra thuật ngữ mới "kimchi premium", dùng để ám chỉ khoản lãi mà loại tiền kỹ thuật số hàng đầu có thể kiếm được ở thị trường Hàn Quốc. Kimchi premium có lúc vượt quá 20%.', '<p>Giống như bao thanh niên Hàn Quốc khác, cô đã rót phần lớn tiền tiết kiệm vào tiền kỹ thuật số, khoảng 1 triệu won (900&nbsp;<a href="https://finance.vietstock.vn/USD-ctcp-cong-trinh-do-thi-soc-trang.htm" rel="noreferrer" target="_blank">USD</a>) như một cách để làm giàu. Không như các thế hệ trước, giới trẻ Hàn Quốc ngày càng chật vật trong việc tiết kiệm tiền và làm giàu.</p>\r\n\r\n<p>Khi thị trường tiền kỹ thuật số tăng mạnh hồi tháng 4/2021, cô chứng kiến tài khoản tăng thêm 5 triệu won, nhưng cô chưa chốt lời. Và rồi giá đột ngột sụt giảm 40% sau đó. Mặc dù cú sụp chưa tác động tới khoản tiền gốc của cô, nhưng nhiều người bạn của cô đang ngập trong thua lỗ.</p>\r\n\r\n<p>“Tôi sẽ phải nắm giữ cho đến khi giá tăng trở lại. Dù vậy, tôi cũng không biết sẽ mất bao lâu nữa”, cô nói.</p>\r\n\r\n<p>Hàn Quốc đã trở thành điểm nóng đầu cơ tiền kỹ thuật số, chiếm đến 10% giao dịch. Trong cơn sốt tiền ảo, nhà đầu tư nghĩ ra thuật ngữ mới "kimchi premium", dùng để ám chỉ khoản lãi mà loại tiền kỹ thuật số hàng đầu có thể kiếm được ở thị trường Hàn Quốc. Kimchi premium có lúc vượt quá 20%.</p>\r\n\r\n<p>Dù được xem là loại tiền kỹ thuật số phổ biến nhất, nhưng Bitcoin chỉ chiếm chưa đến 10% giá trị giao dịch tại Hàn Quốc. Hơn 90% còn lại đến từ các loại tiền kỹ thuật số thay thế (altcoins), bao gồm những đồng tiền không rõ nguồn gốc.</p>\r\n\r\n<p>Những người ở độ tuổi 20-30 đóng góp phần lớn trong giá trị giao dịch tiền ảo. Trong quý 1/2021, khoảng 2.5 triệu tài khoản mới đã được tạo ra trên 4 nền tảng tiền thuật toán lớn nhất Hàn Quốc. Trong số đó, 33% chủ tài khoản ở độ tuổi 20, 31% ở độ tuổi 30.</p>\r\n\r\n<p>Theo cuộc khảo sát 1,750 sinh viên đại học của cổng thông tin tìm kiếm việc làm Alba Heaven trong ngày 31/05, có 53% bày tỏ quan điểm tích cực về việc đầu tư vào tiền kỹ thuật số. Những người đã bỏ tiền đầu tư tiền ảo chiếm tới 24%.</p>\r\n\r\n<p>Trong số những người ủng hộ giao dịch tiền kỹ thuật số, 33% thừa nhận rằng lợi nhuận cao là lý do khiến họ quan tâm. Đáng lo ngại hơn, 15% tin rằng tiền ảo là "cơ hội cuối cùng để rời khỏi tầng lớp xã hội hiện tại".</p>\r\n\r\n<p><img data-fr-image-pasted="true" alt="" src="https://image.vietstock.vn/2021/06/01/3555_16-HQ2810.ANHBAI500.jpg" align="center" class="fr-fic fr-dii"></p>\r\n\r\n<p>Thanh niên Hàn Quốc ngày nay có ít cơ hội hơn so với các thế hệ trước. Ngay cả khi giành chiến thắng trong cuộc đua tìm kiếm việc làm ở các tập đoàn hàng đầu, nhiều người vẫn không thể mua nhà vì bong bóng nhà đất.</p>\r\n\r\n<p>Cuộc khủng hoảng này khiến nhiều người trẻ tin rằng con đường tới với hạnh phúc của họ không còn giống với các thế hệ trước. Với cha mẹ họ, con đường đó là kết hôn, mua nhà và sinh con, nhưng với họ thì con đường này có vẻ xa vời. Đầu tư vào tiền kỹ thuật số và cổ phiếu nằm trong số ít các cơ hội đổi đời với họ.</p>\r\n\r\n<p>Tháng trước, ông Eun Sung-soo - Chủ tịch Ủy ban Dịch vụ Tài chính Hàn Quốc - đưa ra các bình luận có hơi hướng không chấp nhận tiền kỹ thuật số và giao dịch tiền kỹ thuật số. Sau đó, ông lập tức phải hứng chịu làn sóng chỉ trích dữ dội từ những người trẻ tuổi.</p>\r\n\r\n<p>Nhận định của ông được đưa ra sau khi một nhà lập pháp bày tỏ lo ngại hoạt động giao dịch tiền kỹ thuật số không phải tuân theo các biện pháp bảo vệ nhà đầu tư. Trong khi đó, khối lượng giao dịch hàng ngày trên thị trường tiền kỹ thuật số cao gấp đôi khối lượng giao dịch cổ phiếu trong chỉ số Kospi.</p>', '<p>Giống như bao thanh niên Hàn Quốc khác, cô đã rót phần lớn tiền tiết kiệm vào tiền kỹ thuật số, khoảng 1 triệu won (900 <a href="https://finance.vietstock.vn/USD-ctcp-cong-trinh-do-thi-soc-trang.htm" rel="noreferrer" target="_blank">USD</a>) như một cách để làm giàu. Không như các thế hệ trước, giới trẻ Hàn Quốc ngày càng chật vật trong việc tiết kiệm tiền và làm giàu.</p>\n<p>Khi thị trường tiền kỹ thuật số tăng mạnh hồi tháng 4/2021, cô chứng kiến tài khoản tăng thêm 5 triệu won, nhưng cô chưa chốt lời. Và rồi giá đột ngột sụt giảm 40% sau đó. Mặc dù cú sụp chưa tác động tới khoản tiền gốc của cô, nhưng nhiều người bạn của cô đang ngập trong thua lỗ.</p>\n<p>“Tôi sẽ phải nắm giữ cho đến khi giá tăng trở lại. Dù vậy, tôi cũng không biết sẽ mất bao lâu nữa”, cô nói.</p>\n<p>Hàn Quốc đã trở thành điểm nóng đầu cơ tiền kỹ thuật số, chiếm đến 10% giao dịch. Trong cơn sốt tiền ảo, nhà đầu tư nghĩ ra thuật ngữ mới "kimchi premium", dùng để ám chỉ khoản lãi mà loại tiền kỹ thuật số hàng đầu có thể kiếm được ở thị trường Hàn Quốc. Kimchi premium có lúc vượt quá 20%.</p>\n<p>Dù được xem là loại tiền kỹ thuật số phổ biến nhất, nhưng Bitcoin chỉ chiếm chưa đến 10% giá trị giao dịch tại Hàn Quốc. Hơn 90% còn lại đến từ các loại tiền kỹ thuật số thay thế (altcoins), bao gồm những đồng tiền không rõ nguồn gốc.</p>\n<p>Những người ở độ tuổi 20-30 đóng góp phần lớn trong giá trị giao dịch tiền ảo. Trong quý 1/2021, khoảng 2.5 triệu tài khoản mới đã được tạo ra trên 4 nền tảng tiền thuật toán lớn nhất Hàn Quốc. Trong số đó, 33% chủ tài khoản ở độ tuổi 20, 31% ở độ tuổi 30.</p>\n<p>Theo cuộc khảo sát 1,750 sinh viên đại học của cổng thông tin tìm kiếm việc làm Alba Heaven trong ngày 31/05, có 53% bày tỏ quan điểm tích cực về việc đầu tư vào tiền kỹ thuật số. Những người đã bỏ tiền đầu tư tiền ảo chiếm tới 24%.</p>\n<p>Trong số những người ủng hộ giao dịch tiền kỹ thuật số, 33% thừa nhận rằng lợi nhuận cao là lý do khiến họ quan tâm. Đáng lo ngại hơn, 15% tin rằng tiền ảo là "cơ hội cuối cùng để rời khỏi tầng lớp xã hội hiện tại".</p>\n<p><img data-fr-image-pasted="true" alt="" src="https://image.vietstock.vn/2021/06/01/3555_16-HQ2810.ANHBAI500.jpg" align="center" class="fr-fic fr-dii"></p>\n<p>Thanh niên Hàn Quốc ngày nay có ít cơ hội hơn so với các thế hệ trước. Ngay cả khi giành chiến thắng trong cuộc đua tìm kiếm việc làm ở các tập đoàn hàng đầu, nhiều người vẫn không thể mua nhà vì bong bóng nhà đất.</p>\n<p>Cuộc khủng hoảng này khiến nhiều người trẻ tin rằng con đường tới với hạnh phúc của họ không còn giống với các thế hệ trước. Với cha mẹ họ, con đường đó là kết hôn, mua nhà và sinh con, nhưng với họ thì con đường này có vẻ xa vời. Đầu tư vào tiền kỹ thuật số và cổ phiếu nằm trong số ít các cơ hội đổi đời với họ.</p>\n<p>Tháng trước, ông Eun Sung-soo - Chủ tịch Ủy ban Dịch vụ Tài chính Hàn Quốc - đưa ra các bình luận có hơi hướng không chấp nhận tiền kỹ thuật số và giao dịch tiền kỹ thuật số. Sau đó, ông lập tức phải hứng chịu làn sóng chỉ trích dữ dội từ những người trẻ tuổi.</p>\n<p>Nhận định của ông được đưa ra sau khi một nhà lập pháp bày tỏ lo ngại hoạt động giao dịch tiền kỹ thuật số không phải tuân theo các biện pháp bảo vệ nhà đầu tư. Trong khi đó, khối lượng giao dịch hàng ngày trên thị trường tiền kỹ thuật số cao gấp đôi khối lượng giao dịch cổ phiếu trong chỉ số Kospi.</p>', '2021-06-04 05:41:16', 1, '2021-06-04 05:41:41', '2021-06-04 05:42:48', NULL, NULL, NULL, NULL),
	(18, 1, 'Làm sao giữ cái đầu lạnh khi thị trường tăng nóng?', 'lam-sao-giu-cai-dau-lanh-khi-thi-truong-tang-nong', 'Khi ai ai cũng giàu lên nhanh chóng, thật khó để cưỡng lại những cơ hội làm giàu nhanh chóng trước mắt. Tuy nhiên, giữ một tài sản đang tăng nóng thì coi chừng… “bỏng tay”.', '<p>“Mua thấp bán cao” là lời khuyên đầu tư phổ biến trên toàn cầu từ xưa đến nay. Vậy mà ai cũng đang làm điều ngược lại. Nhiều nhà đầu tư mua cao với hy vọng sẽ bán lại cho người khác với giá cao hơn.</p>\r\n\r\n<p>Tiền đề trên được đặt ra khi các chỉ số chứng khoán liên tục lập kỷ lục, các loại tiền kỹ thuật số tăng “lên tận đến cung trăng” và giá hàng hóa cũng đang nhảy vọt. Trong bối cảnh đó, cảm xúc tự nhiên sẽ thôi thúc bạn mua chứ không phải bán.</p>\r\n\r\n<p>Thậm chí với những nhà đầu tư lớn nhất thế giới, quyết định bán còn khó hơn mua. Huyền thoại Peter Lynch – cựu quản lý của quỹ Fidelity Magellan – từng thổ lộ sai lầm lớn nhất của ông là bán sai thời điểm.</p>\r\n\r\n<p>Điều này phần lớn là do cảm giác FOMO đang nặng trĩu trong lòng. Bán một cổ phiếu chiến thắng quá sớm và bạn sẽ phải đứng bên ngoài thị trường nhìn cổ phiếu này tiếp tục tăng mạnh. Khoản lỗ tối đa nếu tiếp tục nắm giữ sẽ là 100% (tức mất trắng), nhưng mức tăng bị bỏ lỡ nếu bán quá sớm là không giới hạn.</p>\r\n\r\n<p>Nếu như bạn định mua một cổ phiếu, nhưng vì một lý do nào đó bạn quyết định không mua và rồi cổ phiếu đó tăng mạnh, chắc hẳn bạn sẽ thấy nuối tiếc. Tuy nhiên, sẽ còn đau lòng hơn nếu quyết định bán ra một cổ phiếu sắp tăng mạnh. Bạn cứ ám ảnh và dằn vặt bản thân với suy nghĩ về chuyện mình sẽ sinh lợi bao nhiêu nếu không bán ra.</p>\r\n\r\n<p>Và rồi nỗi đau sẽ gia tăng gấp bội khi thị trường liên tục lập kỷ lục và mọi người xung quanh bạn dường như đang trở nên giàu có nhanh chóng.</p>\r\n\r\n<p>Càng không nắm rõ hoạt động kinh doanh của công ty, bạn sẽ càng cảm thấy mù mờ về giá trị của cổ phiếu đó và cũng không biết khi nào nên bán.</p>\r\n\r\n<p>Ông Steve Abbett, một nhà đầu tư cá nhân ở khu vực Washington, có cách giải thích như thế này: Một công ty nếu được xem là rẻ ở mức giá A và đắt ở mức giá C. Bài toán lúc này khá đơn giản: Chỉ cần mua ở mức giá A và bán ở mức giá C.</p>\r\n\r\n<p>Nhưng mọi chuyện có đơn giản thế đâu. “Phần khó khăn của đầu tư là hầu hết các cổ phiếu đều xoay quanh mức giá B, tức là ở giữa giá rẻ và quá đắt”, ông Abbett nói. Trong vùng xám đó, thật khó để xác định có nên bán hay không. Phạm vi mức giá B thay đổi tùy theo mức độ hiểu về công ty hoặc ngành nghề kinh doanh của công ty. Bạn hiểu càng sâu về hoạt động kinh doanh, phạm vi giá B sẽ càng hẹp; nếu bạn không biết quá nhiều thì phạm vi này sẽ càng rộng và mờ ảo.</p>\r\n\r\n<p>Thị trường càng lên cao, giá cổ phiếu dĩ nhiên cũng trở nên đắt hơn. Tuy vậy, ngay cả khi cổ phiếu của bạn đã quá cao, việc so sánh với những cổ phiếu khác có thể khiến giá cổ phiếu của bạn trông có vẻ không quá đắt đỏ. Điều này cũng góp phần đẩy giá cổ phiếu trở lại với vùng xám.</p>', '<p>“Mua thấp bán cao” là lời khuyên đầu tư phổ biến trên toàn cầu từ xưa đến nay. Vậy mà ai cũng đang làm điều ngược lại. Nhiều nhà đầu tư mua cao với hy vọng sẽ bán lại cho người khác với giá cao hơn.</p>\n<p>Tiền đề trên được đặt ra khi các chỉ số chứng khoán liên tục lập kỷ lục, các loại tiền kỹ thuật số tăng “lên tận đến cung trăng” và giá hàng hóa cũng đang nhảy vọt. Trong bối cảnh đó, cảm xúc tự nhiên sẽ thôi thúc bạn mua chứ không phải bán.</p>\n<p>Thậm chí với những nhà đầu tư lớn nhất thế giới, quyết định bán còn khó hơn mua. Huyền thoại Peter Lynch – cựu quản lý của quỹ Fidelity Magellan – từng thổ lộ sai lầm lớn nhất của ông là bán sai thời điểm.</p>\n<p>Điều này phần lớn là do cảm giác FOMO đang nặng trĩu trong lòng. Bán một cổ phiếu chiến thắng quá sớm và bạn sẽ phải đứng bên ngoài thị trường nhìn cổ phiếu này tiếp tục tăng mạnh. Khoản lỗ tối đa nếu tiếp tục nắm giữ sẽ là 100% (tức mất trắng), nhưng mức tăng bị bỏ lỡ nếu bán quá sớm là không giới hạn.</p>\n<p>Nếu như bạn định mua một cổ phiếu, nhưng vì một lý do nào đó bạn quyết định không mua và rồi cổ phiếu đó tăng mạnh, chắc hẳn bạn sẽ thấy nuối tiếc. Tuy nhiên, sẽ còn đau lòng hơn nếu quyết định bán ra một cổ phiếu sắp tăng mạnh. Bạn cứ ám ảnh và dằn vặt bản thân với suy nghĩ về chuyện mình sẽ sinh lợi bao nhiêu nếu không bán ra.</p>\n<p>Và rồi nỗi đau sẽ gia tăng gấp bội khi thị trường liên tục lập kỷ lục và mọi người xung quanh bạn dường như đang trở nên giàu có nhanh chóng.</p>\n<p>Càng không nắm rõ hoạt động kinh doanh của công ty, bạn sẽ càng cảm thấy mù mờ về giá trị của cổ phiếu đó và cũng không biết khi nào nên bán.</p>\n<p>Ông Steve Abbett, một nhà đầu tư cá nhân ở khu vực Washington, có cách giải thích như thế này: Một công ty nếu được xem là rẻ ở mức giá A và đắt ở mức giá C. Bài toán lúc này khá đơn giản: Chỉ cần mua ở mức giá A và bán ở mức giá C.</p>\n<p>Nhưng mọi chuyện có đơn giản thế đâu. “Phần khó khăn của đầu tư là hầu hết các cổ phiếu đều xoay quanh mức giá B, tức là ở giữa giá rẻ và quá đắt”, ông Abbett nói. Trong vùng xám đó, thật khó để xác định có nên bán hay không. Phạm vi mức giá B thay đổi tùy theo mức độ hiểu về công ty hoặc ngành nghề kinh doanh của công ty. Bạn hiểu càng sâu về hoạt động kinh doanh, phạm vi giá B sẽ càng hẹp; nếu bạn không biết quá nhiều thì phạm vi này sẽ càng rộng và mờ ảo.</p>\n<p>Thị trường càng lên cao, giá cổ phiếu dĩ nhiên cũng trở nên đắt hơn. Tuy vậy, ngay cả khi cổ phiếu của bạn đã quá cao, việc so sánh với những cổ phiếu khác có thể khiến giá cổ phiếu của bạn trông có vẻ không quá đắt đỏ. Điều này cũng góp phần đẩy giá cổ phiếu trở lại với vùng xám.</p>', '2021-06-04 05:44:06', 1, '2021-06-04 05:44:08', '2021-06-04 05:44:08', NULL, NULL, NULL, NULL),
	(19, 1, 'Đầu tư và bóng đá: Các cổ phiếu đến rồi đi nhưng lợi nhuận sẽ ở lại', 'dau-tu-va-bong-da-cac-co-phieu-den-roi-di-nhung-loi-nhuan-se-o-lai', 'Các đội bóng lớn luôn hướng đến những cầu thủ lớn. Tương tự như vậy, các định chế tài chính thường chỉ hướng đến những doanh nghiệp đã tạo lập được vị thế trên thị trường và sẽ còn tăng trưởng mạnh trong tương lai.', '<p><strong>Sức hút của những đội bóng lớn</strong></p>\r\n\r\n<p>Real Madrid là đội bóng duy nhất ở thời điểm hiện tại có thể bảo vệ được ngai vàng ở giải đấu danh giá UEFA Champions League. Đội bóng này có thể thi đấu không hay ở giải quốc nội nhưng ở đấu trường châu lục, Real luôn là tay chơi có hạng.</p>\r\n\r\n<p>Với danh tiếng và độ chịu chơi của mình, đội bóng hoàng gia Tây Ban Nha là giấc mơ của nhiều cầu thủ. Tại đây, họ sẽ có được sự nổi tiếng, được hưởng mức lương “khủng”, đem về những chiếc cúp danh giá và được chơi bóng bên cạnh những siêu sao hàng đầu.</p>\r\n\r\n<p>Real Madrid được xem là đội bóng rất bạo chi trên thị trường chuyển nhượng nhưng họ không chi tiền vô tội vạ như <a href="https://finance.vietstock.vn/PSG-ctcp-dau-tu-va-xay-lap-dau-khi-sai-gon.htm" rel="noreferrer" target="_blank">PSG</a> hay Manchester City. Chủ tịch Florentino Perez xây dựng đế chế của mình với hàng loạt các ngôi sao sáng nhất trong làng túc cầu thế giới và ông ít khi bị mua “hớ”. Dải ngân hà Galacticos 1.0 với Luis Figo, Ronaldo De Lima, Zinedine Zidane, Roberto Carlos, David Beckham... Dải ngân hà Galacticos 2.0 với Cristiano Ronaldo, Karim Benzema, Toni Kroos, Modric… với 3 lần liên tiếp vô địch Champions League.</p>\r\n\r\n<p><strong>Các siêu sao cứ đến rồi đi nhưng danh hiệu thì ở lại</strong></p>\r\n\r\n<p>Nhìn lại lịch sử, Real Madrid nổi tiếng với việc kích nổ các bom tấn và cũng “hắt hủi” không ít công thần. Có rất nhiều cái tên từng góp công tạo nên sự vĩ đại của Kền Kền Trắng nhưng khi đã hết giá trị sử dụng thì sẽ bị vứt bỏ không thương tiếc. Nói một cách ngắn gọn, Real Madrid vĩ đại là nhờ tàn nhẫn.</p>\r\n\r\n<p>Cristiano Ronaldo là cầu thủ ghi nhiều bàn thắng nhất trong lịch sử của Real Madrid và mang lại nhiều danh hiệu cho câu lạc bộ nhưng lại bị bán cho Juventus trong mùa hè năm 2018. Khi ấy, chủ tịch Florentino Perez nghĩ rằng CR7 đã quá già và sẽ không còn đóng góp gì thêm cho đội bóng này nữa.</p>\r\n\r\n<p>Những người đội trưởng mẫu mực từng gắn bó với câu lạc bộ trong suốt thời gian dài cũng không ngoại lệ. Fernando Hierro, Raul Gonzalez, Iker Casillas cũng ra đi không kèn không trống khi họ đã cống hiến hết giai đoạn đỉnh cao của mình.</p>\r\n\r\n<p>\r\n	<br>\r\n</p>', '<p><strong>Sức hút của những đội bóng lớn</strong></p>\n<p>Real Madrid là đội bóng duy nhất ở thời điểm hiện tại có thể bảo vệ được ngai vàng ở giải đấu danh giá UEFA Champions League. Đội bóng này có thể thi đấu không hay ở giải quốc nội nhưng ở đấu trường châu lục, Real luôn là tay chơi có hạng.</p>\n<p>Với danh tiếng và độ chịu chơi của mình, đội bóng hoàng gia Tây Ban Nha là giấc mơ của nhiều cầu thủ. Tại đây, họ sẽ có được sự nổi tiếng, được hưởng mức lương “khủng”, đem về những chiếc cúp danh giá và được chơi bóng bên cạnh những siêu sao hàng đầu.</p>\n<p>Real Madrid được xem là đội bóng rất bạo chi trên thị trường chuyển nhượng nhưng họ không chi tiền vô tội vạ như <a href="https://finance.vietstock.vn/PSG-ctcp-dau-tu-va-xay-lap-dau-khi-sai-gon.htm" rel="noreferrer" target="_blank">PSG</a> hay Manchester City. Chủ tịch Florentino Perez xây dựng đế chế của mình với hàng loạt các ngôi sao sáng nhất trong làng túc cầu thế giới và ông ít khi bị mua “hớ”. Dải ngân hà Galacticos 1.0 với Luis Figo, Ronaldo De Lima, Zinedine Zidane, Roberto Carlos, David Beckham... Dải ngân hà Galacticos 2.0 với Cristiano Ronaldo, Karim Benzema, Toni Kroos, Modric… với 3 lần liên tiếp vô địch Champions League.</p>\n<p><strong>Các siêu sao cứ đến rồi đi nhưng danh hiệu thì ở lại</strong></p>\n<p>Nhìn lại lịch sử, Real Madrid nổi tiếng với việc kích nổ các bom tấn và cũng “hắt hủi” không ít công thần. Có rất nhiều cái tên từng góp công tạo nên sự vĩ đại của Kền Kền Trắng nhưng khi đã hết giá trị sử dụng thì sẽ bị vứt bỏ không thương tiếc. Nói một cách ngắn gọn, Real Madrid vĩ đại là nhờ tàn nhẫn.</p>\n<p>Cristiano Ronaldo là cầu thủ ghi nhiều bàn thắng nhất trong lịch sử của Real Madrid và mang lại nhiều danh hiệu cho câu lạc bộ nhưng lại bị bán cho Juventus trong mùa hè năm 2018. Khi ấy, chủ tịch Florentino Perez nghĩ rằng CR7 đã quá già và sẽ không còn đóng góp gì thêm cho đội bóng này nữa.</p>\n<p>Những người đội trưởng mẫu mực từng gắn bó với câu lạc bộ trong suốt thời gian dài cũng không ngoại lệ. Fernando Hierro, Raul Gonzalez, Iker Casillas cũng ra đi không kèn không trống khi họ đã cống hiến hết giai đoạn đỉnh cao của mình.</p>\n<p>\n    <br>\n</p>', '2021-06-04 05:45:03', 1, '2021-06-04 05:45:10', '2021-06-04 05:45:10', NULL, NULL, NULL, NULL);
/*!40000 ALTER TABLE `rainlab_blog_posts` ENABLE KEYS */;

-- Dumping structure for table goline.rainlab_blog_posts_categories
CREATE TABLE IF NOT EXISTS `rainlab_blog_posts_categories` (
  `post_id` int(10) unsigned NOT NULL,
  `category_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`post_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.rainlab_blog_posts_categories: ~26 rows (approximately)
/*!40000 ALTER TABLE `rainlab_blog_posts_categories` DISABLE KEYS */;
INSERT INTO `rainlab_blog_posts_categories` (`post_id`, `category_id`) VALUES
	(2, 5),
	(3, 6),
	(4, 6),
	(5, 6),
	(6, 6),
	(7, 6),
	(8, 5),
	(8, 6),
	(9, 5),
	(10, 2),
	(10, 5),
	(11, 2),
	(11, 4),
	(12, 2),
	(12, 3),
	(13, 2),
	(13, 4),
	(14, 2),
	(14, 3),
	(15, 2),
	(15, 4),
	(15, 5),
	(16, 4),
	(17, 4),
	(18, 3),
	(19, 2),
	(19, 4);
/*!40000 ALTER TABLE `rainlab_blog_posts_categories` ENABLE KEYS */;

-- Dumping structure for table goline.rainlab_translate_attributes
CREATE TABLE IF NOT EXISTS `rainlab_translate_attributes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `locale` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `model_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attribute_data` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `rainlab_translate_attributes_locale_index` (`locale`),
  KEY `rainlab_translate_attributes_model_id_index` (`model_id`),
  KEY `rainlab_translate_attributes_model_type_index` (`model_type`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.rainlab_translate_attributes: ~48 rows (approximately)
/*!40000 ALTER TABLE `rainlab_translate_attributes` DISABLE KEYS */;
INSERT INTO `rainlab_translate_attributes` (`id`, `locale`, `model_id`, `model_type`, `attribute_data`) VALUES
	(1, 'en', '2', 'RainLab\\Blog\\Models\\Post', '{"title":"Covid returns, what will the stock market be like in June?","slug":"covid-returns-what-will-stock-market-be-june","excerpt":"According to experts, the current uptrend in the stock market will continue. In the near future, cash flow will continue to be abundant.\\r\\n","content":"<p>Mr. Tran Truong Manh Hieu - Head of Strategy Analysis Group of KIS Vietnam Securities (KIS) said that with the signal of surpassing the historical peak, the area of 1,280 points last week and surpassing the psychological threshold of 1,300 points, the index has confirmed determine an uptrend in the medium and long term. Therefore, the VN-Index may continue to conquer higher resistance levels. Besides, the 3-year growth cycle scenario is still maintained, so the current trend may continue for more than 1 year. However, in the short-term, there may be a technical correction when some risks are gradually appearing, if inflation is likely to return or market sentiment may be cautious when lack of positive information in the short term. Besides, according to cyclical studies, the market is in the period of forming a 1-year bottom, so the possibility of the market forming a technical correction phase is quite large. Note, this correction is only a small correction period to form a 1-year cycle bottom, and then create a base for the market to enter a new growth year. The target in the near future may be the 1,400 point area. According to Mr. Vo Van Cuong - Investment Director of Everest Securities Corporation (EVS), the market maintained an uptrend in June. The driving force came from the basic foundation of economic recovery, outstanding growth in profits of companies. listed companies in the first quarter of 2021 and the prospect of maintaining a positive profit growth for the whole of 2021. Besides, there are market factors in terms of cash flow, liquidity, and the attention of new investors. for profit in the stock market. Mr. Cuong said that the valuation of shares on HOSE with PE around 18 times, it is still quite cheap if the profit prospect in the second quarter continues to remain at a high level of listed companies. This will be the driving force for cash flow to continue looking for short-term profits to flow into the stock market and help VN-Index continue to conquer higher milestones. If there are no new risk factors, VN-Index may reach 1,400 points before mid-July this year. What are the risks for the current market? Mr. Hieu forecasts that market liquidity will continue to be maintained at the current high level in the coming time for two reasons. Firstly, the uptrend in the medium and long term has been confirmed, with such an uptrend will create excitement for investors. Second, deposit interest rates are low, making savings no longer an attractive investment channel. According to Mr. Hieu, the biggest risk to the market in the short term is the fear that inflation may return. At that time, the State Bank was forced to implement policies to control inflation, thereby affecting the market trend in the short term. For his part, Mr. Cuong said that the market is currently too much information and therefore investors need to evaluate and analyze both sides of this information to make reasonable and effective investment decisions. Best. The big risk right now is that the market has too many rumors, unofficial information along with many different stories that affect investors\' psychology and decisions. Especially for retail investors, new investors entering the market, who are very curious and easily affected by rumors.<\\/p>\\r\\n"}'),
	(2, 'ja', '2', 'RainLab\\Blog\\Models\\Post', '{"title":"Covidが戻ってきた、6月の株式市場はどうなる?","slug":"covid-returns-what-will-stock-market-be-june","excerpt":"これは、株式市場に流入する短期的な利益を求め続けるキャッシュフローの原動力となり、VN-Index がより高いマイルストーンを征服し続けるのに役立ちます。新しいリスク要因がなければ、VN-Index は今年の 7 月中旬までに 1,400 ポイントに達する可能性があります。\\r\\n","content":"<pre data-placeholder=\\"Translation\\" dir=\\"ltr\\"><span lang=\\"ja\\">Tran Truong Manh Hieu 氏 - KIS ベトナム証券 (KIS) の戦略分析グループの責任者は、先週の過去の最高値である 1,280 ポイントを超え、心理的しきい値である 1,300 ポイントを超えるというシグナルにより、インデックスは中長期的に上昇トレンド。したがって、VN インデックスは、より高い抵抗レベルを征服し続ける可能性があります。また、3 年周期の成長シナリオは依然維持されているため、現在の傾向は 1 年以上続く可能性がある。<br><br>Cuong 氏は、PE との HOSE の株式評価は約 18 倍であり、第 2 四半期の利益見通しが上場企業の高水準に留まっている場合、それでもかなり割安であると述べました。これは、株式市場に流入する短期的な利益を求め続けるキャッシュフローの原動力となり、VN-Index がより高いマイルストーンを征服し続けるのに役立ちます。新しいリスク要因がなければ、VN-Index は今年の 7 月中旬までに 1,400 ポイントに達する可能性があります。<br><br>現在の市場のリスクは何ですか?<\\/span><\\/pre>\\r\\n"}'),
	(3, 'en', '2', 'RainLab\\Blog\\Models\\Category', '{"name":"Big Picture","slug":"big-picture","description":""}'),
	(4, 'ja', '2', 'RainLab\\Blog\\Models\\Category', '{"name":"","slug":"","description":""}'),
	(5, 'en', '3', 'RainLab\\Blog\\Models\\Category', '{"name":"Internal","slug":"internal","description":""}'),
	(6, 'ja', '3', 'RainLab\\Blog\\Models\\Category', '{"name":"","slug":"","description":""}'),
	(7, 'en', '4', 'RainLab\\Blog\\Models\\Category', '{"name":"Technology","slug":"tech","description":""}'),
	(8, 'ja', '4', 'RainLab\\Blog\\Models\\Category', '{"name":"","slug":"","description":""}'),
	(9, 'en', '5', 'RainLab\\Blog\\Models\\Category', '{"name":"Stock market","slug":"stock-market","description":""}'),
	(10, 'ja', '5', 'RainLab\\Blog\\Models\\Category', '{"name":"","slug":"","description":""}'),
	(11, 'en', '6', 'RainLab\\Blog\\Models\\Category', '{"name":"Product","slug":"product","description":""}'),
	(12, 'ja', '6', 'RainLab\\Blog\\Models\\Category', '{"name":"","slug":"","description":""}'),
	(13, 'en', '7', 'RainLab\\Blog\\Models\\Category', '{"name":"Service","slug":"service","description":""}'),
	(14, 'ja', '7', 'RainLab\\Blog\\Models\\Category', '{"name":"","slug":"","description":""}'),
	(15, 'en', '3', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(16, 'ja', '3', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(17, 'en', '4', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(18, 'ja', '4', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(19, 'en', '5', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(20, 'ja', '5', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(21, 'en', '6', 'RainLab\\Blog\\Models\\Post', '{"title":"Core OTC securities","slug":"core-otc-securities","excerpt":"Management and trading system (primary and secondary) of OTC securities","content":"<div data-cp=\\"1\\" data-is-ver=\\"false\\" data-nnttsvi=\\"1\\" data-sugg-time=\\"500\\"><span lang=\\"en\\">Management and trading system (primary and secondary) of OTC securities<\\/span><\\/div>\\r\\n"}'),
	(22, 'ja', '6', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(23, 'en', '7', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(24, 'ja', '7', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(25, 'en', '8', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(26, 'ja', '8', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(27, 'en', '9', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(28, 'ja', '9', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(29, 'en', '10', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(30, 'ja', '10', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(31, 'en', '11', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(32, 'ja', '11', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(33, 'en', '12', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(34, 'ja', '12', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(35, 'en', '13', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(36, 'ja', '13', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(37, 'en', '14', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(38, 'ja', '14', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(39, 'en', '15', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(40, 'ja', '15', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(41, 'en', '16', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(42, 'ja', '16', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(43, 'en', '17', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(44, 'ja', '17', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(45, 'en', '18', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(46, 'ja', '18', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(47, 'en', '19', 'RainLab\\Blog\\Models\\Post', '{"title":"Investing and football: Stocks come and go, but profits stay","slug":"investing-and-football-stocks-come-and-go-profits-stay","excerpt":"Big teams are always looking for big players. Similarly, financial institutions often only target businesses that have established a position in the market and will continue to grow strongly in the future.\\r\\n","content":"<p><span lang=\\"en\\"><strong>The attraction of big teams <\\/strong><\\/span><\\/p>\\r\\n\\r\\n<p><span lang=\\"en\\"><\\/span><span lang=\\"en\\">Real Madrid is the only team at the moment that can defend the throne in the prestigious UEFA Champions League. This team may not play well in the domestic league, but in the continental arena, Real is always a ranked player. With its reputation and willingness to play, the Spanish royal team is the dream of many players. Here, they will gain popularity, enjoy a \\"huge\\" salary, bring home prestigious trophies and play football next to top superstars. Real Madrid is considered a very aggressive team in the transfer market, but they do not spend money like PSG or Manchester City. President Florentino Perez built his empire with a series of the brightest stars in the world of football and he is rarely bought \\"unfairly\\". Galacticos 1.0 with Luis Figo, Ronaldo De Lima, Zinedine Zidane, Roberto Carlos, David Beckham... Galacticos 2.0 with Cristiano Ronaldo, Karim Benzema, Toni Kroos, Modric... with 3 consecutive Champions League winners .<\\/span><\\/p>\\r\\n"}'),
	(48, 'ja', '19', 'RainLab\\Blog\\Models\\Post', '{"title":"","slug":"","excerpt":"","content":""}'),
	(49, 'en', '1', 'GinoPane\\BlogTaxonomy\\Models\\Tag', '{"name":"Featured","slug":"featured"}'),
	(50, 'ja', '1', 'GinoPane\\BlogTaxonomy\\Models\\Tag', '{"name":"","slug":""}');
/*!40000 ALTER TABLE `rainlab_translate_attributes` ENABLE KEYS */;

-- Dumping structure for table goline.rainlab_translate_indexes
CREATE TABLE IF NOT EXISTS `rainlab_translate_indexes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `locale` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `model_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `rainlab_translate_indexes_locale_index` (`locale`),
  KEY `rainlab_translate_indexes_model_id_index` (`model_id`),
  KEY `rainlab_translate_indexes_model_type_index` (`model_type`),
  KEY `rainlab_translate_indexes_item_index` (`item`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.rainlab_translate_indexes: ~8 rows (approximately)
/*!40000 ALTER TABLE `rainlab_translate_indexes` DISABLE KEYS */;
INSERT INTO `rainlab_translate_indexes` (`id`, `locale`, `model_id`, `model_type`, `item`, `value`) VALUES
	(1, 'en', '2', 'RainLab\\Blog\\Models\\Post', 'slug', 'covid-returns-what-will-stock-market-be-june'),
	(2, 'ja', '2', 'RainLab\\Blog\\Models\\Post', 'slug', 'covid-returns-what-will-stock-market-be-june'),
	(3, 'en', '2', 'RainLab\\Blog\\Models\\Category', 'slug', 'big-picture'),
	(4, 'en', '3', 'RainLab\\Blog\\Models\\Category', 'slug', 'internal'),
	(5, 'en', '4', 'RainLab\\Blog\\Models\\Category', 'slug', 'tech'),
	(6, 'en', '5', 'RainLab\\Blog\\Models\\Category', 'slug', 'stock-market'),
	(7, 'en', '6', 'RainLab\\Blog\\Models\\Category', 'slug', 'product'),
	(8, 'en', '7', 'RainLab\\Blog\\Models\\Category', 'slug', 'service'),
	(9, 'en', '1', 'GinoPane\\BlogTaxonomy\\Models\\Tag', 'slug', 'featured'),
	(10, 'en', '6', 'RainLab\\Blog\\Models\\Post', 'slug', 'core-otc-securities'),
	(11, 'en', '19', 'RainLab\\Blog\\Models\\Post', 'slug', 'investing-and-football-stocks-come-and-go-profits-stay');
/*!40000 ALTER TABLE `rainlab_translate_indexes` ENABLE KEYS */;

-- Dumping structure for table goline.rainlab_translate_locales
CREATE TABLE IF NOT EXISTS `rainlab_translate_locales` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT '0',
  `is_enabled` tinyint(1) NOT NULL DEFAULT '0',
  `sort_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `rainlab_translate_locales_code_index` (`code`),
  KEY `rainlab_translate_locales_name_index` (`name`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.rainlab_translate_locales: ~3 rows (approximately)
/*!40000 ALTER TABLE `rainlab_translate_locales` DISABLE KEYS */;
INSERT INTO `rainlab_translate_locales` (`id`, `code`, `name`, `is_default`, `is_enabled`, `sort_order`) VALUES
	(1, 'en', 'English', 0, 1, 2),
	(2, 'vi', 'Tiếng Việt', 1, 1, 1),
	(3, 'ja', '日本語', 0, 1, 3);
/*!40000 ALTER TABLE `rainlab_translate_locales` ENABLE KEYS */;

-- Dumping structure for table goline.rainlab_translate_messages
CREATE TABLE IF NOT EXISTS `rainlab_translate_messages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message_data` mediumtext COLLATE utf8mb4_unicode_ci,
  `found` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `rainlab_translate_messages_code_index` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=44 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.rainlab_translate_messages: ~32 rows (approximately)
/*!40000 ALTER TABLE `rainlab_translate_messages` DISABLE KEYS */;
INSERT INTO `rainlab_translate_messages` (`id`, `code`, `message_data`, `found`) VALUES
	(1, 'home.process.title', '{"x":"home.process.title","vi":"Quy tr\\u00ecnh s\\u1ea3n xu\\u1ea5t","en":"Production process","ja":""}', 1),
	(2, 'home.process.point.1.title', '{"x":"home.process.point.1.title","vi":"Quy tr\\u00ecnh qu\\u1ea3n l\\u00fd ch\\u1ea5t l\\u01b0\\u1ee3ng","en":"Quality management process","ja":""}', 1),
	(3, 'home.process.point.1.content', '{"x":"home.process.point.1.content","vi":"ISO 9001:2015 do NQA c\\u1ee7a Anh ch\\u1ee9ng nh\\u1eadn","en":"ISO 9001:2015 certified by UK NQA","ja":""}', 1),
	(4, 'home.process.point.2.title', '{"x":"home.process.point.2.title","vi":"Quy tr\\u00ecnh an to\\u00e0n b\\u1ea3o m\\u1eadt th\\u00f4ng tin","en":"Information security process","ja":""}', 1),
	(5, 'home.process.point.2.content', '{"x":"home.process.point.2.content","vi":"ISO 9001:2015 do NQA c\\u1ee7a Anh ch\\u1ee9ng nh\\u1eadn","en":"ISO 9001:2015 certified by UK NQA","ja":""}', 1),
	(6, 'home.process.point.3.title', '{"x":"home.process.point.3.title","vi":"Quy tr\\u00ecnh qu\\u1ea3n l\\u00fd d\\u1ef1 \\u00e1n tu\\u00e2n th\\u1ee7 theo PMI","en":"Project management process in compliance with PMI","ja":""}', 1),
	(7, 'home.process.point.3.content', '{"x":"home.process.point.3.content","vi":"C\\u00e1c qu\\u1ea3n tr\\u1ecb d\\u1ef1 \\u00e1n \\u0111\\u1ec1u c\\u00f3 ch\\u1ee9ng ch\\u1ec9 PMP","en":"Project managers are all PMP certified","ja":""}', 1),
	(8, 'site.footer.followus', '{"x":"site.footer.followUs","vi":"Theo d\\u00f5i ch\\u00fang t\\u00f4i tr\\u00ean","en":"Follow us on","ja":""}', 1),
	(9, 'common.detail', '{"x":"common.detail","vi":"Chi ti\\u1ebft","en":"More details","ja":""}', 1),
	(10, 'common.homepage', '{"x":"common.homepage","vi":"Trang ch\\u1ee7","en":"Homepage","ja":""}', 1),
	(11, 'common.productsystem', '{"x":"common.productSystem","vi":"H\\u1ec7 th\\u1ed1ng s\\u1ea3n ph\\u1ea9m","en":"Products","ja":""}', 1),
	(12, 'common.blog', '{"x":"common.blog","vi":"Tin t\\u1ee9c","en":"Blog","ja":""}', 1),
	(13, 'common.viewall', '{"x":"common.viewAll","vi":"Xem t\\u1ea5t c\\u1ea3","en":"View all","ja":""}', 1),
	(15, 'common.language', '{"x":"common.language","vi":"Ng\\u00f4n ng\\u1eef","en":"Language","ja":"\\u8a00\\u8a9e"}', 1),
	(16, 'site.footer.registerEmail', '{"x":"site.footer.registerEmail","vi":"Nh\\u1eadn Email \\u0111\\u0103ng k\\u00fd","en":"Register email","ja":""}', 0),
	(17, 'product.related', '{"x":"product.related","vi":"S\\u1ea3n ph\\u1ea9m li\\u00ean quan","en":"Related products","ja":""}', 1),
	(18, 'blog.relatedposts', '{"x":"blog.relatedPosts","vi":"Tin b\\u00e0i li\\u00ean quan","en":"Related posts","ja":""}', 1),
	(19, 'home.corevalue.title', '{"x":"home.coreValue.title","vi":"Gi\\u00e1 tr\\u1ecb c\\u1ed1t l\\u00f5i","en":"Our core values","ja":""}', 1),
	(20, 'home.corevalue.point.1.title', '{"x":"home.coreValue.point.1.title","vi":"Ch\\u1ea5t l\\u01b0\\u1ee3ng","en":"Quality","ja":""}', 1),
	(21, 'home.corevalue.point.1.content', '{"x":"home.coreValue.point.1.content","vi":"Cung c\\u1ea5p s\\u1ea3n ph\\u1ea9m v\\u00e0 d\\u1ecbch v\\u1ee5 ch\\u1ea5t l\\u01b0\\u1ee3ng cao. T\\u1ea5t c\\u1ea3 c\\u00e1c s\\u1ea3n ph\\u1ea9m c\\u1ee7a ch\\u00fang t\\u00f4i \\u0111\\u1ec1u c\\u00f3 t\\u00ednh \\u1ed5n \\u0111\\u1ecbnh cao, \\u0111\\u00e2y l\\u00e0 \\u01b0u ti\\u00ean h\\u00e0ng \\u0111\\u1ea7u \\u0111\\u1ed1i v\\u1edbi l\\u0129nh v\\u1ef1c t\\u00e0i ch\\u00ednh, ch\\u1ee9ng kho\\u00e1n.","en":"Provide high quality products and services. All of our products are highly stable, which is a top priority for the financial and securities sectors.","ja":""}', 1),
	(22, 'home.corevalue.point.2.title', '{"x":"home.coreValue.point.2.title","vi":"Kinh nghi\\u1ec7m","en":"Experience","ja":""}', 1),
	(23, 'home.corevalue.point.2.content', '{"x":"home.coreValue.point.2.content","vi":"C\\u00f3 nhi\\u1ec1u n\\u0103m kinh nghi\\u1ec7m th\\u1ecb tr\\u01b0\\u1eddng ch\\u1ee9ng kho\\u00e1n Vi\\u1ec7t Nam v\\u00e0 qu\\u1ed1c t\\u1ebf. \\u0110\\u1ed9i ng\\u0169 k\\u0129 thu\\u1eadt \\u0111\\u00e3 tri\\u1ec3n khai nhi\\u1ec1u gi\\u1ea3i ph\\u00e1p l\\u1edbn trong l\\u0129nh v\\u1ef1c t\\u00e0i ch\\u00ednh, ch\\u1ee9ng kho\\u00e1n.","en":"Having many years of experience in Vietnam and international stock market. The technical team has implemented many great solutions in the field of finance and securities.","ja":""}', 1),
	(24, 'home.corevalue.point.3.title', '{"x":"home.coreValue.point.3.title","vi":"Quy tr\\u00ecnh","en":"Procedure","ja":""}', 1),
	(25, 'home.corevalue.point.3.content', '{"x":"home.coreValue.point.3.content","vi":"Quy tr\\u00ecnh qu\\u1ea3n l\\u00fd ch\\u1ea5t l\\u01b0\\u1ee3ng, qu\\u1ea3n l\\u00fd an to\\u00e0n b\\u1ea3o m\\u1eadt th\\u00f4ng tin, qu\\u1ea3n l\\u00fd d\\u1ef1 \\u00e1n theo chu\\u1ea9n m\\u1ef1c qu\\u1ed1c t\\u1ebf nh\\u01b0ng c\\u0169ng linh ho\\u1ea1t theo t\\u1eebng d\\u1ef1 \\u00e1n \\u0111\\u1eb7c th\\u00f9.","en":"The process of quality management, information security management, project management follows international standards but is also flexible according to each specific project.","ja":""}', 1),
	(26, 'home.strategic.partnership', '{"x":"home.strategic.partnership","vi":"\\u0110\\u1ed1i t\\u00e1c <br class=\'md:hidden\'> chi\\u1ebfn l\\u01b0\\u1ee3c","en":"Strategic partnership","ja":""}', 1),
	(27, 'home.customer', '{"x":"home.customer","vi":"Kh\\u00e1ch h\\u00e0ng <br class=\'md:hidden\'> ti\\u00eau bi\\u1ec3u","en":"Our customers","ja":""}', 1),
	(30, 'common.pagination.showing', '{"x":"common.pagination.showing","vi":"\\u0110ang hi\\u1ec3n th\\u1ecb :curr \\/ :total tin","en":"Showing :curr \\/ :total items","ja":""}', 1),
	(31, 'common.pagination.prev', '{"x":"common.pagination.prev","vi":"Tr\\u01b0\\u1edbc","en":"Previous","ja":""}', 1),
	(32, 'common.pagination.next', '{"x":"common.pagination.next","vi":"Ti\\u1ebfp","en":"Next","ja":""}', 1),
	(35, 'common.404', '{"x":"common.404","vi":"...Ch\\u00fang t\\u00f4i kh\\u00f4ng t\\u00ecm th\\u1ea5y trang b\\u1ea1n y\\u00eau c\\u1ea7u","en":"Page not found...","ja":""}', 1),
	(36, 'common.error', '{"x":"common.error","vi":"...R\\u1ea5t ti\\u1ebfc, \\u0111\\u00e3 c\\u00f3 l\\u1ed7i x\\u1ea3y ra!","en":"An unexpected error has occurred...","ja":""}', 1),
	(37, 'common.pagination.currentpage', '{"x":"common.pagination.currentPage","vi":":items tin c\\u1ee7a trang :curr \\/ :last","en":":items items in page :curr \\/ :last","ja":""}', 1),
	(38, 'chứng.khoán', '{"x":"Ch\\u1ee9ng kho\\u00e1n"}', 0),
	(39, 'công.nghệ', '{"x":"C\\u00f4ng ngh\\u1ec7"}', 0),
	(40, 'nội.bộ', '{"x":"N\\u1ed9i b\\u1ed9"}', 1),
	(41, 'title', '{"x":".title"}', 1),
	(42, 'content', '{"x":".content"}', 1),
	(43, '', '{"x":null}', 1);
/*!40000 ALTER TABLE `rainlab_translate_messages` ENABLE KEYS */;

-- Dumping structure for table goline.sessions
CREATE TABLE IF NOT EXISTS `sessions` (
  `id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` text COLLATE utf8mb4_unicode_ci,
  `last_activity` int(11) DEFAULT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  UNIQUE KEY `sessions_id_unique` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.sessions: ~0 rows (approximately)
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;

-- Dumping structure for table goline.system_event_logs
CREATE TABLE IF NOT EXISTS `system_event_logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `level` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci,
  `details` mediumtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `system_event_logs_level_index` (`level`)
) ENGINE=InnoDB AUTO_INCREMENT=136 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping structure for table goline.system_files
CREATE TABLE IF NOT EXISTS `system_files` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `disk_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `file_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `file_size` int(11) NOT NULL,
  `content_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `field` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attachment_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `attachment_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_public` tinyint(1) NOT NULL DEFAULT '1',
  `sort_order` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `system_files_field_index` (`field`),
  KEY `system_files_attachment_id_index` (`attachment_id`),
  KEY `system_files_attachment_type_index` (`attachment_type`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_files: ~15 rows (approximately)
/*!40000 ALTER TABLE `system_files` DISABLE KEYS */;
INSERT INTO `system_files` (`id`, `disk_name`, `file_name`, `file_size`, `content_type`, `title`, `description`, `field`, `attachment_id`, `attachment_type`, `is_public`, `sort_order`, `created_at`, `updated_at`) VALUES
	(36, '60bcf489cf37b505537789.png', 'boy-masked.png', 35417, 'image/png', NULL, NULL, 'avatar', '1', 'Backend\\Models\\User', 1, 36, '2021-06-06 16:15:05', '2021-06-06 16:15:07'),
	(37, '60bcf505d3cff049147006.png', 'logo--blue-512.png', 18607, 'image/png', NULL, NULL, 'logo', '1', 'Backend\\Models\\BrandSetting', 1, 37, '2021-06-06 16:17:09', '2021-06-06 16:17:51'),
	(38, '60bcf52bab6aa056298277.png', 'favicon-2.png', 22997, 'image/png', NULL, NULL, 'favicon', '1', 'Backend\\Models\\BrandSetting', 1, 38, '2021-06-06 16:17:47', '2021-06-06 16:17:51'),
	(39, '60bd8acbc0d94228726383.png', 'internal.png', 157409, 'image/png', NULL, NULL, 'cover_image', '3', 'RainLab\\Blog\\Models\\Category', 1, 39, '2021-06-07 02:56:11', '2021-06-07 02:56:14'),
	(40, '60bd8ae052595843242816.png', 'tech.png', 122336, 'image/png', NULL, NULL, 'cover_image', '4', 'RainLab\\Blog\\Models\\Category', 1, 40, '2021-06-07 02:56:32', '2021-06-07 02:56:33'),
	(41, '60bd8aff51e39993575764.png', 'stock-market.png', 148753, 'image/png', NULL, NULL, 'cover_image', '5', 'RainLab\\Blog\\Models\\Category', 1, 41, '2021-06-07 02:57:03', '2021-06-07 02:57:05'),
	(42, '60be03e5c5252231064835.csv', 'translation.csv', 3809, 'text/plain', NULL, NULL, NULL, NULL, NULL, 0, 42, '2021-06-07 11:32:53', '2021-06-07 11:32:53'),
	(43, '60be19e188746729941807.csv', 'translation.csv', 4022, 'text/plain', NULL, NULL, NULL, NULL, NULL, 0, 43, '2021-06-07 13:06:41', '2021-06-07 13:06:41'),
	(44, '60becde31f83b056736333.csv', 'translation.csv', 4160, 'text/plain', NULL, NULL, NULL, NULL, NULL, 0, 44, '2021-06-08 01:54:43', '2021-06-08 01:54:43'),
	(45, '60c089c6e22f2999232782.jpg', '2021-04-29-Dau-tu-bong-da-kỳ-3-hinh-1.jpg', 193273, 'image/jpeg', NULL, NULL, 'featured_images', '19', 'RainLab\\Blog\\Models\\Post', 1, 45, '2021-06-09 09:28:38', '2021-06-09 09:28:41'),
	(46, '60c08b2c4a61c785797344.png', 'co-phieu-giam-ve-day-1-nam-hinh-minh-hoa.png', 115463, 'image/jpeg', NULL, NULL, 'featured_images', '10', 'RainLab\\Blog\\Models\\Post', 1, 46, '2021-06-09 09:34:36', '2021-06-09 09:34:38'),
	(47, '60c08b4a4a17b587877267.jpg', 'vietstock_s_cuu-ngan-hang-0-dong-nen-buong-tay-thay-vi-cuu-tro_20210604105632.jpg', 22823, 'image/jpeg', NULL, NULL, 'featured_images', '9', 'RainLab\\Blog\\Models\\Post', 1, 47, '2021-06-09 09:35:06', '2021-06-09 09:35:07'),
	(48, '60c0951656c22972451162.jpg', '1.jpg', 85379, 'image/jpeg', NULL, NULL, 'featured_images', '12', 'RainLab\\Blog\\Models\\Post', 1, 48, '2021-06-09 10:16:54', '2021-06-09 10:16:56'),
	(49, '60c0ec86cce21489099864.png', 'thumb5.png', 320527, 'image/png', NULL, NULL, 'featured_images', '8', 'RainLab\\Blog\\Models\\Post', 1, 49, '2021-06-09 16:29:58', '2021-06-09 16:30:02'),
	(50, '60c0ecef03a70344489314.png', 'thumb4.png', 126105, 'image/png', NULL, NULL, 'featured_images', '7', 'RainLab\\Blog\\Models\\Post', 1, 50, '2021-06-09 16:31:43', '2021-06-09 16:31:46');
/*!40000 ALTER TABLE `system_files` ENABLE KEYS */;

-- Dumping structure for table goline.system_mail_layouts
CREATE TABLE IF NOT EXISTS `system_mail_layouts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content_html` text COLLATE utf8mb4_unicode_ci,
  `content_text` text COLLATE utf8mb4_unicode_ci,
  `content_css` text COLLATE utf8mb4_unicode_ci,
  `is_locked` tinyint(1) NOT NULL DEFAULT '0',
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_mail_layouts: ~2 rows (approximately)
/*!40000 ALTER TABLE `system_mail_layouts` DISABLE KEYS */;
INSERT INTO `system_mail_layouts` (`id`, `name`, `code`, `content_html`, `content_text`, `content_css`, `is_locked`, `options`, `created_at`, `updated_at`) VALUES
	(1, 'Default layout', 'default', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n    <meta name="viewport" content="width=device-width, initial-scale=1.0" />\n    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />\n</head>\n<body>\n    <style type="text/css" media="screen">\n        {{ brandCss|raw }}\n        {{ css|raw }}\n    </style>\n\n    <table class="wrapper layout-default" width="100%" cellpadding="0" cellspacing="0">\n\n        <!-- Header -->\n        {% partial \'header\' body %}\n            {{ subject|raw }}\n        {% endpartial %}\n\n        <tr>\n            <td align="center">\n                <table class="content" width="100%" cellpadding="0" cellspacing="0">\n                    <!-- Email Body -->\n                    <tr>\n                        <td class="body" width="100%" cellpadding="0" cellspacing="0">\n                            <table class="inner-body" align="center" width="570" cellpadding="0" cellspacing="0">\n                                <!-- Body content -->\n                                <tr>\n                                    <td class="content-cell">\n                                        {{ content|raw }}\n                                    </td>\n                                </tr>\n                            </table>\n                        </td>\n                    </tr>\n                </table>\n            </td>\n        </tr>\n\n        <!-- Footer -->\n        {% partial \'footer\' body %}\n            &copy; {{ "now"|date("Y") }} {{ appName }}. All rights reserved.\n        {% endpartial %}\n\n    </table>\n\n</body>\n</html>', '{{ content|raw }}', '@media only screen and (max-width: 600px) {\n    .inner-body {\n        width: 100% !important;\n    }\n\n    .footer {\n        width: 100% !important;\n    }\n}\n\n@media only screen and (max-width: 500px) {\n    .button {\n        width: 100% !important;\n    }\n}', 1, NULL, '2021-06-07 02:45:24', '2021-06-07 02:45:24'),
	(2, 'System layout', 'system', '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n<html xmlns="http://www.w3.org/1999/xhtml">\n<head>\n    <meta name="viewport" content="width=device-width, initial-scale=1.0" />\n    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />\n</head>\n<body>\n    <style type="text/css" media="screen">\n        {{ brandCss|raw }}\n        {{ css|raw }}\n    </style>\n\n    <table class="wrapper layout-system" width="100%" cellpadding="0" cellspacing="0">\n        <tr>\n            <td align="center">\n                <table class="content" width="100%" cellpadding="0" cellspacing="0">\n                    <!-- Email Body -->\n                    <tr>\n                        <td class="body" width="100%" cellpadding="0" cellspacing="0">\n                            <table class="inner-body" align="center" width="570" cellpadding="0" cellspacing="0">\n                                <!-- Body content -->\n                                <tr>\n                                    <td class="content-cell">\n                                        {{ content|raw }}\n\n                                        <!-- Subcopy -->\n                                        {% partial \'subcopy\' body %}\n                                            **This is an automatic message. Please do not reply to it.**\n                                        {% endpartial %}\n                                    </td>\n                                </tr>\n                            </table>\n                        </td>\n                    </tr>\n                </table>\n            </td>\n        </tr>\n    </table>\n\n</body>\n</html>', '{{ content|raw }}\n\n\n---\nThis is an automatic message. Please do not reply to it.', '@media only screen and (max-width: 600px) {\n    .inner-body {\n        width: 100% !important;\n    }\n\n    .footer {\n        width: 100% !important;\n    }\n}\n\n@media only screen and (max-width: 500px) {\n    .button {\n        width: 100% !important;\n    }\n}', 1, NULL, '2021-06-07 02:45:24', '2021-06-07 02:45:24');
/*!40000 ALTER TABLE `system_mail_layouts` ENABLE KEYS */;

-- Dumping structure for table goline.system_mail_partials
CREATE TABLE IF NOT EXISTS `system_mail_partials` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content_html` text COLLATE utf8mb4_unicode_ci,
  `content_text` text COLLATE utf8mb4_unicode_ci,
  `is_custom` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_mail_partials: ~0 rows (approximately)
/*!40000 ALTER TABLE `system_mail_partials` DISABLE KEYS */;
/*!40000 ALTER TABLE `system_mail_partials` ENABLE KEYS */;

-- Dumping structure for table goline.system_mail_templates
CREATE TABLE IF NOT EXISTS `system_mail_templates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `content_html` text COLLATE utf8mb4_unicode_ci,
  `content_text` text COLLATE utf8mb4_unicode_ci,
  `layout_id` int(11) DEFAULT NULL,
  `is_custom` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `system_mail_templates_layout_id_index` (`layout_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_mail_templates: ~0 rows (approximately)
/*!40000 ALTER TABLE `system_mail_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `system_mail_templates` ENABLE KEYS */;

-- Dumping structure for table goline.system_parameters
CREATE TABLE IF NOT EXISTS `system_parameters` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `namespace` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `group` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `item` varchar(150) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `item_index` (`namespace`,`group`,`item`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_parameters: ~2 rows (approximately)
/*!40000 ALTER TABLE `system_parameters` DISABLE KEYS */;
INSERT INTO `system_parameters` (`id`, `namespace`, `group`, `item`, `value`) VALUES
	(1, 'system', 'update', 'count', '1'),
	(2, 'system', 'update', 'retry', '1623215563');
/*!40000 ALTER TABLE `system_parameters` ENABLE KEYS */;

-- Dumping structure for table goline.system_plugin_history
CREATE TABLE IF NOT EXISTS `system_plugin_history` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `detail` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `system_plugin_history_code_index` (`code`),
  KEY `system_plugin_history_type_index` (`type`)
) ENGINE=InnoDB AUTO_INCREMENT=475 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_plugin_history: ~426 rows (approximately)
/*!40000 ALTER TABLE `system_plugin_history` DISABLE KEYS */;
INSERT INTO `system_plugin_history` (`id`, `code`, `type`, `version`, `detail`, `created_at`) VALUES
	(1, 'BizMark.Quicksilver', 'comment', '1.0.0', 'First version of Quicksilver', '2021-06-07 02:45:18'),
	(2, 'BizMark.Quicksilver', 'comment', '1.0.1', 'Removed routes.php file', '2021-06-07 02:45:18'),
	(3, 'BizMark.Quicksilver', 'comment', '1.1.0', '!!! Updated configuration section in README. To actually use power of this plugin please configure it.', '2021-06-07 02:45:18'),
	(4, 'BizMark.Quicksilver', 'comment', '1.1.1', 'Note about AJAX on cached pages in README', '2021-06-07 02:45:18'),
	(5, 'BizMark.Quicksilver', 'comment', '1.1.5', '!!! Ajax requests now work properly on cached pages. Place new code in your htaccess like in documentation', '2021-06-07 02:45:18'),
	(6, 'BizMark.Quicksilver', 'comment', '1.1.6', 'Fixing backend opening error', '2021-06-07 02:45:18'),
	(7, 'BizMark.Quicksilver', 'comment', '1.2.0', '!!! New ReportWidget for dashboard that allows quiclky purge pages cache and october cache.', '2021-06-07 02:45:18'),
	(8, 'BizMark.Quicksilver', 'comment', '1.2.1', 'Fixing typo in russian localization', '2021-06-07 02:45:18'),
	(9, 'BizMark.Quicksilver', 'comment', '1.2.2', 'Minor fixes', '2021-06-07 02:45:18'),
	(10, 'BizMark.Quicksilver', 'comment', '1.3.0', '!!! Query strings filtering for dynamic pages.', '2021-06-07 02:45:18'),
	(11, 'BizMark.Quicksilver', 'comment', '2.0.0', 'Added support for exceptions and the ability to disable some pages from the cache', '2021-06-07 02:45:18'),
	(12, 'Bonniss26.Company', 'comment', '1.0.1', 'Initialize plugin.', '2021-06-07 02:45:18'),
	(13, 'Bonniss26.Company', 'script', '1.0.2', 'builder_table_create_bonniss26_company_faq.php', '2021-06-07 02:45:18'),
	(14, 'Bonniss26.Company', 'comment', '1.0.2', 'Created table bonniss26_company_faq', '2021-06-07 02:45:18'),
	(15, 'Bonniss26.Company', 'script', '1.0.3', 'builder_table_company_faq_seeder.php', '2021-06-07 02:45:18'),
	(16, 'Bonniss26.Company', 'comment', '1.0.3', 'Seed table bonniss26_company_faq data', '2021-06-07 02:45:18'),
	(17, 'Bonniss26.Company', 'script', '1.0.4', 'builder_table_create_bonniss26_company_info.php', '2021-06-07 02:45:18'),
	(18, 'Bonniss26.Company', 'comment', '1.0.4', 'Created table bonniss26_company_info', '2021-06-07 02:45:18'),
	(19, 'Bonniss26.Company', 'script', '1.0.5', 'builder_table_company_info_seeder.php', '2021-06-07 02:45:18'),
	(20, 'Bonniss26.Company', 'comment', '1.0.5', 'Seed table bonniss26_company_info data', '2021-06-07 02:45:18'),
	(21, 'Bonniss26.Company', 'script', '1.0.6', 'builder_table_create_bonniss26_company_services.php', '2021-06-07 02:45:19'),
	(22, 'Bonniss26.Company', 'comment', '1.0.6', 'Created table bonniss26_company_services', '2021-06-07 02:45:19'),
	(23, 'Bonniss26.Company', 'script', '1.0.7', 'builder_table_update_bonniss26_company_info.php', '2021-06-07 02:45:19'),
	(24, 'Bonniss26.Company', 'comment', '1.0.7', 'Updated table bonniss26_company_info', '2021-06-07 02:45:19'),
	(25, 'DmitryBykov.Htmlminify', 'comment', '1.0.1', 'HTML minify plugin', '2021-06-07 02:45:19'),
	(26, 'DmitryBykov.Htmlminify', 'comment', '1.0.2', 'Fixed Error When Using OctoberCMS as a SPA (e.g. easySPA plugin)', '2021-06-07 02:45:19'),
	(27, 'Indikator.Backend', 'comment', '1.0.0', 'First version of Backend Plus.', '2021-06-07 02:45:19'),
	(28, 'Indikator.Backend', 'comment', '1.0.1', 'Fixed the update count issue.', '2021-06-07 02:45:19'),
	(29, 'Indikator.Backend', 'comment', '1.0.2', 'Added Last logins widget.', '2021-06-07 02:45:19'),
	(30, 'Indikator.Backend', 'comment', '1.0.3', 'Added RSS viewer widget.', '2021-06-07 02:45:19'),
	(31, 'Indikator.Backend', 'comment', '1.0.4', 'Minor improvements and bugfix.', '2021-06-07 02:45:19'),
	(32, 'Indikator.Backend', 'comment', '1.0.5', 'Added Random images widget.', '2021-06-07 02:45:19'),
	(33, 'Indikator.Backend', 'comment', '1.0.6', 'Added virtual keyboard option.', '2021-06-07 02:45:19'),
	(34, 'Indikator.Backend', 'comment', '1.1.0', 'Added Lorem ipsum components (image and text).', '2021-06-07 02:45:19'),
	(35, 'Indikator.Backend', 'comment', '1.1.0', 'Improving the Random images widget with slideshow.', '2021-06-07 02:45:19'),
	(36, 'Indikator.Backend', 'comment', '1.1.0', 'Added Turkish translation (thanks to mahony0).', '2021-06-07 02:45:19'),
	(37, 'Indikator.Backend', 'comment', '1.1.0', 'Fixed the URL path issue by virtual keyboard.', '2021-06-07 02:45:19'),
	(38, 'Indikator.Backend', 'comment', '1.1.1', 'Hide the "Find more themes" link.', '2021-06-07 02:45:19'),
	(39, 'Indikator.Backend', 'comment', '1.1.2', 'Added German translation.', '2021-06-07 02:45:19'),
	(40, 'Indikator.Backend', 'comment', '1.1.3', 'The widgets work on localhost too.', '2021-06-07 02:45:19'),
	(41, 'Indikator.Backend', 'comment', '1.1.4', 'Added Spanish translation.', '2021-06-07 02:45:19'),
	(42, 'Indikator.Backend', 'comment', '1.2.0', 'All features are working on the whole backend.', '2021-06-07 02:45:19'),
	(43, 'Indikator.Backend', 'comment', '1.2.1', 'Rounded profile image is optional in top menu.', '2021-06-07 02:45:19'),
	(44, 'Indikator.Backend', 'comment', '1.2.2', 'Fixed the authenticated user bug.', '2021-06-07 02:45:19'),
	(45, 'Indikator.Backend', 'comment', '1.2.3', 'Hide the Media menu optional in top menu.', '2021-06-07 02:45:19'),
	(46, 'Indikator.Backend', 'comment', '1.2.4', 'Minor improvements and bugfix.', '2021-06-07 02:45:19'),
	(47, 'Indikator.Backend', 'comment', '1.2.5', 'Renamed the name of backend widgets.', '2021-06-07 02:45:19'),
	(48, 'Indikator.Backend', 'comment', '1.2.6', 'Improved the automatic search focus.', '2021-06-07 02:45:19'),
	(49, 'Indikator.Backend', 'comment', '1.2.7', 'Minor improvements.', '2021-06-07 02:45:19'),
	(50, 'Indikator.Backend', 'comment', '1.2.8', 'Fixed the hiding Media menu issue.', '2021-06-07 02:45:19'),
	(51, 'Indikator.Backend', 'comment', '1.2.9', 'Improved the widget exception handling.', '2021-06-07 02:45:19'),
	(52, 'Indikator.Backend', 'comment', '1.3.0', 'Added 2 new options for Settings.', '2021-06-07 02:45:19'),
	(53, 'Indikator.Backend', 'comment', '1.3.1', 'Fixed the search field hide issue.', '2021-06-07 02:45:19'),
	(54, 'Indikator.Backend', 'comment', '1.3.2', 'Delete only demo folder instead of october.', '2021-06-07 02:45:19'),
	(55, 'Indikator.Backend', 'comment', '1.3.3', 'Added clear button option to form fields.', '2021-06-07 02:45:19'),
	(56, 'Indikator.Backend', 'comment', '1.3.4', 'Improved the Media menu hiding.', '2021-06-07 02:45:19'),
	(57, 'Indikator.Backend', 'comment', '1.3.5', 'Fixed the automatically focus option.', '2021-06-07 02:45:19'),
	(58, 'Indikator.Backend', 'comment', '1.3.6', 'Added the Cache dashboard widget.', '2021-06-07 02:45:19'),
	(59, 'Indikator.Backend', 'comment', '1.4.0', 'Added 2 new form widgets.', '2021-06-07 02:45:19'),
	(60, 'Indikator.Backend', 'comment', '1.4.1', 'Added new colorpicker form widget.', '2021-06-07 02:45:19'),
	(61, 'Indikator.Backend', 'comment', '1.4.2', 'Minor improvements.', '2021-06-07 02:45:19'),
	(62, 'Indikator.Backend', 'comment', '1.4.3', 'Improved the Cache dashboard widget.', '2021-06-07 02:45:19'),
	(63, 'Indikator.Backend', 'comment', '1.4.4', 'Updated for latest October.', '2021-06-07 02:45:19'),
	(64, 'Indikator.Backend', 'comment', '1.4.5', 'Minor improvements and bugfix.', '2021-06-07 02:45:19'),
	(65, 'Indikator.Backend', 'comment', '1.4.6', 'Improved the UI and fixed bug.', '2021-06-07 02:45:19'),
	(66, 'Indikator.Backend', 'comment', '1.4.7', 'Hide the label in top menu.', '2021-06-07 02:45:19'),
	(67, 'Indikator.Backend', 'comment', '1.4.8', 'Enable the gzip compression.', '2021-06-07 02:45:19'),
	(68, 'Indikator.Backend', 'script', '1.5.0', 'create_trash_table.php', '2021-06-07 02:45:19'),
	(69, 'Indikator.Backend', 'comment', '1.5.0', 'Delete the unused files and folders.', '2021-06-07 02:45:19'),
	(70, 'Indikator.Backend', 'comment', '1.5.1', 'Minor improvements and bugfix.', '2021-06-07 02:45:19'),
	(71, 'Indikator.Backend', 'comment', '1.5.2', 'Improved the Trash items page.', '2021-06-07 02:45:19'),
	(72, 'Indikator.Backend', 'comment', '1.5.3', 'Expanded the Trash items page.', '2021-06-07 02:45:19'),
	(73, 'Indikator.Backend', 'comment', '1.5.4', 'Minor improvements.', '2021-06-07 02:45:19'),
	(74, 'Indikator.Backend', 'comment', '1.5.5', 'Added tooltip when hiding the labels.', '2021-06-07 02:45:19'),
	(75, 'Indikator.Backend', 'comment', '1.5.6', 'Fixed the page overflow issue.', '2021-06-07 02:45:19'),
	(76, 'Indikator.Backend', 'comment', '1.5.7', 'Added the context menu feature.', '2021-06-07 02:45:19'),
	(77, 'Indikator.Backend', 'comment', '1.5.8', 'Improved the context menu.', '2021-06-07 02:45:19'),
	(78, 'Indikator.Backend', 'comment', '1.6.0', 'Available the Elite version.', '2021-06-07 02:45:19'),
	(79, 'Indikator.Backend', 'comment', '1.6.1', 'Added the Russian translation.', '2021-06-07 02:45:19'),
	(80, 'Indikator.Backend', 'comment', '1.6.2', 'Added the Brazilian Portuguese lang.', '2021-06-07 02:45:19'),
	(81, 'Indikator.Backend', 'comment', '1.6.3', 'Minor improvements.', '2021-06-07 02:45:19'),
	(82, 'Indikator.Backend', 'comment', '1.6.4', 'Fixed the German translation.', '2021-06-07 02:45:19'),
	(83, 'Indikator.Backend', 'comment', '1.6.5', 'Fixed the Cache widget issue.', '2021-06-07 02:45:19'),
	(84, 'Indikator.Backend', 'comment', '1.6.6', '!!! Updated for October 420+.', '2021-06-07 02:45:19'),
	(85, 'Indikator.Backend', 'comment', '1.6.7', 'Added more trash items.', '2021-06-07 02:45:20'),
	(86, 'Indikator.Backend', 'comment', '1.6.8', 'Minor improvements.', '2021-06-07 02:45:20'),
	(87, 'Indikator.Backend', 'comment', '1.6.9', 'Added permission to Dashboard widgets.', '2021-06-07 02:45:20'),
	(88, 'Indikator.Backend', 'comment', '1.6.10', 'Added Polish translation.', '2021-06-07 02:45:20'),
	(89, 'Indikator.Backend', 'comment', '1.6.11', 'Updated the trash file list.', '2021-06-07 02:45:20'),
	(90, 'Indikator.Backend', 'comment', '1.6.12', 'Added more trash items.', '2021-06-07 02:45:20'),
	(91, 'Indikator.Backend', 'comment', '1.6.13', 'Added Slovenian translation.', '2021-06-07 02:45:20'),
	(93, 'RainLab.Blog', 'script', '1.0.1', 'create_posts_table.php', '2021-06-07 02:45:20'),
	(94, 'RainLab.Blog', 'script', '1.0.1', 'create_categories_table.php', '2021-06-07 02:45:20'),
	(95, 'RainLab.Blog', 'script', '1.0.1', 'seed_all_tables.php', '2021-06-07 02:45:20'),
	(96, 'RainLab.Blog', 'comment', '1.0.1', 'Initialize plugin.', '2021-06-07 02:45:20'),
	(97, 'RainLab.Blog', 'comment', '1.0.2', 'Added the processed HTML content column to the posts table.', '2021-06-07 02:45:20'),
	(98, 'RainLab.Blog', 'comment', '1.0.3', 'Category component has been merged with Posts component.', '2021-06-07 02:45:20'),
	(99, 'RainLab.Blog', 'comment', '1.0.4', 'Improvements to the Posts list management UI.', '2021-06-07 02:45:20'),
	(100, 'RainLab.Blog', 'comment', '1.0.5', 'Removes the Author column from blog post list.', '2021-06-07 02:45:20'),
	(101, 'RainLab.Blog', 'comment', '1.0.6', 'Featured images now appear in the Post component.', '2021-06-07 02:45:20'),
	(102, 'RainLab.Blog', 'comment', '1.0.7', 'Added support for the Static Pages menus.', '2021-06-07 02:45:20'),
	(103, 'RainLab.Blog', 'comment', '1.0.8', 'Added total posts to category list.', '2021-06-07 02:45:20'),
	(104, 'RainLab.Blog', 'comment', '1.0.9', 'Added support for the Sitemap plugin.', '2021-06-07 02:45:20'),
	(105, 'RainLab.Blog', 'comment', '1.0.10', 'Added permission to prevent users from seeing posts they did not create.', '2021-06-07 02:45:20'),
	(106, 'RainLab.Blog', 'comment', '1.0.11', 'Deprecate "idParam" component property in favour of "slug" property.', '2021-06-07 02:45:20'),
	(107, 'RainLab.Blog', 'comment', '1.0.12', 'Fixes issue where images cannot be uploaded caused by latest Markdown library.', '2021-06-07 02:45:20'),
	(108, 'RainLab.Blog', 'comment', '1.0.13', 'Fixes problem with providing pages to Sitemap and Pages plugins.', '2021-06-07 02:45:20'),
	(109, 'RainLab.Blog', 'comment', '1.0.14', 'Add support for CSRF protection feature added to core.', '2021-06-07 02:45:20'),
	(110, 'RainLab.Blog', 'comment', '1.1.0', 'Replaced the Post editor with the new core Markdown editor.', '2021-06-07 02:45:20'),
	(111, 'RainLab.Blog', 'comment', '1.1.1', 'Posts can now be imported and exported.', '2021-06-07 02:45:20'),
	(112, 'RainLab.Blog', 'comment', '1.1.2', 'Posts are no longer visible if the published date has not passed.', '2021-06-07 02:45:20'),
	(113, 'RainLab.Blog', 'comment', '1.1.3', 'Added a New Post shortcut button to the blog menu.', '2021-06-07 02:45:20'),
	(114, 'RainLab.Blog', 'script', '1.2.0', 'categories_add_nested_fields.php', '2021-06-07 02:45:20'),
	(115, 'RainLab.Blog', 'comment', '1.2.0', 'Categories now support nesting.', '2021-06-07 02:45:20'),
	(116, 'RainLab.Blog', 'comment', '1.2.1', 'Post slugs now must be unique.', '2021-06-07 02:45:20'),
	(117, 'RainLab.Blog', 'comment', '1.2.2', 'Fixes issue on new installs.', '2021-06-07 02:45:20'),
	(118, 'RainLab.Blog', 'comment', '1.2.3', 'Minor user interface update.', '2021-06-07 02:45:20'),
	(119, 'RainLab.Blog', 'script', '1.2.4', 'update_timestamp_nullable.php', '2021-06-07 02:45:20'),
	(120, 'RainLab.Blog', 'comment', '1.2.4', 'Database maintenance. Updated all timestamp columns to be nullable.', '2021-06-07 02:45:20'),
	(121, 'RainLab.Blog', 'comment', '1.2.5', 'Added translation support for blog posts.', '2021-06-07 02:45:20'),
	(122, 'RainLab.Blog', 'comment', '1.2.6', 'The published field can now supply a time with the date.', '2021-06-07 02:45:20'),
	(123, 'RainLab.Blog', 'comment', '1.2.7', 'Introduced a new RSS feed component.', '2021-06-07 02:45:20'),
	(124, 'RainLab.Blog', 'comment', '1.2.8', 'Fixes issue with translated `content_html` attribute on blog posts.', '2021-06-07 02:45:20'),
	(125, 'RainLab.Blog', 'comment', '1.2.9', 'Added translation support for blog categories.', '2021-06-07 02:45:20'),
	(126, 'RainLab.Blog', 'comment', '1.2.10', 'Added translation support for post slugs.', '2021-06-07 02:45:20'),
	(127, 'RainLab.Blog', 'comment', '1.2.11', 'Fixes bug where excerpt is not translated.', '2021-06-07 02:45:20'),
	(128, 'RainLab.Blog', 'comment', '1.2.12', 'Description field added to category form.', '2021-06-07 02:45:20'),
	(129, 'RainLab.Blog', 'comment', '1.2.13', 'Improved support for Static Pages menus, added a blog post and all blog posts.', '2021-06-07 02:45:21'),
	(130, 'RainLab.Blog', 'comment', '1.2.14', 'Added post exception property to the post list component, useful for showing related posts.', '2021-06-07 02:45:21'),
	(131, 'RainLab.Blog', 'comment', '1.2.15', 'Back-end navigation sort order updated.', '2021-06-07 02:45:21'),
	(132, 'RainLab.Blog', 'comment', '1.2.16', 'Added `nextPost` and `previousPost` to the blog post component.', '2021-06-07 02:45:21'),
	(133, 'RainLab.Blog', 'comment', '1.2.17', 'Improved the next and previous logic to sort by the published date.', '2021-06-07 02:45:21'),
	(134, 'RainLab.Blog', 'comment', '1.2.18', 'Minor change to internals.', '2021-06-07 02:45:21'),
	(135, 'RainLab.Blog', 'comment', '1.2.19', 'Improved support for Build 420+', '2021-06-07 02:45:21'),
	(136, 'RainLab.Blog', 'script', '1.3.0', 'posts_add_metadata.php', '2021-06-07 02:45:21'),
	(137, 'RainLab.Blog', 'comment', '1.3.0', 'Added metadata column for plugins to store data in', '2021-06-07 02:45:21'),
	(138, 'RainLab.Blog', 'comment', '1.3.1', 'Fixed metadata column not being jsonable', '2021-06-07 02:45:21'),
	(139, 'RainLab.Blog', 'comment', '1.3.2', 'Allow custom slug name for components, add 404 handling for missing blog posts, allow exporting of blog images.', '2021-06-07 02:45:21'),
	(140, 'RainLab.Blog', 'comment', '1.3.3', 'Fixed \'excluded categories\' filter from being run when value is empty.', '2021-06-07 02:45:21'),
	(141, 'RainLab.Blog', 'comment', '1.3.4', 'Allow post author to be specified. Improved translations.', '2021-06-07 02:45:21'),
	(142, 'RainLab.Blog', 'comment', '1.3.5', 'Fixed missing user info from breaking initial seeder in migrations. Fixed a PostgreSQL issue with blog exports.', '2021-06-07 02:45:21'),
	(143, 'RainLab.Blog', 'comment', '1.3.6', 'Improved French translations.', '2021-06-07 02:45:21'),
	(144, 'RainLab.Blog', 'comment', '1.4.0', 'Stability improvements. Rollback custom slug names for components', '2021-06-07 02:45:21'),
	(145, 'RainLab.Blog', 'comment', '1.4.1', 'Fixes potential security issue with unsafe Markdown. Allow blog bylines to be translated.', '2021-06-07 02:45:21'),
	(146, 'RainLab.Blog', 'comment', '1.4.2', 'Fix 404 redirects for missing blog posts. Assign current category to the listed posts when using the Posts component on a page with the category parameter available.', '2021-06-07 02:45:21'),
	(147, 'RainLab.Blog', 'comment', '1.4.3', 'Fixes incompatibility with locale switching when plugin is used in conjunction with the Translate plugin. Fixes undefined category error.', '2021-06-07 02:45:21'),
	(148, 'RainLab.Blog', 'comment', '1.4.4', 'Rollback translated bylines, please move or override the default component markup instead.', '2021-06-07 02:45:21'),
	(149, 'RainLab.Blog', 'comment', '1.5.0', 'Implement support for October CMS v2.0', '2021-06-07 02:45:21'),
	(150, 'RainLab.Blog', 'comment', '1.5.1', 'Fixes interaction with Translate plugin', '2021-06-07 02:45:21'),
	(151, 'RainLab.Pages', 'comment', '1.0.1', 'Implemented the static pages management and the Static Page component.', '2021-06-07 02:45:21'),
	(152, 'RainLab.Pages', 'comment', '1.0.2', 'Fixed the page preview URL.', '2021-06-07 02:45:21'),
	(153, 'RainLab.Pages', 'comment', '1.0.3', 'Implemented menus.', '2021-06-07 02:45:21'),
	(154, 'RainLab.Pages', 'comment', '1.0.4', 'Implemented the content block management and placeholder support.', '2021-06-07 02:45:21'),
	(155, 'RainLab.Pages', 'comment', '1.0.5', 'Added support for the Sitemap plugin.', '2021-06-07 02:45:21'),
	(156, 'RainLab.Pages', 'comment', '1.0.6', 'Minor updates to the internal API.', '2021-06-07 02:45:21'),
	(157, 'RainLab.Pages', 'comment', '1.0.7', 'Added the Snippets feature.', '2021-06-07 02:45:21'),
	(158, 'RainLab.Pages', 'comment', '1.0.8', 'Minor improvements to the code.', '2021-06-07 02:45:21'),
	(159, 'RainLab.Pages', 'comment', '1.0.9', 'Fixes issue where Snippet tab is missing from the Partials form.', '2021-06-07 02:45:21'),
	(160, 'RainLab.Pages', 'comment', '1.0.10', 'Add translations for various locales.', '2021-06-07 02:45:21'),
	(161, 'RainLab.Pages', 'comment', '1.0.11', 'Fixes issue where placeholders tabs were missing from Page form.', '2021-06-07 02:45:21'),
	(162, 'RainLab.Pages', 'comment', '1.0.12', 'Implement Media Manager support.', '2021-06-07 02:45:21'),
	(163, 'RainLab.Pages', 'script', '1.1.0', 'snippets_rename_viewbag_properties.php', '2021-06-07 02:45:21'),
	(164, 'RainLab.Pages', 'comment', '1.1.0', 'Adds meta title and description to pages. Adds |staticPage filter.', '2021-06-07 02:45:21'),
	(165, 'RainLab.Pages', 'comment', '1.1.1', 'Add support for Syntax Fields.', '2021-06-07 02:45:21'),
	(166, 'RainLab.Pages', 'comment', '1.1.2', 'Static Breadcrumbs component now respects the hide from navigation setting.', '2021-06-07 02:45:21'),
	(167, 'RainLab.Pages', 'comment', '1.1.3', 'Minor back-end styling fix.', '2021-06-07 02:45:21'),
	(168, 'RainLab.Pages', 'comment', '1.1.4', 'Minor fix to the StaticPage component API.', '2021-06-07 02:45:21'),
	(169, 'RainLab.Pages', 'comment', '1.1.5', 'Fixes bug when using syntax fields.', '2021-06-07 02:45:21'),
	(170, 'RainLab.Pages', 'comment', '1.1.6', 'Minor styling fix to the back-end UI.', '2021-06-07 02:45:21'),
	(171, 'RainLab.Pages', 'comment', '1.1.7', 'Improved menu item form to include CSS class, open in a new window and hidden flag.', '2021-06-07 02:45:21'),
	(172, 'RainLab.Pages', 'comment', '1.1.8', 'Improved the output of snippet partials when saved.', '2021-06-07 02:45:21'),
	(173, 'RainLab.Pages', 'comment', '1.1.9', 'Minor update to snippet inspector internal API.', '2021-06-07 02:45:21'),
	(174, 'RainLab.Pages', 'comment', '1.1.10', 'Fixes a bug where selecting a layout causes permanent unsaved changes.', '2021-06-07 02:45:21'),
	(175, 'RainLab.Pages', 'comment', '1.1.11', 'Add support for repeater syntax field.', '2021-06-07 02:45:21'),
	(176, 'RainLab.Pages', 'comment', '1.2.0', 'Added support for translations, UI updates.', '2021-06-07 02:45:21'),
	(177, 'RainLab.Pages', 'comment', '1.2.1', 'Use nice titles when listing the content files.', '2021-06-07 02:45:21'),
	(178, 'RainLab.Pages', 'comment', '1.2.2', 'Minor styling update.', '2021-06-07 02:45:21'),
	(179, 'RainLab.Pages', 'comment', '1.2.3', 'Snippets can now be moved by dragging them.', '2021-06-07 02:45:21'),
	(180, 'RainLab.Pages', 'comment', '1.2.4', 'Fixes a bug where the cursor is misplaced when editing text files.', '2021-06-07 02:45:21'),
	(181, 'RainLab.Pages', 'comment', '1.2.5', 'Fixes a bug where the parent page is lost upon changing a page layout.', '2021-06-07 02:45:21'),
	(182, 'RainLab.Pages', 'comment', '1.2.6', 'Shared view variables are now passed to static pages.', '2021-06-07 02:45:21'),
	(183, 'RainLab.Pages', 'comment', '1.2.7', 'Fixes issue with duplicating properties when adding multiple snippets on the same page.', '2021-06-07 02:45:21'),
	(184, 'RainLab.Pages', 'comment', '1.2.8', 'Fixes a bug where creating a content block without extension doesn\'t save the contents to file.', '2021-06-07 02:45:21'),
	(185, 'RainLab.Pages', 'comment', '1.2.9', 'Add conditional support for translating page URLs.', '2021-06-07 02:45:21'),
	(186, 'RainLab.Pages', 'comment', '1.2.10', 'Streamline generation of URLs to use the new Cms::url helper.', '2021-06-07 02:45:21'),
	(187, 'RainLab.Pages', 'comment', '1.2.11', 'Implements repeater usage with translate plugin.', '2021-06-07 02:45:21'),
	(188, 'RainLab.Pages', 'comment', '1.2.12', 'Fixes minor issue when using snippets and switching the application locale.', '2021-06-07 02:45:21'),
	(189, 'RainLab.Pages', 'comment', '1.2.13', 'Fixes bug when AJAX is used on a page that does not yet exist.', '2021-06-07 02:45:21'),
	(190, 'RainLab.Pages', 'comment', '1.2.14', 'Add theme logging support for changes made to menus.', '2021-06-07 02:45:21'),
	(191, 'RainLab.Pages', 'comment', '1.2.15', 'Back-end navigation sort order updated.', '2021-06-07 02:45:21'),
	(192, 'RainLab.Pages', 'comment', '1.2.16', 'Fixes a bug when saving a template that has been modified outside of the CMS (mtime mismatch).', '2021-06-07 02:45:21'),
	(193, 'RainLab.Pages', 'comment', '1.2.17', 'Changes locations of custom fields to secondary tabs instead of the primary Settings area. New menu search ability on adding menu items', '2021-06-07 02:45:21'),
	(194, 'RainLab.Pages', 'comment', '1.2.18', 'Fixes cache-invalidation issues when RainLab.Translate is not installed. Added Greek & Simplified Chinese translations. Removed deprecated calls. Allowed saving HTML in snippet properties. Added support for the MediaFinder in menu items.', '2021-06-07 02:45:21'),
	(195, 'RainLab.Pages', 'comment', '1.2.19', 'Catch exception with corrupted menu file.', '2021-06-07 02:45:21'),
	(196, 'RainLab.Pages', 'comment', '1.2.20', 'StaticMenu component now exposes menuName property; added pages.menu.referencesGenerated event.', '2021-06-07 02:45:22'),
	(197, 'RainLab.Pages', 'comment', '1.2.21', 'Fixes a bug where last Static Menu item cannot be deleted. Improved Persian, Slovak and Turkish translations.', '2021-06-07 02:45:22'),
	(198, 'RainLab.Pages', 'comment', '1.3.0', 'Added support for using Database-driven Themes when enabled in the CMS configuration.', '2021-06-07 02:45:22'),
	(199, 'RainLab.Pages', 'comment', '1.3.1', 'Added ChildPages Component, prevent hidden pages from being returned via menu item resolver.', '2021-06-07 02:45:22'),
	(200, 'RainLab.Pages', 'comment', '1.3.2', 'Fixes error when creating a subpage whose parent has no layout set.', '2021-06-07 02:45:22'),
	(201, 'RainLab.Translate', 'script', '1.0.1', 'create_messages_table.php', '2021-06-07 02:45:22'),
	(202, 'RainLab.Translate', 'script', '1.0.1', 'create_attributes_table.php', '2021-06-07 02:45:22'),
	(203, 'RainLab.Translate', 'script', '1.0.1', 'create_locales_table.php', '2021-06-07 02:45:22'),
	(204, 'RainLab.Translate', 'comment', '1.0.1', 'First version of Translate', '2021-06-07 02:45:22'),
	(205, 'RainLab.Translate', 'comment', '1.0.2', 'Languages and Messages can now be deleted.', '2021-06-07 02:45:22'),
	(206, 'RainLab.Translate', 'comment', '1.0.3', 'Minor updates for latest October release.', '2021-06-07 02:45:22'),
	(207, 'RainLab.Translate', 'comment', '1.0.4', 'Locale cache will clear when updating a language.', '2021-06-07 02:45:22'),
	(208, 'RainLab.Translate', 'comment', '1.0.5', 'Add Spanish language and fix plugin config.', '2021-06-07 02:45:22'),
	(209, 'RainLab.Translate', 'comment', '1.0.6', 'Minor improvements to the code.', '2021-06-07 02:45:22'),
	(210, 'RainLab.Translate', 'comment', '1.0.7', 'Fixes major bug where translations are skipped entirely!', '2021-06-07 02:45:22'),
	(211, 'RainLab.Translate', 'comment', '1.0.8', 'Minor bug fixes.', '2021-06-07 02:45:22'),
	(212, 'RainLab.Translate', 'comment', '1.0.9', 'Fixes an issue where newly created models lose their translated values.', '2021-06-07 02:45:22'),
	(213, 'RainLab.Translate', 'comment', '1.0.10', 'Minor fix for latest build.', '2021-06-07 02:45:22'),
	(214, 'RainLab.Translate', 'comment', '1.0.11', 'Fix multilingual rich editor when used in stretch mode.', '2021-06-07 02:45:22'),
	(215, 'RainLab.Translate', 'comment', '1.1.0', 'Introduce compatibility with RainLab.Pages plugin.', '2021-06-07 02:45:22'),
	(216, 'RainLab.Translate', 'comment', '1.1.1', 'Minor UI fix to the language picker.', '2021-06-07 02:45:22'),
	(217, 'RainLab.Translate', 'comment', '1.1.2', 'Add support for translating Static Content files.', '2021-06-07 02:45:22'),
	(218, 'RainLab.Translate', 'comment', '1.1.3', 'Improved support for the multilingual rich editor.', '2021-06-07 02:45:22'),
	(219, 'RainLab.Translate', 'comment', '1.1.4', 'Adds new multilingual markdown editor.', '2021-06-07 02:45:22'),
	(220, 'RainLab.Translate', 'comment', '1.1.5', 'Minor update to the multilingual control API.', '2021-06-07 02:45:22'),
	(221, 'RainLab.Translate', 'comment', '1.1.6', 'Minor improvements in the message editor.', '2021-06-07 02:45:22'),
	(222, 'RainLab.Translate', 'comment', '1.1.7', 'Fixes bug not showing content when first loading multilingual textarea controls.', '2021-06-07 02:45:22'),
	(223, 'RainLab.Translate', 'comment', '1.2.0', 'CMS pages now support translating the URL.', '2021-06-07 02:45:22'),
	(224, 'RainLab.Translate', 'comment', '1.2.1', 'Minor update in the rich editor and code editor language control position.', '2021-06-07 02:45:22'),
	(225, 'RainLab.Translate', 'comment', '1.2.2', 'Static Pages now support translating the URL.', '2021-06-07 02:45:22'),
	(226, 'RainLab.Translate', 'comment', '1.2.3', 'Fixes Rich Editor when inserting a page link.', '2021-06-07 02:45:22'),
	(227, 'RainLab.Translate', 'script', '1.2.4', 'create_indexes_table.php', '2021-06-07 02:45:22'),
	(228, 'RainLab.Translate', 'comment', '1.2.4', 'Translatable attributes can now be declared as indexes.', '2021-06-07 02:45:22'),
	(229, 'RainLab.Translate', 'comment', '1.2.5', 'Adds new multilingual repeater form widget.', '2021-06-07 02:45:22'),
	(230, 'RainLab.Translate', 'comment', '1.2.6', 'Fixes repeater usage with static pages plugin.', '2021-06-07 02:45:22'),
	(231, 'RainLab.Translate', 'comment', '1.2.7', 'Fixes placeholder usage with static pages plugin.', '2021-06-07 02:45:22'),
	(232, 'RainLab.Translate', 'comment', '1.2.8', 'Improvements to code for latest October build compatibility.', '2021-06-07 02:45:22'),
	(233, 'RainLab.Translate', 'comment', '1.2.9', 'Fixes context for translated strings when used with Static Pages.', '2021-06-07 02:45:22'),
	(234, 'RainLab.Translate', 'comment', '1.2.10', 'Minor UI fix to the multilingual repeater.', '2021-06-07 02:45:22'),
	(235, 'RainLab.Translate', 'comment', '1.2.11', 'Fixes translation not working with partials loaded via AJAX.', '2021-06-07 02:45:23'),
	(236, 'RainLab.Translate', 'comment', '1.2.12', 'Add support for translating the new grouped repeater feature.', '2021-06-07 02:45:23'),
	(237, 'RainLab.Translate', 'comment', '1.3.0', 'Added search to the translate messages page.', '2021-06-07 02:45:23'),
	(238, 'RainLab.Translate', 'script', '1.3.1', 'builder_table_update_rainlab_translate_locales.php', '2021-06-07 02:45:23'),
	(239, 'RainLab.Translate', 'script', '1.3.1', 'seed_all_tables.php', '2021-06-07 02:45:23'),
	(240, 'RainLab.Translate', 'comment', '1.3.1', 'Added reordering to languages', '2021-06-07 02:45:23'),
	(241, 'RainLab.Translate', 'comment', '1.3.2', 'Improved compatibility with RainLab.Pages, added ability to scan Mail Messages for translatable variables.', '2021-06-07 02:45:23'),
	(242, 'RainLab.Translate', 'comment', '1.3.3', 'Fix to the locale picker session handling in Build 420 onwards.', '2021-06-07 02:45:23'),
	(243, 'RainLab.Translate', 'comment', '1.3.4', 'Add alternate hreflang elements and adds prefixDefaultLocale setting.', '2021-06-07 02:45:23'),
	(244, 'RainLab.Translate', 'comment', '1.3.5', 'Fix MLRepeater bug when switching locales.', '2021-06-07 02:45:23'),
	(245, 'RainLab.Translate', 'comment', '1.3.6', 'Fix Middleware to use the prefixDefaultLocale setting introduced in 1.3.4', '2021-06-07 02:45:23'),
	(246, 'RainLab.Translate', 'comment', '1.3.7', 'Fix config reference in LocaleMiddleware', '2021-06-07 02:45:23'),
	(247, 'RainLab.Translate', 'comment', '1.3.8', 'Keep query string when switching locales', '2021-06-07 02:45:23'),
	(248, 'RainLab.Translate', 'comment', '1.4.0', 'Add importer and exporter for messages', '2021-06-07 02:45:23'),
	(249, 'RainLab.Translate', 'comment', '1.4.1', 'Updated Hungarian translation. Added Arabic translation. Fixed issue where default texts are overwritten by import. Fixed issue where the language switcher for repeater fields would overlap with the first repeater row.', '2021-06-07 02:45:23'),
	(250, 'RainLab.Translate', 'comment', '1.4.2', 'Add multilingual MediaFinder', '2021-06-07 02:45:23'),
	(251, 'RainLab.Translate', 'comment', '1.4.3', '!!! Please update OctoberCMS to Build 444 before updating this plugin. Added ability to translate CMS Pages fields (e.g. title, description, meta-title, meta-description)', '2021-06-07 02:45:23'),
	(252, 'RainLab.Translate', 'comment', '1.4.4', 'Minor improvements to compatibility with Laravel framework.', '2021-06-07 02:45:23'),
	(253, 'RainLab.Translate', 'comment', '1.4.5', 'Fixed issue when using the language switcher', '2021-06-07 02:45:23'),
	(254, 'RainLab.Translate', 'comment', '1.5.0', 'Compatibility fix with Build 451', '2021-06-07 02:45:23'),
	(255, 'RainLab.Translate', 'comment', '1.6.0', 'Make File Upload widget properties translatable. Merge Repeater core changes into MLRepeater widget. Add getter method to retrieve original translate data.', '2021-06-07 02:45:23'),
	(256, 'RainLab.Translate', 'comment', '1.6.1', 'Add ability for models to provide translated computed data, add option to disable locale prefix routing', '2021-06-07 02:45:23'),
	(257, 'RainLab.Translate', 'comment', '1.6.2', 'Implement localeUrl filter, add per-locale theme configuration support', '2021-06-07 02:45:23'),
	(258, 'RainLab.Translate', 'comment', '1.6.3', 'Add eager loading for translations, restore support for accessors & mutators', '2021-06-07 02:45:23'),
	(259, 'RainLab.Translate', 'comment', '1.6.4', 'Fixes PHP 7.4 compatibility', '2021-06-07 02:45:23'),
	(260, 'RainLab.Translate', 'comment', '1.6.5', 'Fixes compatibility issue when other plugins use a custom model morph map', '2021-06-07 02:45:23'),
	(261, 'RainLab.Translate', 'script', '1.6.6', 'migrate_morphed_attributes.php', '2021-06-07 02:45:23'),
	(262, 'RainLab.Translate', 'comment', '1.6.6', 'Introduce migration to patch existing translations using morph map', '2021-06-07 02:45:23'),
	(263, 'RainLab.Translate', 'script', '1.6.7', 'migrate_morphed_indexes.php', '2021-06-07 02:45:23'),
	(264, 'RainLab.Translate', 'comment', '1.6.7', 'Introduce migration to patch existing indexes using morph map', '2021-06-07 02:45:23'),
	(265, 'RainLab.Translate', 'comment', '1.6.8', 'Add support for transOrderBy; Add translation support for ThemeData; Update russian localization.', '2021-06-07 02:45:23'),
	(266, 'RainLab.Translate', 'comment', '1.6.9', 'Clear Static Page menu cache after saving the model; CSS fix for Text/Textarea input fields language selector.', '2021-06-07 02:45:23'),
	(267, 'RainLab.Translate', 'script', '1.6.10', 'update_messages_table.php', '2021-06-07 02:45:23'),
	(268, 'RainLab.Translate', 'comment', '1.6.10', 'Add option to purge deleted messages when scanning messages, Add Scan error column on Messages page, Fix translations that were lost when clicking locale twice while holding ctrl key, Fix error with nested fields default locale value, Escape Message translate params value.', '2021-06-07 02:45:23'),
	(269, 'RainLab.Translate', 'comment', '1.7.0', '!!! Breaking change for the Message::trans() method (params are now escaped), fix message translation documentation, fix string translation key for scan errors column header.', '2021-06-07 02:45:23'),
	(270, 'RainLab.Translate', 'comment', '1.7.1', 'Fix YAML issue with previous tag/release.', '2021-06-07 02:45:23'),
	(271, 'RainLab.Translate', 'comment', '1.7.2', 'Fix regex when "|_" filter is followed by another filter, Try locale without country before returning default translation, Allow exporting default locale, Fire \'rainlab.translate.themeScanner.afterScan\' event in the theme scanner for extendability.', '2021-06-07 02:45:23'),
	(272, 'RainLab.Translate', 'comment', '1.7.3', 'Make plugin ready for Laravel 6 update, Add support for translating RainLab.Pages MenuItem properties (requires RainLab.Pages v1.3.6), Restore multilingual button position for textarea, Fix translatableAttributes.', '2021-06-07 02:45:23'),
	(273, 'RainLab.Translate', 'comment', '1.7.4', 'Faster version of transWhere, Mail templates/views can now be localized, Fix messages table layout on mobile, Fix scopeTransOrderBy duplicates, Polish localization updates, Turkish localization updates, Add Greek language localization.', '2021-06-07 02:45:23'),
	(274, 'RainLab.Translate', 'comment', '1.8.0', 'Adds initial support for October v2.0', '2021-06-07 02:45:23'),
	(275, 'RainLab.Translate', 'comment', '1.8.1', 'Minor bugfix', '2021-06-07 02:45:23'),
	(276, 'RainLab.Translate', 'comment', '1.8.2', 'Fixes translated file models and theme data for v2.0. The parent model must implement translatable behavior for their related file models to be translated.', '2021-06-07 02:45:23'),
	(277, 'RainLab.Translate', 'comment', '1.8.4', 'Fixes the multilingual mediafinder to work with the media module.', '2021-06-07 02:45:23'),
	(278, 'RainLab.Translate', 'comment', '1.8.6', 'Fixes invisible checkboxes when scanning for messages.', '2021-06-07 02:45:23'),
	(279, 'RainLab.Translate', 'comment', '1.8.7', 'Fixes Markdown editor translation.', '2021-06-07 02:45:23'),
	(280, 'RainLab.Translate', 'comment', '1.8.8', 'Fixes Laravel compatibility in custom Repeater.', '2021-06-07 02:45:23'),
	(281, 'RainLab.Translate', 'comment', '1.9.0', 'Restores ability to translate URLs with CMS Editor in October v2.0', '2021-06-07 02:45:23'),
	(282, 'ToughDeveloper.ImageResizer', 'comment', '1.0.1', 'First version of ImageResizer', '2021-06-07 02:45:23'),
	(283, 'ToughDeveloper.ImageResizer', 'comment', '1.0.2', 'Fixes bug where url set in config/app.php affecting rendering of image.', '2021-06-07 02:45:23'),
	(284, 'ToughDeveloper.ImageResizer', 'comment', '1.0.3', 'Adds Hungarian translation - thanks to Szabó Gergő', '2021-06-07 02:45:23'),
	(285, 'ToughDeveloper.ImageResizer', 'comment', '1.1.0', 'Adds default settings to admin - thanks to Szabó Gergő', '2021-06-07 02:45:23'),
	(286, 'ToughDeveloper.ImageResizer', 'comment', '1.2.0', 'Adds optional PNG compression support via Tiny PNG', '2021-06-07 02:45:23'),
	(287, 'ToughDeveloper.ImageResizer', 'comment', '1.2.1', 'Updates translations and allows jpg files to be compressed with Tiny PNG', '2021-06-07 02:45:23'),
	(288, 'ToughDeveloper.ImageResizer', 'comment', '1.2.2', 'Ensures false can be passed to auto width/height. Also improves URL parsing so different formats of app.url work as expected. Thanks to Emerge.', '2021-06-07 02:45:23'),
	(289, 'ToughDeveloper.ImageResizer', 'comment', '1.3.0', 'Adds TinyPNG API key validation, TinyPNG usage statistics and provides thumb backend list column type', '2021-06-07 02:45:23'),
	(290, 'ToughDeveloper.ImageResizer', 'comment', '1.3.1', 'Ensures plugin works as expected when October is installed to a sub-directory.', '2021-06-07 02:45:23'),
	(291, 'ToughDeveloper.ImageResizer', 'comment', '1.3.2', 'Adds option to skip compression of certain images, helpful to save credits.', '2021-06-07 02:45:23'),
	(292, 'ToughDeveloper.ImageResizer', 'comment', '1.3.3', 'Updates Hungarian translations - thanks to Szabó Gergő', '2021-06-07 02:45:23'),
	(293, 'ToughDeveloper.ImageResizer', 'comment', '1.3.4', 'Adds German translation - thanks to Christoph (emptynick)', '2021-06-07 02:45:23'),
	(294, 'ToughDeveloper.ImageResizer', 'comment', '1.3.5', '!!! Changes path to cached image for builds of October 420+. Thanks to that0n3guy', '2021-06-07 02:45:23'),
	(295, 'ToughDeveloper.ImageResizer', 'comment', '1.3.6', 'Prevent infinite loop when custom not found image does not exist. Thanks to yapsr', '2021-06-07 02:45:23'),
	(296, 'ToughDeveloper.ImageResizer', 'comment', '1.4.0', 'Add imageWidth() and imageHeight() filters - @matteotrubini', '2021-06-07 02:45:24'),
	(297, 'ToughDeveloper.ImageResizer', 'comment', '1.4.0', 'Adds fr translations - @FelixINX', '2021-06-07 02:45:24'),
	(298, 'ToughDeveloper.ImageResizer', 'comment', '1.4.0', 'composer.json fixes - @DieterHolvoet and @LukeTowers', '2021-06-07 02:45:24'),
	(299, 'ToughDeveloper.ImageResizer', 'comment', '1.4.0', 'Regenerate cached image if original has a different mtime - @kevinkoenen', '2021-06-07 02:45:24'),
	(300, 'ToughDeveloper.ImageResizer', 'comment', '1.4.0', 'Delete temporary image copy - @multiwebinc', '2021-06-07 02:45:24'),
	(301, 'ToughDeveloper.ImageResizer', 'comment', '1.4.0', 'Adds zh-cn translations - @everyx', '2021-06-07 02:45:24'),
	(302, 'ToughDeveloper.ImageResizer', 'comment', '1.4.0', 'Spaces in filename are now handled properly - @mauserrifle', '2021-06-07 02:45:24'),
	(303, 'ToughDeveloper.ImageResizer', 'comment', '1.4.1', 'Only attempt to delete temp files if they still exist - @LukeTowers', '2021-06-07 02:45:24'),
	(304, 'Utopigs.Seo', 'script', '1.0.1', 'create_data_table.php', '2021-06-07 02:45:24'),
	(305, 'Utopigs.Seo', 'comment', '1.0.1', 'First version of Utopigs Seo plugin', '2021-06-07 02:45:24'),
	(306, 'Utopigs.Seo', 'comment', '1.0.2', 'Fix bug with elements with nested items', '2021-06-07 02:45:24'),
	(307, 'Utopigs.Seo', 'script', '1.1.0', 'create_sitemaps_table.php', '2021-06-07 02:45:24'),
	(308, 'Utopigs.Seo', 'comment', '1.1.0', 'Add sitemap functionality', '2021-06-07 02:45:24'),
	(309, 'Utopigs.Seo', 'comment', '1.1.0', 'Fix some bugs with nested items', '2021-06-07 02:45:24'),
	(310, 'Utopigs.Seo', 'comment', '1.1.1', 'Fix browser render issue', '2021-06-07 02:45:24'),
	(311, 'Utopigs.Seo', 'comment', '1.1.2', 'Undo last change to fix Google Search Console sitemap fetch issues', '2021-06-07 02:45:24'),
	(312, 'Utopigs.Seo', 'comment', '1.1.3', 'Add a sitemap-debug.xml that renders ok (using https protocol for the namespace attributes) to be able to debug sitemap issues visually', '2021-06-07 02:45:24'),
	(313, 'Utopigs.Seo', 'comment', '1.1.4', 'Fix bug model image not showing', '2021-06-07 02:45:24'),
	(314, 'Utopigs.Seo', 'comment', '1.1.5', 'Fix bug with nested categories', '2021-06-07 02:45:24'),
	(315, 'Utopigs.Seo', 'comment', '1.1.6', 'Try to retrieve image from defaults if not specified', '2021-06-07 02:45:24'),
	(316, 'Utopigs.Seo', 'comment', '1.1.6', 'Autofill properties for blog post and category pages', '2021-06-07 02:45:24'),
	(317, 'Utopigs.Seo', 'comment', '1.1.7', 'Add translations for catalan', '2021-06-07 02:45:24'),
	(318, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.1', 'First version of TwigExtensions', '2021-06-07 02:45:24'),
	(319, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.2', 'Add template_from_string function', '2021-06-07 02:45:24'),
	(320, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.3', 'Fix uppercase, lowercase and ucfirst for UTF-8 characters', '2021-06-07 02:45:24'),
	(321, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.4', 'Add leftpad, rightpad and strpad filters. Cover by unit tests.', '2021-06-07 02:45:24'),
	(322, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.5', 'Add config function (thanks to Sebastian Hilger)', '2021-06-07 02:45:24'),
	(323, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.6', 'Fix localizednumber and localizedcurrency filters (thanks to Vita Zoubek)', '2021-06-07 02:45:24'),
	(324, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.7', 'Add the session() and trans() helper functions (thanks to Sebastian Hilger)', '2021-06-07 02:45:24'),
	(325, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.8', 'Plugin can be installed over Composer.', '2021-06-07 02:45:24'),
	(326, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.9', 'Add var_dump filter and function.', '2021-06-07 02:45:24'),
	(327, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.10', 'Remove pre tag from var_dump', '2021-06-07 02:45:24'),
	(328, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.11', 'Add mailto filter for rendering encrypted email addresses.', '2021-06-07 02:45:24'),
	(329, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.12', 'Add mailto text parameter and rtl filter.', '2021-06-07 02:45:24'),
	(330, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.13', 'Make time_diff translatable.', '2021-06-07 02:45:24'),
	(331, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.14', 'Add pt-br locale for time_diff translation (thanks to Ronaldo Ribeiro de Sousa)', '2021-06-07 02:45:24'),
	(332, 'VojtaSvoboda.TwigExtensions', 'comment', '1.0.15', 'Add DE and HU locale (thanks to Szabó Gergő and Sebastian Hilger)', '2021-06-07 02:45:24'),
	(333, 'VojtaSvoboda.TwigExtensions', 'comment', '1.1.0', 'Make changes for Laravel 5.5.', '2021-06-07 02:45:24'),
	(334, 'VojtaSvoboda.TwigExtensions', 'comment', '1.1.1', 'Add revision filter', '2021-06-07 02:45:24'),
	(335, 'VojtaSvoboda.TwigExtensions', 'comment', '1.1.2', 'Add strip_tags filter', '2021-06-07 02:45:24'),
	(336, 'VojtaSvoboda.TwigExtensions', 'comment', '1.1.3', 'Add sortbyfield filter to sorting arrays/fields by key.', '2021-06-07 02:45:24'),
	(337, 'VojtaSvoboda.TwigExtensions', 'comment', '1.2.0', 'Require PHP 7.0 as minimum version.', '2021-06-07 02:45:24'),
	(338, 'VojtaSvoboda.TwigExtensions', 'comment', '1.2.1', 'Add linter and code sniffer for better automatization.', '2021-06-07 02:45:24'),
	(339, 'VojtaSvoboda.TwigExtensions', 'comment', '1.2.2', 'Add str_replace filter (thanks to Szabó Gergő)', '2021-06-07 02:45:24'),
	(340, 'VojtaSvoboda.TwigExtensions', 'comment', '1.2.3', 'Added an optional css class parameter to mailto function', '2021-06-07 02:45:24'),
	(341, 'VojtaSvoboda.TwigExtensions', 'comment', '1.2.4', 'Add sk_SK locale, thanks to Marek Závacký', '2021-06-07 02:45:24'),
	(342, 'VojtaSvoboda.TwigExtensions', 'comment', '1.2.5', 'Add env() helper function, thanks to Marek Závacký', '2021-06-07 02:45:24'),
	(343, 'VojtaSvoboda.TwigExtensions', 'comment', '1.2.6', 'Fix ucfirst, thanks to Aurélien Roy', '2021-06-07 02:45:24'),
	(344, 'VojtaSvoboda.TwigExtensions', 'comment', '1.2.7', 'Add slovenian locale, thanks to Marko Kodrič', '2021-06-07 02:45:24'),
	(345, 'PanaKour.Translate', 'comment', '1.0.1', 'Initial version of translate plugin', '2021-06-07 02:45:24'),
	(346, 'PanaKour.Translate', 'comment', '1.0.1', 'Make RainLab Static Menu Multilingual', '2021-06-07 02:45:24'),
	(347, 'GinoPane.BlogTaxonomy', 'script', '1.0.0', 'create_taxonomies_tables.php', '2021-06-07 02:45:54'),
	(348, 'GinoPane.BlogTaxonomy', 'comment', '1.0.0', 'The initial release of Blog Taxonomy', '2021-06-07 02:45:54'),
	(349, 'GinoPane.BlogTaxonomy', 'comment', '1.1.0', 'Degraded from PHP7.1 to PHP7.0 to support the minimal required version for October CMS', '2021-06-07 02:45:54'),
	(350, 'GinoPane.BlogTaxonomy', 'comment', '1.1.1', 'Skip extending Post form fields for a nested form case', '2021-06-07 02:45:54'),
	(351, 'GinoPane.BlogTaxonomy', 'comment', '1.2.0', 'Update tag name validation rules', '2021-06-07 02:45:54'),
	(352, 'GinoPane.BlogTaxonomy', 'comment', '1.3.0', 'Use another style to list required plugins', '2021-06-07 02:45:54'),
	(353, 'GinoPane.BlogTaxonomy', 'comment', '1.3.1', 'Added missing slug generation for tags', '2021-06-07 02:45:54'),
	(354, 'GinoPane.BlogTaxonomy', 'comment', '1.3.1', 'Minor enhancements', '2021-06-07 02:45:54'),
	(355, 'GinoPane.BlogTaxonomy', 'comment', '1.4.0', 'Added featured images for series', '2021-06-07 02:45:54'),
	(356, 'GinoPane.BlogTaxonomy', 'comment', '1.4.0', 'Series edit page enhanced', '2021-06-07 02:45:54'),
	(357, 'GinoPane.BlogTaxonomy', 'comment', '1.4.0', 'Several minor tweaks for tags and series lists', '2021-06-07 02:45:54'),
	(358, 'GinoPane.BlogTaxonomy', 'script', '1.5.0', 'change_description_field.php', '2021-06-07 02:45:54'),
	(359, 'GinoPane.BlogTaxonomy', 'comment', '1.5.0', 'Added Translate plugin support', '2021-06-07 02:45:54'),
	(360, 'GinoPane.BlogTaxonomy', 'comment', '1.5.0', 'Added localization support for different strings', '2021-06-07 02:45:54'),
	(361, 'GinoPane.BlogTaxonomy', 'comment', '1.5.0', 'Changed series description column type', '2021-06-07 02:45:54'),
	(362, 'GinoPane.BlogTaxonomy', 'comment', '1.5.0', 'Loosen series title validation to allow punctuation', '2021-06-07 02:45:54'),
	(363, 'GinoPane.BlogTaxonomy', 'comment', '1.5.0', 'Multiple internal enhancements', '2021-06-07 02:45:54'),
	(364, 'GinoPane.BlogTaxonomy', 'comment', '1.5.1', 'Fixed relation count condition for non-SQLite installations', '2021-06-07 02:45:55'),
	(365, 'GinoPane.BlogTaxonomy', 'comment', '1.5.1', 'Fixed sorting options for post-related components', '2021-06-07 02:45:55'),
	(366, 'GinoPane.BlogTaxonomy', 'comment', '1.5.2', 'Make translatable implementation truly optional', '2021-06-07 02:45:55'),
	(367, 'GinoPane.BlogTaxonomy', 'comment', '1.5.2', 'Allow any valid character in validation for titles, names, etc.', '2021-06-07 02:45:55'),
	(368, 'GinoPane.BlogTaxonomy', 'comment', '1.5.3', 'Improved partials references so the backend expander could work correctly', '2021-06-07 02:45:55'),
	(369, 'GinoPane.BlogTaxonomy', 'comment', '1.5.4', 'Improved missing partials references so the backend expander could work correctly', '2021-06-07 02:45:55'),
	(370, 'GinoPane.BlogTaxonomy', 'comment', '1.6.0', 'Stop using default slug value for TagList (to allow valid empty slug)', '2021-06-07 02:45:55'),
	(371, 'GinoPane.BlogTaxonomy', 'comment', '1.6.0', 'Simplify internal query for posts relation', '2021-06-07 02:45:55'),
	(372, 'GinoPane.BlogTaxonomy', 'comment', '1.7.0', 'Fixed a method to get real URL parameter names', '2021-06-07 02:45:55'),
	(373, 'GinoPane.BlogTaxonomy', 'comment', '1.8.0', '!!! Some properties of TagList component were either renamed or set to private, please check the changelog', '2021-06-07 02:45:55'),
	(374, 'GinoPane.BlogTaxonomy', 'comment', '1.8.0', 'Exposed total tag count over the limit', '2021-06-07 02:45:55'),
	(375, 'GinoPane.BlogTaxonomy', 'comment', '1.8.0', 'Implemented client tag filter for tag list', '2021-06-07 02:45:55'),
	(376, 'GinoPane.BlogTaxonomy', 'comment', '1.8.0', 'Micro refactorings and optimizations', '2021-06-07 02:45:55'),
	(377, 'GinoPane.BlogTaxonomy', 'comment', '1.9.0', '!!! Internal directory structure was slightly changed', '2021-06-07 02:45:55'),
	(378, 'GinoPane.BlogTaxonomy', 'comment', '1.9.0', 'Count only published blog posts in series list', '2021-06-07 02:45:55'),
	(379, 'GinoPane.BlogTaxonomy', 'comment', '1.9.0', 'Allow fetching of all related posts for tags and series lists via a new option', '2021-06-07 02:45:55'),
	(380, 'GinoPane.BlogTaxonomy', 'comment', '1.10.0', 'Fixed default templates for posts with tags and series to show correct empty message on wrong pagination', '2021-06-07 02:45:55'),
	(381, 'GinoPane.BlogTaxonomy', 'comment', '1.10.0', 'Updated mark.js', '2021-06-07 02:45:55'),
	(382, 'GinoPane.BlogTaxonomy', 'comment', '1.11.0', 'Implemented related series', '2021-06-07 02:45:55'),
	(383, 'GinoPane.BlogTaxonomy', 'comment', '1.11.0', 'Implemented exclusions by post/category for post lists', '2021-06-07 02:45:55'),
	(384, 'GinoPane.BlogTaxonomy', 'script', '1.11.1', 'create_related_series_table.php', '2021-06-07 02:45:55'),
	(385, 'GinoPane.BlogTaxonomy', 'comment', '1.11.1', 'Fixed migration to prevent a ghost bug on update', '2021-06-07 02:45:55'),
	(386, 'GinoPane.BlogTaxonomy', 'comment', '1.12.0', 'Added functionality of migration from other plugins', '2021-06-07 02:45:55'),
	(387, 'GinoPane.BlogTaxonomy', 'comment', '1.13.0', 'Implemented exclusions by post/category for tag and series lists', '2021-06-07 02:45:55'),
	(388, 'GinoPane.BlogTaxonomy', 'comment', '1.13.1', 'Fixed related posts component', '2021-06-07 02:45:55'),
	(389, 'GinoPane.BlogTaxonomy', 'comment', '1.13.2', 'Added missing exclusions handling for series and tags', '2021-06-07 02:45:55'),
	(390, 'GinoPane.BlogTaxonomy', 'comment', '1.14.0', 'Expose page parameter name for simple pagination', '2021-06-07 02:45:55'),
	(391, 'GinoPane.BlogTaxonomy', 'comment', '1.14.1', 'Fixed auto generated index being too long', '2021-06-07 02:45:55'),
	(392, 'GinoPane.BlogTaxonomy', 'comment', '1.14.2', 'Added missing count of posts in the related series component', '2021-06-07 02:45:55'),
	(393, 'GinoPane.BlogTaxonomy', 'script', '2.0.0', 'create_polymorphic_tag_table.php', '2021-06-07 02:45:55'),
	(394, 'GinoPane.BlogTaxonomy', 'comment', '2.0.0', '!!! Migrated to polymorphic tag relation. Make sure to backup and proceed with caution', '2021-06-07 02:45:55'),
	(395, 'GinoPane.BlogTaxonomy', 'comment', '2.0.0', 'Implemented tags for series', '2021-06-07 02:45:55'),
	(396, 'GinoPane.BlogTaxonomy', 'comment', '2.0.0', 'New options for existing components', '2021-06-07 02:45:55'),
	(397, 'GinoPane.BlogTaxonomy', 'comment', '2.0.1', 'Set index name explicitly to prevent the generation of too long name', '2021-06-07 02:45:55'),
	(398, 'GinoPane.BlogTaxonomy', 'comment', '2.0.2', 'Fix incorrect query being used for series model', '2021-06-07 02:45:55'),
	(399, 'GinoPane.BlogTaxonomy', 'comment', '2.0.2', 'Remove accidental return operators from update files which prevented clean plugin installation', '2021-06-07 02:45:55'),
	(400, 'GinoPane.BlogTaxonomy', 'comment', '2.0.3', 'Non-ajax version of pagination is now a default', '2021-06-07 02:45:55'),
	(401, 'GinoPane.BlogTaxonomy', 'comment', '2.0.3', 'Do not include the existing routing parameters when generating new links', '2021-06-07 02:45:55'),
	(402, 'GinoPane.BlogTaxonomy', 'comment', '2.1.0', 'Add filter by categories (included) for post lists (with tags/series)', '2021-06-07 02:45:55'),
	(403, 'GinoPane.BlogTaxonomy', 'comment', '2.1.0', 'Rename \'Exceptions\' section to \'Filters\' in component settings', '2021-06-07 02:45:55'),
	(404, 'GinoPane.BlogTaxonomy', 'comment', '2.1.1', 'Fix trait name', '2021-06-07 02:45:55'),
	(405, 'GinoPane.BlogTaxonomy', 'comment', '2.2.0', 'Added support of special characters for tag name', '2021-06-07 02:45:55'),
	(406, 'GinoPane.BlogTaxonomy', 'comment', '2.2.1', 'Added missing `include categories` filter for Tags list and Series list', '2021-06-07 02:45:55'),
	(407, 'GinoPane.BlogTaxonomy', 'script', '2.3.0', 'add_series_status_column.php', '2021-06-07 02:45:55'),
	(408, 'GinoPane.BlogTaxonomy', 'comment', '2.3.0', 'Added status support for series', '2021-06-07 02:45:55'),
	(409, 'GinoPane.BlogTaxonomy', 'comment', '2.3.0', 'Added possibility to delete series from the series list page', '2021-06-07 02:45:55'),
	(410, 'GinoPane.BlogTaxonomy', 'comment', '2.3.1', 'Fixed post URLs broken by Rainlab Blog 1.4.3', '2021-06-07 02:45:55'),
	(411, 'GinoPane.BlogTaxonomy', 'comment', '2.4.0', 'Added ability to pass series slug into post URLs via the posts-in-series component', '2021-06-07 02:45:55'),
	(412, 'GinoPane.BlogTaxonomy', 'comment', '2.5.0', 'Related posts can now be additionally filtered by post and/or category', '2021-06-07 02:45:55'),
	(413, 'GinoPane.BlogTaxonomy', 'comment', '2.6.0', 'Added \'include tagged posts\' option for the posts-in-series component', '2021-06-07 02:45:55'),
	(414, 'GinoPane.BlogTaxonomy', 'comment', '2.6.1', 'Removed usage of \'void\' return type to support old PHP versions', '2021-06-07 02:45:55'),
	(415, 'GinoPane.BlogTaxonomy', 'script', '3.0.0', 'create_post_type_table.php', '2021-06-07 02:45:56'),
	(416, 'GinoPane.BlogTaxonomy', 'script', '3.0.0', 'drop_deprecated_post_tag_table.php', '2021-06-07 02:45:56'),
	(417, 'GinoPane.BlogTaxonomy', 'comment', '3.0.0', 'Added post types functionality', '2021-06-07 02:45:56'),
	(418, 'GinoPane.BlogTaxonomy', 'comment', '3.0.0', 'Added cover and featured images for categories, series, tags', '2021-06-07 02:45:56'),
	(419, 'GinoPane.BlogTaxonomy', 'comment', '3.0.0', 'Removed deprecated table', '2021-06-07 02:45:56'),
	(420, 'GinoPane.BlogTaxonomy', 'comment', '3.0.1', 'Fixed a bug with undefined constant left after removal of deprecated code', '2021-06-07 02:45:56'),
	(421, 'GinoPane.BlogTaxonomy', 'comment', '3.0.2', 'Try to fix an issue with unsupported json data type on old DB servers', '2021-06-07 02:45:56'),
	(422, 'GinoPane.BlogTaxonomy', 'comment', '3.0.3', 'Fixed a group by clause when sorting by a particular field on ModelAbstract', '2021-06-07 02:45:56'),
	(423, 'GinoPane.BlogTaxonomy', 'comment', '3.0.4', 'Changed name in composer because October suddenly started to complain about it', '2021-06-07 02:45:56'),
	(424, 'GinoPane.BlogTaxonomy', 'comment', '3.0.5', 'Make group-by query conditional for the abstract model', '2021-06-07 02:45:56'),
	(425, 'GinoPane.BlogTaxonomy', 'comment', '3.1.0', 'Extend allowed characters for model names and titles', '2021-06-07 02:45:56'),
	(426, 'GinoPane.BlogTaxonomy', 'comment', '3.1.1', 'Fix validation rule for an old October CMS version', '2021-06-07 02:45:56'),
	(427, 'RainLab.Builder', 'comment', '1.0.1', 'Initialize plugin.', '2021-06-07 11:33:28'),
	(428, 'RainLab.Builder', 'comment', '1.0.2', 'Fixes the problem with selecting a plugin. Minor localization corrections. Configuration files in the list and form behaviors are now autocomplete.', '2021-06-07 11:33:28'),
	(429, 'RainLab.Builder', 'comment', '1.0.3', 'Improved handling of the enum data type.', '2021-06-07 11:33:28'),
	(430, 'RainLab.Builder', 'comment', '1.0.4', 'Added user permissions to work with the Builder.', '2021-06-07 11:33:28'),
	(431, 'RainLab.Builder', 'comment', '1.0.5', 'Fixed permissions registration.', '2021-06-07 11:33:28'),
	(432, 'RainLab.Builder', 'comment', '1.0.6', 'Fixed front-end record ordering in the Record List component.', '2021-06-07 11:33:28'),
	(433, 'RainLab.Builder', 'comment', '1.0.7', 'Builder settings are now protected with user permissions. The database table column list is scrollable now. Minor code cleanup.', '2021-06-07 11:33:28'),
	(434, 'RainLab.Builder', 'comment', '1.0.8', 'Added the Reorder Controller behavior.', '2021-06-07 11:33:28'),
	(435, 'RainLab.Builder', 'comment', '1.0.9', 'Minor API and UI updates.', '2021-06-07 11:33:28'),
	(436, 'RainLab.Builder', 'comment', '1.0.10', 'Minor styling update.', '2021-06-07 11:33:28'),
	(437, 'RainLab.Builder', 'comment', '1.0.11', 'Fixed a bug where clicking placeholder in a repeater would open Inspector. Fixed a problem with saving forms with repeaters in tabs. Minor style fix.', '2021-06-07 11:33:28'),
	(438, 'RainLab.Builder', 'comment', '1.0.12', 'Added support for the Trigger property to the Media Finder widget configuration. Names of form fields and list columns definition files can now contain underscores.', '2021-06-07 11:33:28'),
	(439, 'RainLab.Builder', 'comment', '1.0.13', 'Minor styling fix on the database editor.', '2021-06-07 11:33:28'),
	(440, 'RainLab.Builder', 'comment', '1.0.14', 'Added support for published_at timestamp field', '2021-06-07 11:33:28'),
	(441, 'RainLab.Builder', 'comment', '1.0.15', 'Fixed a bug where saving a localization string in Inspector could cause a JavaScript error. Added support for Timestamps and Soft Deleting for new models.', '2021-06-07 11:33:28'),
	(442, 'RainLab.Builder', 'comment', '1.0.16', 'Fixed a bug when saving a form with the Repeater widget in a tab could create invalid fields in the form\'s outside area. Added a check that prevents creating localization strings inside other existing strings.', '2021-06-07 11:33:28'),
	(443, 'RainLab.Builder', 'comment', '1.0.17', 'Added support Trigger attribute support for RecordFinder and Repeater form widgets.', '2021-06-07 11:33:28'),
	(444, 'RainLab.Builder', 'comment', '1.0.18', 'Fixes a bug where \'::class\' notations in a model class definition could prevent the model from appearing in the Builder model list. Added emptyOption property support to the dropdown form control.', '2021-06-07 11:33:28'),
	(445, 'RainLab.Builder', 'comment', '1.0.19', 'Added a feature allowing to add all database columns to a list definition. Added max length validation for database table and column names.', '2021-06-07 11:33:28'),
	(446, 'RainLab.Builder', 'comment', '1.0.20', 'Fixes a bug where form the builder could trigger the "current.hasAttribute is not a function" error.', '2021-06-07 11:33:28'),
	(447, 'RainLab.Builder', 'comment', '1.0.21', 'Back-end navigation sort order updated.', '2021-06-07 11:33:28'),
	(448, 'RainLab.Builder', 'comment', '1.0.22', 'Added scopeValue property to the RecordList component.', '2021-06-07 11:33:28'),
	(449, 'RainLab.Builder', 'comment', '1.0.23', 'Added support for balloon-selector field type, added Brazilian Portuguese translation, fixed some bugs', '2021-06-07 11:33:28'),
	(450, 'RainLab.Builder', 'comment', '1.0.24', 'Added support for tag list field type, added read only toggle for fields. Prevent plugins from using reserved PHP keywords for class names and namespaces', '2021-06-07 11:33:28'),
	(451, 'RainLab.Builder', 'comment', '1.0.25', 'Allow editing of migration code in the "Migration" popup when saving changes in the database editor.', '2021-06-07 11:33:28'),
	(452, 'RainLab.Builder', 'comment', '1.0.26', 'Allow special default values for columns and added new "Add ID column" button to database editor.', '2021-06-07 11:33:28'),
	(453, 'Romanov.ClearCacheWidget', 'comment', '1.0.1', 'First version of ClearCacheWidget', '2021-06-07 11:33:28'),
	(454, 'Romanov.ClearCacheWidget', 'comment', '1.0.2', 'Translate for brazilian portuguese', '2021-06-07 11:33:28'),
	(455, 'Romanov.ClearCacheWidget', 'comment', '1.0.3', 'Some fix', '2021-06-07 11:33:28'),
	(456, 'Romanov.ClearCacheWidget', 'comment', '1.0.4', 'Fix chart', '2021-06-07 11:33:28'),
	(457, 'Romanov.ClearCacheWidget', 'comment', '1.0.5', 'Add chart size property', '2021-06-07 11:33:28'),
	(458, 'Romanov.ClearCacheWidget', 'comment', '1.0.6', 'Add cs_CZ locale', '2021-06-07 11:33:28'),
	(459, 'Romanov.ClearCacheWidget', 'comment', '1.1.0', 'Added functionality to delete thumbs images. (set up in widget settings)', '2021-06-07 11:33:28'),
	(460, 'Romanov.ClearCacheWidget', 'comment', '1.1.1', 'Ability to specify the path to the folder preview. (set up in widget settings)', '2021-06-07 11:33:29'),
	(461, 'Romanov.ClearCacheWidget', 'comment', '1.1.2', 'Some fix. For those who use PHP version below 5.5', '2021-06-07 11:33:29'),
	(462, 'Romanov.ClearCacheWidget', 'comment', '1.1.3', 'Update cs_CZ locale', '2021-06-07 11:33:29'),
	(463, 'Romanov.ClearCacheWidget', 'comment', '1.1.4', 'Fix ErrorException', '2021-06-07 11:33:29'),
	(464, 'Romanov.ClearCacheWidget', 'comment', '1.1.5', 'Add french and italian locales', '2021-06-07 11:33:29'),
	(465, 'Romanov.ClearCacheWidget', 'comment', '1.2.0', 'Add property \'Regex for thumb file names\'', '2021-06-07 11:33:29'),
	(466, 'Romanov.ClearCacheWidget', 'comment', '1.2.1', 'Add the Hungarian translation', '2021-06-07 11:33:29'),
	(467, 'Romanov.ClearCacheWidget', 'comment', '1.2.2', 'Fix for user defined widget title', '2021-06-07 11:33:29'),
	(468, 'Romanov.ClearCacheWidget', 'comment', '1.2.3', 'Add Turkish language file', '2021-06-07 11:33:29'),
	(469, 'Romanov.ClearCacheWidget', 'comment', '1.2.4', 'Add Dutch language', '2021-06-07 11:33:29'),
	(470, 'Romanov.ClearCacheWidget', 'comment', '1.2.5', 'IT locale updated', '2021-06-07 11:33:29'),
	(471, 'Romanov.ClearCacheWidget', 'comment', '1.2.6', 'Add sk locale', '2021-06-07 11:33:29'),
	(472, 'Romanov.ClearCacheWidget', 'comment', '1.3.0', 'Changing default regex for clearing thumbnails according to the comment https://github.com/romanov-acc/octobercms_clearcachewidget/pull/16#issuecomment-404909441', '2021-06-07 11:33:29'),
	(473, 'Romanov.ClearCacheWidget', 'comment', '1.3.1', 'Add Polish translation', '2021-06-07 11:33:29'),
	(474, 'Romanov.ClearCacheWidget', 'comment', '1.3.2', 'Add Slovenian translation', '2021-06-07 11:33:29');
/*!40000 ALTER TABLE `system_plugin_history` ENABLE KEYS */;

-- Dumping structure for table goline.system_plugin_versions
CREATE TABLE IF NOT EXISTS `system_plugin_versions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `version` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `is_disabled` tinyint(1) NOT NULL DEFAULT '0',
  `is_frozen` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `system_plugin_versions_code_index` (`code`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_plugin_versions: ~14 rows (approximately)
/*!40000 ALTER TABLE `system_plugin_versions` DISABLE KEYS */;
INSERT INTO `system_plugin_versions` (`id`, `code`, `version`, `created_at`, `is_disabled`, `is_frozen`) VALUES
	(1, 'BizMark.Quicksilver', '2.0.0', '2021-06-07 02:45:18', 1, 0),
	(2, 'Bonniss26.Company', '1.0.7', '2021-06-07 02:45:19', 0, 0),
	(3, 'DmitryBykov.Htmlminify', '1.0.2', '2021-06-07 02:45:19', 0, 0),
	(4, 'Indikator.Backend', '1.6.13', '2021-06-07 02:45:20', 0, 0),
	(6, 'RainLab.Blog', '1.5.1', '2021-06-07 02:45:21', 0, 1),
	(7, 'RainLab.Pages', '1.3.2', '2021-06-07 02:45:22', 0, 1),
	(8, 'RainLab.Translate', '1.9.0', '2021-06-07 02:45:23', 0, 0),
	(9, 'ToughDeveloper.ImageResizer', '1.4.1', '2021-06-07 02:45:24', 0, 0),
	(10, 'Utopigs.Seo', '1.1.7', '2021-06-07 02:45:24', 0, 0),
	(11, 'VojtaSvoboda.TwigExtensions', '1.2.7', '2021-06-07 02:45:24', 0, 0),
	(12, 'PanaKour.Translate', '1.0.1', '2021-06-07 02:45:24', 0, 0),
	(13, 'GinoPane.BlogTaxonomy', '3.1.1', '2021-06-07 02:45:56', 0, 0),
	(14, 'RainLab.Builder', '1.0.26', '2021-06-07 11:33:28', 1, 1),
	(15, 'Romanov.ClearCacheWidget', '1.3.2', '2021-06-07 11:33:29', 0, 0);
/*!40000 ALTER TABLE `system_plugin_versions` ENABLE KEYS */;

-- Dumping structure for table goline.system_request_logs
CREATE TABLE IF NOT EXISTS `system_request_logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `status_code` int(11) DEFAULT NULL,
  `url` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `referer` text COLLATE utf8mb4_unicode_ci,
  `count` int(11) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_request_logs: ~0 rows (approximately)
/*!40000 ALTER TABLE `system_request_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `system_request_logs` ENABLE KEYS */;

-- Dumping structure for table goline.system_revisions
CREATE TABLE IF NOT EXISTS `system_revisions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `field` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cast` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `old_value` text COLLATE utf8mb4_unicode_ci,
  `new_value` text COLLATE utf8mb4_unicode_ci,
  `revisionable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `revisionable_id` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `system_revisions_revisionable_id_revisionable_type_index` (`revisionable_id`,`revisionable_type`),
  KEY `system_revisions_user_id_index` (`user_id`),
  KEY `system_revisions_field_index` (`field`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_revisions: ~0 rows (approximately)
/*!40000 ALTER TABLE `system_revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `system_revisions` ENABLE KEYS */;

-- Dumping structure for table goline.system_settings
CREATE TABLE IF NOT EXISTS `system_settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` mediumtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`),
  KEY `system_settings_item_index` (`item`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.system_settings: ~2 rows (approximately)
/*!40000 ALTER TABLE `system_settings` DISABLE KEYS */;
INSERT INTO `system_settings` (`id`, `item`, `value`) VALUES
	(1, 'backend_brand_settings', '{"app_name":"Goline Admin","app_tagline":"Smart but Simple","primary_color":"#34495e","secondary_color":"#e67e22","accent_color":"#3498db","menu_mode":"inline","custom_css":"#layout-canvas > div > div:nth-child(2) > div > div > h2 {\\r\\n\\ttext-align: center;\\r\\n    font-weight: 700;\\r\\n    text-transform: uppercase;\\r\\n}\\r\\n\\r\\n#theme-list > div.layout-row.links,\\r\\n#Toolbar-listToolbar > div > div > div > a:nth-child(2),\\r\\n#Toolbar-listToolbar > div > div > div > a:nth-child(3),\\r\\n#layout-body > div > div > div > .scoreboard > div > div:nth-child(1),\\r\\n#themeListItem-dalton > .layout-cell.min-height.theme-description > div > .dropdown {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\n\\/* Set max height for inserted thumbnail from media finder in theme setting *\\/\\r\\n.field-mediafinder.style-image-single .find-object .icon-container img {\\r\\n    max-height: 320px;\\r\\n}"}'),
	(3, 'suresoftware_powerseo_settings', '{"enable_title":"1","enable_canonical_url":"0","title":"| Goline","title_position":"suffix","other_tags":"","enable_og_tags":"0","og_sitename":"","og_fb_appid":""}'),
	(4, 'ginopane_blogtaxonomy', '{"post_types_enabled":"0","post_categories_cover_image_enabled":"1","post_categories_featured_images_enabled":"0"}');
/*!40000 ALTER TABLE `system_settings` ENABLE KEYS */;

-- Dumping structure for table goline.utopigs_seo_data
CREATE TABLE IF NOT EXISTS `utopigs_seo_data` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `keywords` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.utopigs_seo_data: ~0 rows (approximately)
/*!40000 ALTER TABLE `utopigs_seo_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `utopigs_seo_data` ENABLE KEYS */;

-- Dumping structure for table goline.utopigs_seo_sitemaps
CREATE TABLE IF NOT EXISTS `utopigs_seo_sitemaps` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `theme` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `data` mediumtext COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `utopigs_seo_sitemaps_theme_index` (`theme`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Dumping data for table goline.utopigs_seo_sitemaps: ~0 rows (approximately)
/*!40000 ALTER TABLE `utopigs_seo_sitemaps` DISABLE KEYS */;
/*!40000 ALTER TABLE `utopigs_seo_sitemaps` ENABLE KEYS */;

/*!40101 SET SQL_MODE=IFNULL(@OLD_SQL_MODE, '') */;
/*!40014 SET FOREIGN_KEY_CHECKS=IF(@OLD_FOREIGN_KEY_CHECKS IS NULL, 1, @OLD_FOREIGN_KEY_CHECKS) */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
